
/*-- SEQ 0001 --*/
ALTER TABLE TT_CFG ADD ATUPED VARCHAR(1);

/*-- SEQ 0002 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ATUPED CHECK (ATUPED IN ('T','F'));

/*-- SEQ 0003 --*/
ALTER TABLE TT_CFG ALTER COLUMN ATUPED SET DEFAULT 'F';

/*-- SEQ 0004 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0005 --*/
UPDATE TT_CFG SET ATUPED = 'F' WHERE ATUPED IS NULL;

/*-- SEQ 0006 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0007 --*/
ALTER TABLE TT_CFG ALTER COLUMN ATUPED SET NOT NULL;

/*-- SEQ 0008 --*/
ALTER TABLE TW_CFG ADD ATUPED VARCHAR(1);

/*-- SEQ 0009 --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_ATUPED CHECK (ATUPED IN ('T','F'));

/*-- SEQ 0010 --*/
ALTER TABLE TW_CFG ALTER COLUMN ATUPED SET DEFAULT 'F';


/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_GRA ADD DACCUS Numeric(5,2);

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_GRA ADD AFICUS Numeric(5,2);

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_GRA ADD ICMTIP CHAR(1);

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD ORICUS CHAR(1);

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD OUTCUS Numeric(12,2);

/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD DACCUS Numeric(5,2);

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD AFICUS Numeric(5,2);

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD ICMTIP CHAR(1);

/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD VLRICM Numeric(12,2);

/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD VLRIPI Numeric(12,2);

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD PRECOM Numeric(12,2);

/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD VLRFRE Numeric(12,2);

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD PERFRE Numeric(5,2);

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD ICMFRE Numeric(12,2);

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_ICMTIP CHECK (ICMTIP IN ('0','1','2','3','4','5'));

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF ADD CONSTRAINT CK_PXF_ICMTIP CHECK (ICMTIP IN ('0','1','2','3','4','5'));

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PXF  ADD CONSTRAINT CK_PXF_ORICUS CHECK (ORICUS IN ('M','C','P'));




/*-- SEQ 0028 --*/
ALTER TABLE TT_GRA ALTER COLUMN ORICUS SET DEFAULT 'M';

/*-- SEQ 0029 --*/
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0030 --*/
UPDATE TT_GRA SET ORICUS = ( CASE WHEN (FILCOM IS NOT NULL) THEN  'C' 
                                  WHEN (FILPED IS NOT NULL) THEN  'P' 
                                  ELSE 'M'
                              END )
WHERE ORICUS IS NULL;


/*-- SEQ 0031 --*/
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));


/*-- SEQ 0032 --*/
alter table tt_cai drop constraint CK_CAI_ORIGEM;

/*-- SEQ 0033 --*/
alter table TT_CAI
  add constraint CK_CAI_ORIGEM
  check (ORIGEM IN ('1','2','3','4','5','6','7','8','9'));


/*-- SEQ 0034 --*/
ALTER TABLE TT_CPM ADD FILPRO CHAR(3);

/*-- SEQ 0035 --*/
ALTER TABLE TT_CPM 
  ADD CONSTRAINT FK_CPM_DFIL_FILPRO FOREIGN KEY (FILPRO) 
  REFERENCES TD_FIL (CODFIL) 
  ON DELETE CASCADE;


/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_UQ_CPM_PRE_PLA;

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
create unique index I_UQ_CPM_PRE_PLA on TT_CPM (FILPRE,SEQPRE,FILPGT,CODPGT,DATINI,DATVAL)
   ;


/*-- SEQ 0038 --*/
ALTER TABLE TT_PXF ADD CODCOR Numeric(5);

/*-- SEQ 0039 --*/
ALTER TABLE TT_PXF ADD CODTAM Numeric(5);

/*-- SEQ 0040 --*/
alter table TT_PXF DROP constraint FK_PXF_PRO;

/*-- SEQ 0041 --*/
alter table TT_REF DROP constraint FK_REF_PXF;

/*-- SEQ 0042 --*/
alter table TT_DXG DROP constraint FK_DXG_PXF;

/*-- SEQ 0043 --*/
ALTER TABLE TT_PXF DROP CONSTRAINT PK_PXF CASCADE;



/*-- SEQ 0044 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PXF'));

/*-- SEQ 0045 --*/
insert into tt_pxf (
FILMAT,CODMAT,FILFOR,CODFOR,TIPFOR,PERICM,PERIPI,BASICM,ORDPED,
ULTBAS,REPASE,ORICUS,OUTCUS,DACCUS,AFICUS,VLRICM,VLRIPI,
PRECOM,VLRFRE,PERFRE,ICMFRE,ICMTIP,codcor,codtam)
(select pxf.FILMAT,
pxf.CODMAT,pxf.FILFOR,pxf.CODFOR,pxf.TIPFOR,pxf.PERICM,pxf.PERIPI,pxf.BASICM,pxf.ORDPED,
pxf.ULTBAS,pxf.REPASE,pxf.ORICUS,pxf.OUTCUS,pxf.DACCUS,pxf.AFICUS,pxf.VLRICM,pxf.VLRIPI,
pxf.PRECOM,pxf.VLRFRE,pxf.PERFRE,pxf.ICMFRE,pxf.ICMTIP, gra.codcor, gra.codtam 
from tt_pxf pxf join tt_gra gra on pxf.filmat = gra.filmat and pxf.codmat = gra.codmat
where pxf.codcor is null
  and pxf.codtam is null);

/*-- SEQ 0046 --*/
delete from tt_pxf
where codcor is null
  and codtam is null;

/*-- SEQ 0047 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PXF'));


/*-- SEQ 0048 --*/
alter table TT_PXF add constraint FK_PXF_GRA foreign key (FILMAT,CODMAT,CODCOR,CODTAM)
  references TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0049 --*/
alter table TT_PXF add constraint PK_PXF primary key (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR)
    ;

/*-- SEQ 0050 --*/
alter table TT_REF add constraint FK_REF_PXF foreign key (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR)
  references TT_PXF (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR);

/*-- SEQ 0051 --*/
DROP index I_FK_REF_PXF;

/*-- SEQ 0052 --*/
create index I_FK_REF_PXF on TT_REF (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR)  ;


/*-- SEQ 0053 --*/
alter table TT_DXG add constraint FK_DXG_PXF foreign key (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR)
  references TT_PXF (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR);

/*-- SEQ 0054 --*/
DROP index I_FK_DXG_PXF;

/*-- SEQ 0055 --*/
create index I_FK_DXG_PXF on TT_DXG (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR)  ;


/*-- SEQ 0056 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CCC'));

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ATUALIZA_CCC_TIPLAN () CASCADE;

/*-- SEQ 0058 --*/
CREATE OR REPLACE FUNCTION ATUALIZA_CCC_TIPLAN ()
RETURNS VARCHAR AS '
DECLARE

BEGIN

    update tt_ccc set tiplan = ''C''
    where tiplan is null
       and status <> ''F''
       and comple like ''Pgto ref ao debito:%'' 
       and coalesce(numecf,''000'')<>''000'';
     
    update tt_ccc set tiplan = ''S''
    where tiplan is null
       and status <> ''F''
       and comple like ''Desconto ref ao debito:%''  
       and coalesce(numecf,''000'')<>''000'';
     
    update tt_ccc set tiplan = ''I''
    where tiplan is null
       and status <> ''F''
       and numdoc = ''RETIRADA''
       and seqven is null 
       and coalesce(numecf,''000'')<>''000'';
     
    update tt_ccc set tiplan = ''D''
    where tiplan is null
       and status <> ''F''
       and numdoc = ''DEPOSITO'' 
       and VLRLAN > 0 
       and seqven is null 
       and coalesce(numecf,''000'')<>''000'';
     
    update tt_ccc set tiplan = ''M''
    where tiplan is null
       and status <> ''F''
       and numdoc = ''DEPOSITO''
       and VLRLAN < 0 
       and seqven is null 
       and coalesce(numecf,''000'')<>''000'';
     
    update tt_ccc set tiplan = ''E''
    where tiplan is null
       and status <> ''F''
       and comple like ''Estorno de parcela.%''  
       and coalesce(numecf,''000'')<>''000'';
    
    update tt_ccc set tiplan = ''V''
    where (codfil,sequen) in
    (select ccc.codfil, ccc.sequen
      from tt_ccc ccc inner join tt_ven ven on ven.codfil=ccc.codven and ven.sequen=ccc.seqven and ven.datfis=ccc.datfis
                      inner join tt_rec rec on rec.codfil=ven.codfil and rec.sequen=ven.sequen and rec.numpar=ccc.numpar and rec.subpar=ccc.subpar
                      inner join td_nat nat on nat.codtab = ven.codnat
     where ccc.tiplan is null
       and trunc(ven.dathor)=rec.datven
       and rec.tipccc is null
       and ccc.vlrlan < 0
       and ccc.numdoc = rpad(ven.codser,2,'' '')||ven.numnot
       and nat.tipnat <> ''D'')  
       and coalesce(numecf,''000'')<>''000''
       and tiplan is null;
     
    -- Troco no confivel, deve-se verificar melhor.
    update tt_ccc set tiplan = ''T''
    where (codfil,sequen) in
    (select ccc.codfil, ccc.sequen
      from tt_ccc ccc inner join tt_ven ven on ven.codfil=ccc.codven and ven.sequen=ccc.seqven and ven.datfis=ccc.datfis
                      inner join tt_rec rec on rec.codfil=ven.codfil and rec.sequen=ven.sequen and rec.numpar=ccc.numpar and rec.subpar=ccc.subpar
                      inner join td_nat nat on nat.codtab = ven.codnat
     where ccc.tiplan is null
       and trunc(ven.dathor)=rec.datven
       and rec.tipccc is null
       and ccc.vlrlan > 0
       and ccc.numdoc = rpad(ven.codser,2,'' '')||ven.numnot
       and coalesce(ccc.numecf,''000'')<>''000''   
       and nat.tipnat <> ''D'') 
       and coalesce(numecf,''000'')<>''000''
       and tiplan is null;
     
    
    update tt_ccc set tiplan = ''L''
    where (codfil,sequen) in
    (select ccc.codfil, ccc.sequen
      from tt_ccc ccc inner join tt_ven ven on ven.codfil=ccc.codven and ven.sequen=ccc.seqven and ven.datfis=ccc.datfis
                      inner join tt_rec rec on rec.codfil=ven.codfil and rec.sequen=ven.sequen and rec.numpar=ccc.numpar and rec.subpar=ccc.subpar
                      inner join td_nat nat on nat.codtab = ven.codnat
     where trunc(ven.dathor)=rec.datven
       and rec.tipccc is null
       and ccc.numdoc = rpad(ven.codser,2,'' '')||ven.numnot
       and nat.tipnat = ''D''
       and ccc.tiplan is null)  
    and coalesce(numecf,''000'')<>''000''
    and tiplan is null;
     
    
    update tt_ccc set tiplan = ''R''
    where (codfil,sequen) in
    (select ccc.codfil, ccc.sequen
      from tt_ccc ccc inner join tt_ven ven on ven.codfil=ccc.codven and ven.sequen=ccc.seqven
                      inner join tt_rec rec on rec.codfil=ven.codfil and rec.sequen=ven.sequen and rec.numpar=ccc.numpar and rec.subpar=ccc.subpar
                      inner join td_nat nat on nat.codtab = ven.codnat
     where ccc.tiplan is null
       and rec.tipccc is null
       and trunc(ven.dathor)<>rec.datven
       and ccc.numdoc = rpad(ven.codser,2,'' '')||ven.numnot)
    and coalesce(numecf,''000'')<>''000''
    and tiplan is null;
    
    
    ------------------------------------------------------------------------------------
    ----------------------------------   Backoffice   ----------------------------------
    ------------------------------------------------------------------------------------
    
    
     
    -- Faturamento
    update tt_ccc set tiplan = ''G''
    where coalesce(numecf,''000'')=''000''
    and tiplan is null
    and status=''F''
    and vlrlan >0
    ;
    
    -- Estorno Faturamento
    update tt_ccc set tiplan = ''Q''
    where coalesce(numecf,''000'')=''000''
    and tiplan is null
    and status=''F''
    and vlrlan<0
    ;
    
    -- Estorno Conciliao
    update tt_ccc set tiplan = ''Z''
    where numecf is null
    and tiplan is null
    and comple=''ESTORNO DE CONCILIACAO'';
    
    
    -- Fatura referenta a OS
    update tt_ccc set tiplan = ''O''
    where numecf is null
    and tiplan is null
    and comple=''Fatura referente a OS'';
    
    -- Estorno de Venda
    update tt_ccc set tiplan = ''N''
    where numecf is null
    and tiplan is null
    and comple=''ESTORNO REF. CANCELAMENTO VENDA'';
    
    -- Comissao
    update tt_ccc set tiplan = ''J''
    where numecf is null
    and tiplan is null
    and numdoc=''COMISSO''
    and comple like ''Comisso de %'';
    
    -- Estorno de Venda
    update tt_ccc set tiplan = ''U''
    where numecf is null
    and tiplan is null
    and comple=''ESTORNO REF. ESTORNO PARCELA'';
    
    -- Carto Prprio 
    update tt_ccc set tiplan = ''P''
    where (codfil,sequen) in
    (select ccc.codfil, ccc.sequen
      from tt_ccc ccc inner join tt_ven ven on ven.codfil=ccc.codven and ven.sequen=ccc.seqven
                      inner join tt_rec rec on rec.codfil=ven.codfil and rec.sequen=ven.sequen and rec.numpar=ccc.numpar and rec.subpar=ccc.subpar                  
                      INNER JOIN TT_PLA PLA ON PLA.FILPGT = VEN.FILPGT AND PLA.CODPGT = VEN.CODPGT
     where ccc.tiplan is null
       and rec.tipccc is not null
       AND PLA.USACPP = ''T''       
       and coalesce(ccc.numecf,''000'')=''000''   
       and rec.datinc<>ccc.datope
       and rec.flgest=''P''
       and ccc.numdoc = ven.codser||ven.numnot)
    and coalesce(numecf,''000'')=''000''
    and tiplan is null;

  RETURN NULL;

END;
' language 'plpgsql';

/*-- SEQ 0059 --*/
update tt_ccc set tiplan = 'V'
 where tiplan is null;

/*-- SEQ 0060 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CCC'));


/*-- SEQ 0061 --*/
DROP INDEX I_UQ_CPM_PRE_PLA;

/*-- SEQ 0062 --*/
CREATE UNIQUE INDEX I_UQ_CPM_PRE_PLA ON TT_CPM (FILPRE, SEQPRE, FILPGT, CODPGT, DATINI, DATVAL, FILPRO)  ;


/*-- SEQ 0063 --*/
ALTER TABLE TT_CCC DROP CONSTRAINT fk_ccc_vei;


/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD VLRIPI Numeric(12,2);

/*-- SEQ 0065 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0066 --*/
UPDATE TT_COM SET VLRIPI = (SELECT SUM(ICO.VLRIPI) 
                              FROM TT_ICO ICO
                              WHERE ICO.CODFIL = TT_COM.CODFIL
                                AND ICO.SEQUEN = TT_COM.SEQUEN);

/*-- SEQ 0067 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));



/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQLAY1 INCREMENT 1 START 1 MINVALUE 1;

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQLAY2 INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0070 --*/
ALTER TABLE TT_PED ADD ATUPED VARCHAR(1);

/*-- SEQ 0071 --*/
ALTER TABLE TT_PED ALTER COLUMN ATUPED SET DEFAULT 'F';

/*-- SEQ 0072 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PED'));

/*-- SEQ 0073 --*/
update tt_ped set atuped = (select atuped from tt_cfg)
 where atuped is null;

/*-- SEQ 0074 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PED'));


/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_HND DROP COLUMN VERTOT CASCADE;

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG DROP COLUMN IMGFIL CASCADE;


/*-- SEQ 0077 --*/
ALTER TABLE TT_PXF DROP COLUMN VLRICM CASCADE;

/*-- SEQ 0078 --*/
ALTER TABLE TT_PXF DROP COLUMN VLRIPI CASCADE;

/*-- SEQ 0079 --*/
ALTER TABLE TT_PXF DROP COLUMN VLRFRE CASCADE;

/*-- SEQ 0080 --*/
ALTER TABLE TT_PXF ADD ATU_EM Timestamp;

/*-- SEQ 0081 --*/
ALTER TABLE TT_PXF ADD IPICUS Numeric(5,2);

/*-- SEQ 0082 --*/
ALTER TABLE TT_PXF ADD ICMCUS Numeric(5,2);

/*-- SEQ 0083 --*/
ALTER TABLE TT_GRA ADD VLRFRE Numeric(12,2);

/*-- SEQ 0084 --*/
ALTER TABLE TT_GRA ADD PERFRE Numeric(5,2);


/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','CODSER','VARCHAR(3)');


/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','CODSER','VARCHAR(3)');



/*-- SEQ 0087 --*/
ALTER TABLE TT_DXG DROP CONSTRAINT fk_DXG_PXF;

/*-- SEQ 0088 --*/
ALTER TABLE TT_DXG ADD CONSTRAINT fk_DXG_PXF FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR)
      REFERENCES TT_PXF (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR) ON DELETE CASCADE;

/*-- SEQ 0089 --*/
ALTER TABLE TT_REF DROP CONSTRAINT fk_REF_PXF;

/*-- SEQ 0090 --*/
ALTER TABLE TT_REF ADD CONSTRAINT fk_REF_PXF FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR)
      REFERENCES TT_PXF (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR) ON DELETE CASCADE;

/*-- SEQ 0091 --*/
ALTER TABLE TT_GRA DROP COLUMN VLRFRE CASCADE;


/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_RZR ADD SEQANT CHAR(10);



/*-- SEQ 0093 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_DOP ADD DUMMY CHAR(01);


/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IPAG_STATUS ON TI_PAG (STATUS)  ;


/*-- SEQ 0095 --*/
ALTER TABLE TT_PXF DROP CONSTRAINT FK_PXF_GRA;

/*-- SEQ 0096 --*/
alter table TT_PXF add constraint FK_PXF_GRA foreign key (FILMAT,CODMAT,CODCOR,CODTAM)
  references TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM) ON DELETE CASCADE;

