
/*-- SEQ 0001 --*/
ALTER TABLE TT_CLI ADD CODCUS Numeric;

/*-- SEQ 0002 --*/
alter table TT_CLI  add constraint FK_CLI_DCUS_CODCUS foreign key (CODCUS) references TD_CUS (CODTAB);


/*-- SEQ 0003 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TD_FIL 
  ADD SERPAD CHAR(2);

/*-- SEQ 0004 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TD_FIL 
  ADD CONSTRAINT FK_DFIL_DSER 
  FOREIGN KEY (SERPAD) REFERENCES TD_SER (CODSER)
  ON DELETE CASCADE;


/*-- SEQ 0005 --*/
ALTER TABLE TT_LIM ADD FATEND VARCHAR(1);

/*-- SEQ 0006 --*/
ALTER TABLE TT_LIM ADD CONSTRAINT CK_LIM_FATEND CHECK (FATEND IN ('T','F'));

/*-- SEQ 0007 --*/
ALTER TABLE TT_LIM ALTER COLUMN FATEND SET DEFAULT 'F';

/*-- SEQ 0008 --*/
SELECT DISABLETRIGGERS(LOWER('TT_LIM'));

/*-- SEQ 0009 --*/
UPDATE TT_LIM SET FATEND = 'F' WHERE FATEND IS NULL;

/*-- SEQ 0010 --*/
SELECT ENABLETRIGGERS(LOWER('TT_LIM'));

/*-- SEQ 0011 --*/
ALTER TABLE TT_LIM ALTER COLUMN FATEND SET NOT NULL;


/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FIN ADD FILREC CHAR(3);

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FIN ADD CONSTRAINT FK_FIN_DFIL_FILREC FOREIGN KEY (FILREC) REFERENCES TD_FIL (CODFIL);



/*-- SEQ 0014 --*/
CREATE TABLE TT_CTAXDCTR (
  FILCTA CHAR(3), 
  SEQCTA CHAR(10), 
  TIPCTA CHAR(1),
  CODCTR Numeric(5),
  RATEIO Numeric(5,2)
)  ;

/*-- SEQ 0015 --*/
ALTER TABLE TT_CTAXDCTR ADD CONSTRAINT FK_CTAXDCTR FOREIGN KEY (FILCTA,SEQCTA,TIPCTA) REFERENCES TT_CTA (CODFIL,SEQUEN,TIPCTA);

/*-- SEQ 0016 --*/
ALTER TABLE TT_CTAXDCTR ADD CONSTRAINT CK_CTAXDCTR_TIPCTA CHECK (TIPCTA IN ('G'));

/*-- SEQ 0017 --*/
alter table TT_CTAXDCTR add constraint FK_CTAXDCTR_CODCTR foreign key (CODCTR) references TD_CTR (CODTAB);

/*-- SEQ 0018 --*/
ALTER TABLE TT_CTAXDCTR ADD CONSTRAINT PK_CTAXDCTR PRIMARY KEY (FILCTA,SEQCTA,TIPCTA,CODCTR)   ;



/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ADD MANUAL VARCHAR(1);

/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ADD CONSTRAINT CK_RECF_MANUAL CHECK (MANUAL IN ('T','F'));

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ALTER COLUMN MANUAL SET DEFAULT 'F';

/*-- SEQ 0022 --*/
SELECT DISABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0023 --*/
UPDATE TR_ECF SET MANUAL = 'F' WHERE MANUAL IS NULL;

/*-- SEQ 0024 --*/
SELECT ENABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ALTER COLUMN MANUAL SET NOT NULL;


/*-- SEQ 0026 --*/
ALTER TABLE TT_PXF DROP CONSTRAINT FK_PXF_GRA;

/*-- SEQ 0027 --*/
alter table TT_PXF add constraint FK_PXF_GRA foreign key (FILMAT,CODMAT,CODCOR,CODTAM)
  references TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM) ON DELETE CASCADE;


/*-- SEQ 0028 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_CAM ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0029 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_CFP ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0030 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_CLI ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0031 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_COM ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0032 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_DES ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0033 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_DOP ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0034 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_ICO ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0035 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_IVE ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0036 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_LAN ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0037 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_LIM ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0038 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_NAT ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0039 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_PAG ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0040 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_PLA ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0041 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_PRE ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0042 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_PRO ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0043 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_REC ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0044 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_SAL ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0045 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_SER ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0046 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_USU ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0047 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_VEN ALTER COLUMN STATUS SET DEFAULT 0;


/*-- SEQ 0048 --*/
CREATE SEQUENCE SQ_TRN_ID_EST INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0049 --*/
ALTER TABLE TD_COL ADD ZERESQ VARCHAR(1);

/*-- SEQ 0050 --*/
ALTER TABLE TD_COL ADD CONSTRAINT CK_DCOL_ZERESQ CHECK ( ZERESQ IN ('T','F'));

/*-- SEQ 0051 --*/
ALTER TABLE TD_COL ALTER COLUMN ZERESQ SET DEFAULT 'T';


/*-- SEQ 0052 --*/
UPDATE TD_COL SET ZERESQ ='T' WHERE ZERESQ IS NULL;

/*-- SEQ 0053 --*/
ALTER TABLE TD_COL ALTER COLUMN ZERESQ SET NOT NULL;

/*-- SEQ 0054 --*/
ALTER TABLE TW_TAB ADD ZERESQ VARCHAR(1);

/*-- SEQ 0055 --*/
ALTER TABLE TW_TAB ALTER COLUMN ZERESQ SET DEFAULT 'T';


/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
DROP TABLE TT_CPR CASCADE;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
DROP TABLE TT_CHP CASCADE;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
DROP TABLE TT_IDO CASCADE;

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
DROP TABLE TT_DIR CASCADE;

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
DROP TABLE TT_CMS CASCADE;

/*-- SEQ 0061 --*/
ALTER TABLE TT_TIT DROP COLUMN CODMOT CASCADE;

/*-- SEQ 0062 --*/
DROP VIEW TV_CNF_CON;


/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD PERIPI Numeric(5,2);

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_CFG SET CHECKOUT_VERMIN = '4.6T',
                  CHECKOUT_RELMIN = 1;


/*-- SEQ 0065 --*/
CREATE TABLE TEM_DCTA_ABAT AS 
SELECT *
FROM TD_CTA WHERE CFGCOL='ABATIMENTO/ACRESCIMO';

/*-- SEQ 0066 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0067 --*/
DELETE FROM TD_CTA WHERE CFGCOL='ABATIMENTO/ACRESCIMO';

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
DELETE FROM TT_CTA WHERE (CODFIL,SEQUEN) IN (SELECT FILCTA, SEQCTA FROM TEM_DCTA_ABAT);

/*-- SEQ 0069 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0070 --*/
DROP TABLE TEM_DCTA_ABAT;


/*-- SEQ 0071 --*/
ALTER TABLE TD_CAI ADD FILCAI CHAR(3);

/*-- SEQ 0072 --*/
ALTER TABLE TD_CAI ADD SEQCAI CHAR(10);

/*-- SEQ 0073 --*/
ALTER TABLE TD_CAI ADD TIPCAI CHAR(1);

/*-- SEQ 0074 --*/
ALTER TABLE TW_TAB ADD FILCAI CHAR(3);

/*-- SEQ 0075 --*/
ALTER TABLE TW_TAB ADD SEQCAI CHAR(10);

/*-- SEQ 0076 --*/
ALTER TABLE TW_TAB ADD TIPCAI CHAR(1);

/*-- SEQ 0077 --*/
ALTER TABLE TW_TAB ADD TITCAI VARCHAR(250);

/*-- SEQ 0078 --*/
CREATE INDEX i_fk_dcai_conta ON TD_CAI (filcai, seqcai, tipcai, ctacai)  ;

/*-- SEQ 0079 --*/
ALTER TABLE TD_CAI ADD CONSTRAINT fk_dcai_conta FOREIGN KEY (filcai, seqcai, tipcai, ctacai) REFERENCES tt_cta(codfil, sequen, tipcta, usocta);

/*-- SEQ 0080 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CAI'));

/*-- SEQ 0081 --*/
UPDATE TD_CAI SET FILCAI = FILCRE, SEQCAI = SEQCRE, TIPCAI = TIPCRE
 WHERE CX_USU = 1;

/*-- SEQ 0082 --*/
UPDATE TD_CAI SET FILCAI = FILDEB, SEQCAI = SEQDEB, TIPCAI = TIPDEB
 WHERE CX_USU = 0;

/*-- SEQ 0083 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CAI'));

/*-- SEQ 0084 --*/
CREATE SEQUENCE SQDCAI INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0085 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CAI'));

/*-- SEQ 0086 --*/
INSERT INTO TD_CAI (CX_COD,TIPCRE,TIPDEB,FILCRE,FILDEB,SEQCRE,SEQDEB,CODTAB,CX_ATI,CX_HIS,
                    CX_USU,CX_DES,CTACAI,TRANSF,FILCAI,SEQCAI,TIPCAI)
(SELECT 'T'||NEXTVAL('SQDCAI'),TIPCRE,TIPDEB,FILCRE,FILDEB,SEQCRE,SEQDEB,
                    (select max(codtab) from td_cai)+CODTAB+1,CX_ATI,CX_HIS,
                    0,substr(CX_DES,1,20)||' (sangria)',CTACAI,TRANSF,FILDEB,SEQDEB,TIPDEB FROM TD_CAI
WHERE COALESCE(CX_USU,2) = 2);

/*-- SEQ 0087 --*/
UPDATE TD_CAI SET CX_USU = 1, CX_DES = substr(CX_DES,1,20)||' (reforo)', FILCAI = FILCRE, SEQCAI = SEQCRE, TIPCAI = TIPCRE
WHERE COALESCE(CX_USU,2) = 2;

/*-- SEQ 0088 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CAI'));

/*-- SEQ 0089 --*/
DROP SEQUENCE SQDCAI;

/*-- SEQ 0090 --*/
ALTER TABLE TD_CAI DROP COLUMN FILDEB CASCADE;

/*-- SEQ 0091 --*/
ALTER TABLE TD_CAI DROP COLUMN SEQDEB CASCADE;

/*-- SEQ 0092 --*/
ALTER TABLE TD_CAI DROP COLUMN TIPDEB CASCADE;

/*-- SEQ 0093 --*/
ALTER TABLE TD_CAI DROP COLUMN FILCRE CASCADE;

/*-- SEQ 0094 --*/
ALTER TABLE TD_CAI DROP COLUMN SEQCRE CASCADE;

/*-- SEQ 0095 --*/
ALTER TABLE TD_CAI DROP COLUMN TIPCRE CASCADE;

/*-- SEQ 0096 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CAI'));


/*-- SEQ 0097 --*/
UPDATE TD_CAI SET FILCAI = filcta_trn, 
                  SEQCAI = seqcta_trn, 
                  TIPCAI = tipcta_trn
   FROM TT_CFG
 WHERE TRANSF = 'T';

/*-- SEQ 0098 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CAI'));

/*-- SEQ 0099 --*/
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CX_USU CHECK (CX_USU IN (0,1));

/*-- SEQ 0100 --*/
ALTER TABLE TD_CAI ALTER COLUMN FILCAI SET NOT NULL;

/*-- SEQ 0101 --*/
ALTER TABLE TD_CAI ALTER COLUMN SEQCAI SET NOT NULL;

/*-- SEQ 0102 --*/
ALTER TABLE TD_CAI ALTER COLUMN TIPCAI SET NOT NULL;

/*-- SEQ 0103 --*/
ALTER TABLE TD_CAI ALTER COLUMN CX_USU SET NOT NULL;

/*-- SEQ 0104 --*/
ALTER TABLE TW_TAB DROP COLUMN FILDEB CASCADE;

/*-- SEQ 0105 --*/
ALTER TABLE TW_TAB DROP COLUMN SEQDEB CASCADE;

/*-- SEQ 0106 --*/
ALTER TABLE TW_TAB DROP COLUMN TIPDEB CASCADE;

/*-- SEQ 0107 --*/
ALTER TABLE TW_TAB DROP COLUMN FILCRE CASCADE;

/*-- SEQ 0108 --*/
ALTER TABLE TW_TAB DROP COLUMN SEQCRE CASCADE;

/*-- SEQ 0109 --*/
ALTER TABLE TW_TAB DROP COLUMN TIPCRE CASCADE;

/*-- SEQ 0110 --*/
ALTER TABLE TW_TAB DROP COLUMN TITCRE CASCADE;

/*-- SEQ 0111 --*/
ALTER TABLE TW_TAB DROP COLUMN TITDEB CASCADE;


/*-- SEQ 0112 --*/
ALTER TABLE TT_FIN ADD FILEST CHAR(3);

/*-- SEQ 0113 --*/
ALTER TABLE TT_FIN ADD SEQEST CHAR(10);

/*-- SEQ 0114 --*/
ALTER TABLE TT_FIN ADD CONSTRAINT FK_FIN_FINEST FOREIGN KEY (FILEST, SEQEST) REFERENCES TT_FIN (CODFIL, SEQUEN);

/*-- SEQ 0115 --*/
CREATE INDEX I_FK_FIN_FINEST ON TT_FIN (FILEST, SEQEST)  ;


/*-- SEQ 0116 --*/
CREATE TABLE TM_TIT (
    CODFIL CHAR(3) NOT NULL,
    SEQUEN CHAR(10) NOT NULL,
    NUMPAR CHAR(2) NOT NULL,
    FLGEST CHAR(1) NOT NULL,  -- Estado do registro N no processado P Em processamento    
    SITANT CHAR(1), -- Situao da parcela
    TITBAI  VARCHAR(1), -- Ttulo foi baixado
    VLRORI Numeric(12,2) NOT NULL, -- Valor original da parcela
    ORIVEN Timestamp NOT NULL, -- Data de vencimento original da parcela
    PORORI Numeric(5) NOT NULL, -- Portador original da parcela
    DATINC Timestamp,
    CONSTRAINT CK_MTIT_FLGEST CHECK (FLGEST IN ('N','P')),
    CONSTRAINT PK_MTIT PRIMARY KEY (CODFIL,SEQUEN,NUMPAR)   
)  ;

/*-- SEQ 0117 --*/
ALTER TABLE TM_TIT ALTER COLUMN FLGEST SET DEFAULT 'N';

/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC DROP COLUMN DUMMY2 CASCADE;

/*-- SEQ 0119 --*/
ALTER TABLE TT_TIT ADD DATVEN Timestamp;

/*-- SEQ 0120 --*/
ALTER TABLE TT_TIT ADD PORTAD Numeric(5);

/*-- SEQ 0121 --*/
ALTER TABLE TT_TIT ADD VLRPAR Numeric(12,2);

/*-- SEQ 0122 --*/
SELECT DISABLETRIGGERS(LOWER('TT_TIT'));

/*-- SEQ 0123 --*/
UPDATE TT_TIT TIT
   SET DATVEN=REC.DATVEN,
       PORTAD=REC.PORTAD,
       VLRPAR=REC.VLRPAR
  FROM TT_REC REC
 WHERE TIT.FILREC=REC.CODFIL
   AND TIT.SEQREC=REC.SEQUEN
   AND TIT.PARREC=REC.NUMPAR
   AND TIT.SUBREC=REC.SUBPAR
   AND TIT.DATVEN IS NULL;

/*-- SEQ 0124 --*/
UPDATE TT_TIT
SET DATVEN=AGORA(),
    PORTAD=0,
    VLRPAR=VLRORI
WHERE DATVEN IS NULL;

/*-- SEQ 0125 --*/
SELECT ENABLETRIGGERS(LOWER('TT_TIT'));


/*-- SEQ 0126 --*/
ALTER TABLE TT_TIT ALTER COLUMN DATVEN SET NOT NULL;

/*-- SEQ 0127 --*/
ALTER TABLE TT_TIT ALTER COLUMN PORTAD SET NOT NULL;

/*-- SEQ 0128 --*/
ALTER TABLE TT_TIT ALTER COLUMN VLRPAR SET NOT NULL;

/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TIT DROP CONSTRAINT AK_TIT_REC;

/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
DROP INDEX AK_TIT_REC;

/*-- SEQ 0131 --*/
ALTER TABLE TM_TIT DROP COLUMN ORIVEN CASCADE;

/*-- SEQ 0132 --*/
ALTER TABLE TM_TIT DROP COLUMN PORORI CASCADE;

/*-- SEQ 0133 --*/
ALTER TABLE TM_TIT DROP COLUMN VLRORI CASCADE;

/*-- SEQ 0134 --*/
ALTER TABLE TM_TIT DROP COLUMN SITANT CASCADE;


/*-- SEQ 0135 --*/
ALTER TABLE TT_ICO ADD REDITE Numeric(5,2);


/*-- SEQ 0136 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF ADD STATUS Numeric(1);

/*-- SEQ 0137 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF ADD OBSSTA VARCHAR(255);

/*-- SEQ 0139 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ITF ADD DATIMP Timestamp;

/*-- SEQ 0140 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TI_ITF','NSUTRN','CHAR(12)');



/*-- SEQ 0141 --*/
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_TRANSF_TIPCAI CHECK ( (TRANSF = 'T' and TIPCAI = 'N') or (TRANSF = 'F' and TIPCAI IN ('N','G')) );


/*-- SEQ 0142 --*/
ALTER TABLE TT_GRA ADD ALIFRE Numeric(5,2);

/*-- SEQ 0143 --*/
ALTER TABLE TT_PXF ADD ALIFRE Numeric(5,2);


/*-- SEQ 0144 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0145 --*/
UPDATE TT_PRO SET RESIPI = 0 WHERE RESIPI IS NULL;

/*-- SEQ 0146 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));


/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_PERPIS;

/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_PERCOF;

/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_PERSOC;

/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN PERPIS DROP NOT NULL;

/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN PERCOF DROP NOT NULL;

/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN PERSOC DROP NOT NULL;

/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN COMCOF DROP NOT NULL;

/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN COMPIS DROP NOT NULL;

/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN COMCOF DROP NOT NULL;

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ALTER COLUMN COMPIS DROP NOT NULL;


/*-- SEQ 0157 --*/
ALTER TABLE TW_IIN ADD ZERESQ VARCHAR(1);

/*-- SEQ 0158 --*/
ALTER TABLE TD_COL ADD CONSTRAINT CK_WIIN_ZERESQ CHECK ( ZERESQ IN ('T','F'));

/*-- SEQ 0159 --*/
ALTER TABLE TW_IIN ALTER COLUMN ZERESQ SET DEFAULT 'T';


/*-- SEQ 0160 --*/
UPDATE TW_IIN SET ZERESQ ='T' WHERE ZERESQ IS NULL;

/*-- SEQ 0161 --*/
ALTER TABLE TW_IIN ALTER COLUMN ZERESQ SET NOT NULL;



/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
create table troca_caixa as 
SELECT ORI.CX_DES as ORI_CX_DES, DES.CX_DES as DES_CX_DES, ORI.CODTAB as ORI_CODTAB, 
       DES.CODTAB as DES_CODTAB, ORI.CX_USU as ORI_CX_USU, DES.CX_USU as DES_CX_USU
FROM TD_CAI ORI INNER JOIN TD_CAI DES ON ORI.CX_USU=1 AND DES.CX_USU=0 AND REPLACE(ORI.CX_DES,'(reforo)','')=REPLACE(DES.CX_DES,'(sangria)','')
WHERE ORI.CODTAB=0;

/*-- SEQ 0163 --*/  
SELECT DISABLETRIGGERS(LOWER('TD_CAI'));

/*-- SEQ 0164 --*/   
update td_cai 
set cx_usu=(select des_cx_usu from troca_caixa),
    cx_des=(select des_cx_des from troca_caixa)
    where codtab=(select ori_codtab from troca_caixa);
        
/*-- SEQ 0165 --*/
update td_cai 
set cx_usu=(select ori_cx_usu from troca_caixa),
    cx_des=(select ori_cx_des from troca_caixa)
where codtab=(select des_codtab from troca_caixa);

/*-- SEQ 0166 --*/  
SELECT ENABLETRIGGERS(LOWER('TD_CAI'));


/*-- SEQ 0167 --*/
insert into tl_fin (origem,filori,seqori,parori,subori,flgest,datinc)
(select distinct cast('PAG' as char(3)) as origem,
        pag.codfil,
        pag.SEQUEN,
        pag.numpar,
        pag.subpar,
        'N',
        agora()
   from tt_dop dop inner join tt_pag pag on dop.codfil=pag.fildop and dop.sequen=pag.seqdop
                   left join tr_fin fin on fin.origem='DOP' and dop.codfil=fin.codfil and dop.sequen=fin.sequen
                   left join tl_fin lfin on lfin.origem='PAG' and pag.codfil=lfin.filori and pag.sequen=lfin.seqori and pag.numpar=lfin.parori and pag.subpar=lfin.subori
  where fin.codfil is null
    and lfin.origem is null
    and dop.flgest<>'C'
);


/*-- SEQ 0168 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0169 --*/
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '4.6U',
       CHECKOUT_RELMIN = 2;

/*-- SEQ 0170 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));



/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CAM ADD DATCRI Timestamp;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CFP ADD DATCRI Timestamp;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CHR ADD DATCRI Timestamp;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ADD DATCRI Timestamp;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_COM ADD DATCRI Timestamp;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DES ADD DATCRI Timestamp;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DOP ADD DATCRI Timestamp;

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ICO ADD DATCRI Timestamp;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IOF ADD DATCRI Timestamp;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IVE ADD DATCRI Timestamp;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LAN ADD DATCRI Timestamp;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LIM ADD DATCRI Timestamp;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_NAT ADD DATCRI Timestamp;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PAG ADD DATCRI Timestamp;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PLA ADD DATCRI Timestamp;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRE ADD DATCRI Timestamp;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD DATCRI Timestamp;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_REC ADD DATCRI Timestamp;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ADD DATCRI Timestamp;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SER ADD DATCRI Timestamp;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ADD DATCRI Timestamp;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ADD DATCRI Timestamp;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CAM ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CFP ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CHR ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_COM ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DES ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DOP ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ICO ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IOF ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IVE ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LAN ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LIM ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_NAT ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PAG ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PLA ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRE ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_REC ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SER ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ALTER COLUMN DATCRI SET DEFAULT agora();

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CFP ALTER COLUMN STATUS SET DEFAULT 0;

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SER ALTER COLUMN STATUS SET DEFAULT 0;



/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_ICLI_STATUS;

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_IICO_STATUS;

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_IIVE_STATUS;

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_ILIM_STATUS;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_IPRE_STATUS;

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_IPRO_STATUS;

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_ISAL_STATUS;

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_LC_IVEN_STATUS;

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_TI_LAN;

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_ICLI_STATUS ON TI_CLI (STATUS, DATCRI)   ;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IICO_STATUS ON TI_ICO (STATUS, DATCRI)   ;

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IIVE_STATUS ON TI_IVE (STATUS, DATCRI)   ;

/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_ILIM_STATUS ON TI_LIM (STATUS, DATCRI)   ;

/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IPRE_STATUS ON TI_PRE (STATUS, DATCRI)   ;

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IPRO_STATUS ON TI_PRO (STATUS, DATCRI)   ;

/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_ISAL_STATUS ON TI_SAL (STATUS, DATCRI)   ;

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IVEN_STATUS ON TI_VEN (STATUS, DATCRI)   ;

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_ILAN_STATUS ON TI_LAN (STATUS, DATCRI)   ;



/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
update tt_cli set naodiv='F'
where naodiv is null;
    
/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN NAODIV SET DEFAULT 'F';

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN NAODIV SET NOT NULL;

/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));


/*-- SEQ 0240 --*/
ALTER TABLE TT_USU DROP CONSTRAINT AK_USU_CLI;

/*-- SEQ 0241 --*/
ALTER TABLE TT_USU ADD CONSTRAINT AK_USU_CLI UNIQUE (FILCLI, CODCLI)   ;


/*-- SEQ 0242 --*/
ALTER TABLE TE_CCC ADD FILPGT CHAR(3);

/*-- SEQ 0243 --*/
ALTER TABLE TE_CCC ADD CODPGT CHAR(3);


/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_LPRE_DATOPE ON TL_PRE (FILPRE, SEQPRE, DATOPE)  ;


/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD ICMFRE Numeric(12,4);

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD VLRFRE Numeric(12,4);

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','VLR001','Numeric(9,2)');


/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','VLRMOV','Numeric(14,2)');


/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','CODFIL','CHAR(3)');


/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','SEQUEN','CHAR(10)');


/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','NUMITE','Numeric(5,0)');


/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','CODFIL','CHAR(3)');


/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','SEQUEN','CHAR(10)');


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD BASICM Numeric(12,2);

/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('IVE_BASICM',AGORA());


/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD ICMSEG Numeric(12,4);

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD VLRSEG Numeric(12,4);




/*-- SEQ 0258 --*/
alter table TD_STD drop constraint CK_DSTD_FLGFLX;

/*-- SEQ 0259 --*/
alter table TD_STD
    add constraint CK_DSTD_FLGFLX
    check ((FLGFLX = 'C' AND USOSTD = 'C') OR (FLGFLX IN ('A','R','C') AND USOSTD = 'A'));


/*-- SEQ 0260 --*/
alter table TD_STD drop constraint CK_DSTD_FLGFLX;

/*-- SEQ 0261 --*/
alter table TD_STD
    add constraint CK_DSTD_FLGFLX
    check ((FLGFLX = 'C' AND USOSTD = 'C') OR (FLGFLX IN ('A','R') AND USOSTD = 'A'));

/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
insert into td_std (codtab,usostd,domdop,stdati,desstd,flgflx)
values ( (select max(codtab)+1 from td_std), 'C', (select cheque from tt_cfg where chetro = 'T'), 'T','CHEQUE TROCO CANCELADO','C' );






/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD REUTILIZA_REFERENCIA CHAR(1);


