
/*-- SEQ 0001 --*/
ALTER TABLE TT_CFG ADD OBRIGA_CODEAN VARCHAR(1);

/*-- SEQ 0002 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_OBRIGA_CODEAN CHECK (OBRIGA_CODEAN IN ('T','D','F'));

/*-- SEQ 0003 --*/
ALTER TABLE TT_CFG ALTER COLUMN OBRIGA_CODEAN SET DEFAULT 'F';

/*-- SEQ 0004 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0005 --*/
UPDATE TT_CFG SET OBRIGA_CODEAN = 'F' WHERE OBRIGA_CODEAN IS NULL;

/*-- SEQ 0006 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0007 --*/
ALTER TABLE TT_CFG ALTER COLUMN OBRIGA_CODEAN SET NOT NULL;

/*-- SEQ 0008 --*/
ALTER TABLE TW_CFG ADD OBRIGA_CODEAN VARCHAR(1);

/*-- SEQ 0009 --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_OBRIGA_CODEAN CHECK (OBRIGA_CODEAN IN ('T','D','F'));

/*-- SEQ 0010 --*/
ALTER TABLE TW_CFG ALTER COLUMN OBRIGA_CODEAN SET DEFAULT 'F';


/*-- SEQ 0011 --*/
UPDATE TT_USU
   SET PERMIS = SUBSTR(PERMIS,1,251)||'S'||SUBSTR(PERMIS,253,999)
 WHERE NIVUSU = 2;


/*-- SEQ 0012 --*/
ALTER TABLE TW_FPV ADD ICMFRE	NUMERIC	(12,2); 

/*-- SEQ 0013 --*/
ALTER TABLE TW_FPV ADD ALIFRE  NUMERIC (5,2);

/*-- SEQ 0014 --*/
ALTER TABLE TW_FPV ADD PICFRE  NUMERIC (12,4);

/*-- SEQ 0015 --*/
ALTER TABLE TW_FPV ADD AFICUS  NUMERIC (5,2);

/*-- SEQ 0016 --*/
ALTER TABLE TW_FPV ADD ACRFIN  NUMERIC (12,4);

/*-- SEQ 0017 --*/
ALTER TABLE TW_FPV ADD ICMSRE  NUMERIC (12,2);

/*-- SEQ 0018 --*/
ALTER TABLE TW_FPV ADD RESICM  NUMERIC (12,2);


/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG DROP COLUMN USA_SIMULACAO_SAC;

/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG DROP COLUMN USA_SIMULACAO_SAC;




/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SIM DROP CONSTRAINT FK_SIM_REGRA;

/*-- SEQ 0022 --*/
ALTER TABLE TT_SIM ADD CONSTRAINT CK_SIM_REGRA CHECK ((FILMAT||CODMAT||CODCOR||CODTAM) <> (FILSIM||CODSIM||CORSIM||TAMSIM));

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DESXDCCC DROP CONSTRAINT FK_DESXDCCC_PERDES;

/*-- SEQ 0024 --*/
ALTER TABLE TT_DESXDCCC ADD CONSTRAINT CK__DESXDCCC_PERDES CHECK (PERDES <> 0);

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DESXDCCC DROP CONSTRAINT  FK_DESXDCCC_PGTATE;

/*-- SEQ 0026 --*/
ALTER TABLE TT_DESXDCCC ADD CONSTRAINT CK_DESXDCCC_PGTATE CHECK (PGTATE <> 0);

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PRO DROP CONSTRAINT FK_PRO_CONTRO;

/*-- SEQ 0028 --*/
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_CONTRO CHECK (CONTRO IN ('T','F'));

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_ORC DROP CONSTRAINT FK_LORC_TIPLOG;

/*-- SEQ 0030 --*/
ALTER TABLE TL_ORC ADD CONSTRAINT CK_LORC_TIPLOG CHECK (TIPLOG IN ('F','D'));


/*-- SEQ 0031 --*/
ALTER TABLE TR_FIN ADD ATU_EM Timestamp;


/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
alter table TD_STD drop constraint CK_DSTD_FLGFLX;

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
alter table TD_STD
    add constraint CK_DSTD_FLGFLX
    check ((FLGFLX = 'C' AND USOSTD = 'C') OR (FLGFLX IN ('A','R') AND USOSTD = 'A'));

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
insert into td_std (codtab,usostd,domdop,stdati,desstd,flgflx)
values ( (select max(codtab)+1 from td_std), 'C', (select cheque from tt_cfg where chetro = 'T'), 'T','CHEQUE TROCO CANCELADO','C' );






/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD REUTILIZA_REFERENCIA CHAR(1);

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN REUTILIZA_REFERENCIA SET DEFAULT 'F';

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_REUTILIZA_REFERENCIA CHECK (REUTILIZA_REFERENCIA IN ('T','F'));

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_CFG SET REUTILIZA_REFERENCIA = 'F'
 WHERE REUTILIZA_REFERENCIA IS NULL;

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN REUTILIZA_REFERENCIA SET NOT NULL;

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD REUTILIZA_REFERENCIA CHAR(1);

/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ALTER COLUMN REUTILIZA_REFERENCIA SET DEFAULT 'F';

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_REUTILIZA_REFERENCIA CHECK (REUTILIZA_REFERENCIA IN ('T','F'));




/*-- SEQ 0043 --*/
ALTER TABLE TT_RAT ADD VLRCON Numeric(12,2);


/*-- SEQ 0044 --*/
ALTER TABLE TT_CFG ADD TIPCCC_RAT Numeric(5);

/*-- SEQ 0045 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCC FOREIGN KEY (TIPCCC_RAT) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0046 --*/
ALTER TABLE TW_CFG ADD TIPCCC_RAT Numeric(5);


/*-- SEQ 0047 --*/
ALTER TABLE TT_CCC ADD FILRAT CHAR(3);

/*-- SEQ 0048 --*/
ALTER TABLE TT_CCC ADD SEQRAT CHAR(10);

/*-- SEQ 0049 --*/
ALTER TABLE TT_CCC ADD CONSTRAINT FK_CCC_RAT FOREIGN KEY (FILRAT, SEQRAT) REFERENCES TT_RAT (CODFIL, SEQUEN);

/*-- SEQ 0050 --*/
CREATE INDEX I_FK_CCC_RAT ON TT_CCC (FILRAT, SEQRAT)  ; 


/*-- SEQ 0051 --*/
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0052 --*/
ALTER TABLE TD_FIL ADD PEROPE Numeric(6,2) DEFAULT 0;

/*-- SEQ 0053 --*/
UPDATE TD_FIL
   SET PEROPE = (SELECT COALESCE(PEROPE,0)
                   FROM TT_CFG);

/*-- SEQ 0054 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0055 --*/
ALTER TABLE TD_FIL ALTER COLUMN PEROPE SET NOT NULL;

/*-- SEQ 0056 --*/
ALTER TABLE TT_CFG DROP COLUMN PEROPE CASCADE;

/*-- SEQ 0057 --*/
ALTER TABLE TW_CFG DROP COLUMN PEROPE;


/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD MARECF VARCHAR(20);

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD MODECF VARCHAR(20);

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD VSWECF VARCHAR(10);

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CODFAB VARCHAR(3);

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CODMOD VARCHAR(2);

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD DSWECF Timestamp;

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD FITDET VARCHAR(1);

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_FITDET CHECK (FITDET IN ('T','F'));

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ALTER COLUMN FITDET SET DEFAULT 'F';


/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD MARECF VARCHAR(20);

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD MODECF VARCHAR(20);

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD VSWECF VARCHAR(10);

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CODFAB VARCHAR(3);

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CODMOD VARCHAR(2);

/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD DSWECF Timestamp;

/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD FITDET VARCHAR(1);

/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ALTER COLUMN FITDET SET DEFAULT 'F';






/*-- SEQ 0075 --*/
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0076 --*/
UPDATE TT_USU
   SET PERMIS = SUBSTR(PERMIS,1,254)||SUBSTR(PERMIS,29,1)||SUBSTR(PERMIS,256,9999);

/*-- SEQ 0077 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD FILIAL_CONTRATO Numeric(1);

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_FILIAL_CONTRATO CHECK (FILIAL_CONTRATO IN (0,1));

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN FILIAL_CONTRATO SET DEFAULT 0;

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_CFG SET FILIAL_CONTRATO = 0 WHERE FILIAL_CONTRATO IS NULL;

/*-- SEQ 0083 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN FILIAL_CONTRATO SET NOT NULL;

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD FILIAL_CONTRATO Numeric(1);

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_FILIAL_CONTRATO CHECK (FILIAL_CONTRATO IN (0,1));

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ALTER COLUMN FILIAL_CONTRATO SET DEFAULT 0;


/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CHEHOM VARCHAR(10);




/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_VEN','DESCON','Numeric(14,4)');


/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','DESCON','Numeric(14,4)');



/*-- SEQ 0091 --*/
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0092 --*/
UPDATE TT_USU
   SET PERMIS = SUBSTR(PERMIS,1,258)||SUBSTR(PERMIS,35,1)||SUBSTR(PERMIS,260,9999);

/*-- SEQ 0093 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0094 --*/
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0095 --*/
UPDATE TT_USU
   SET PERMIS = SUBSTR(PERMIS,1,257)||'N'||SUBSTR(PERMIS,259,9999);

/*-- SEQ 0096 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0097 --*/
ALTER TABLE TT_RAT ADD VLRCONCAL Numeric(12,2);

/*-- SEQ 0098 --*/
ALTER TABLE TT_RAT ADD VLRTOTCAL Numeric(12,2);

/*-- SEQ 0099 --*/
ALTER TABLE TT_RAT ADD VLRTOT Numeric(12,2);


/*-- SEQ 0100 --*/
ALTER TABLE TT_USU ADD HORRATCOR Numeric(12,2);

/*-- SEQ 0101 --*/
ALTER TABLE TT_USU ADD PERRATCOB Numeric(5,2);

/*-- SEQ 0102 --*/
ALTER TABLE TT_USU ADD MINRATCOB Numeric(12,2);

/*-- SEQ 0103 --*/
ALTER TABLE TI_USU ADD HORRATCOR Numeric(12,2);

/*-- SEQ 0104 --*/
ALTER TABLE TI_USU ADD PERRATCOB Numeric(5,2);

/*-- SEQ 0105 --*/
ALTER TABLE TI_USU ADD MINRATCOB Numeric(12,2);


/*-- SEQ 0106 --*/
SELECT DISABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0107 --*/
ALTER TABLE TT_END ADD SIGNAT Numeric(5) DEFAULT 0;

/*-- SEQ 0108 --*/
SELECT ENABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0111 --*/
ALTER TABLE TT_END ALTER COLUMN SIGNAT SET NOT NULL;

/*-- SEQ 0112 --*/
ALTER TABLE TI_CLI ADD END_SIGNAT Numeric(5);


/*-- SEQ 0113 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_rat () CASCADE;

/*-- SEQ 0115 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_rat ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Recebimento de RAT'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''RAT'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0116 --*/
select temp_cria_conta_rat() from dual;


/*-- SEQ 0117 --*/
DROP FUNCTION temp_cria_conta_rat () CASCADE;

/*-- SEQ 0118 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC ADD CODSER CHAR(2);

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_DSER_CODSER FOREIGN KEY (CODSER) REFERENCES TD_SER (CODSER);




/*-- SEQ 0121 --*/
SELECT DISABLETRIGGERS(LOWER('TT_FIN'));

/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_fin_datfis () CASCADE;

/*-- SEQ 0123 --*/
CREATE OR REPLACE FUNCTION temp_fin_datfis ()
RETURNS VARCHAR AS '
DECLARE

  vCODFIL TT_FIN.CODFIL%TYPE;
  vSEQUEN TT_FIN.SEQUEN%TYPE;
  cDUMMY  VARCHAR(10);
  
  CR_FIN_ORI CURSOR FOR
  SELECT TAB.CODFIL,TAB.SEQUEN
    FROM (SELECT FIN.CODFIL, FIN.SEQUEN, FIN.DATFIS, 
                 (SELECT REC.PAGAME 
                    FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                         AND INT.SEQREC = REC.SEQUEN
                                                         AND INT.NUMPAR = REC.NUMPAR
                                                         AND INT.SUBPAR = REC.SUBPAR
                   WHERE INT.CODFIL = OPE.CODFIL 
                     AND INT.NUMECF = OPE.NUMECF 
                     AND INT.TRN_ID = OPE.TRN_ID 
                     AND INT.NUMITE = OPE.NUMITE-1 
                     AND OPE.VLROPE = INT.VLROPE*-1
                 ) AS PAGAME
            FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                 AND OPE.SEQFIN = FIN.SEQUEN
           WHERE OPE.NUMECF = ''000''
         ) TAB 
   WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
     AND TAB.PAGAME IS NOT NULL; 
     
  CR_FIN_TRN CURSOR FOR
  SELECT TAB.CODFIL,TAB.SEQUEN
    FROM (SELECT TRN.CODFIL, TRN.SEQUEN, TRN.DATFIS, 
                 (SELECT REC.PAGAME 
                    FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                         AND INT.SEQREC = REC.SEQUEN
                                                         AND INT.NUMPAR = REC.NUMPAR
                                                         AND INT.SUBPAR = REC.SUBPAR
                   WHERE INT.CODFIL = OPE.CODFIL 
                     AND INT.NUMECF = OPE.NUMECF 
                     AND INT.TRN_ID = OPE.TRN_ID 
                     AND INT.NUMITE = OPE.NUMITE-1 
                     AND OPE.VLROPE = INT.VLROPE*-1
                 ) AS PAGAME
            FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                 AND OPE.SEQFIN = FIN.SEQUEN
                            INNER JOIN TT_FIN TRN ON FIN.CODFIL = TRN.CODFIL
                                                 AND FIN.SEQUEN = TRN.SEQTRN                                               
           WHERE OPE.NUMECF = ''000''
         ) TAB 
   WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
     AND TAB.PAGAME IS NOT NULL;     
  
BEGIN

  OPEN CR_FIN_ORI;
  FETCH CR_FIN_ORI INTO vCODFIL, vSEQUEN;
  IF FOUND THEN
    cDUMMY := INSERE_LFIN_LAN(''FIN'',vCODFIL,vSEQUEN,''--'',''--'');
  END IF;  
  CLOSE CR_FIN_ORI;

  OPEN CR_FIN_TRN;
  FETCH CR_FIN_TRN INTO vCODFIL, vSEQUEN;
  IF FOUND THEN
    cDUMMY := INSERE_LFIN_LAN(''FIN'',vCODFIL,vSEQUEN,''--'',''--'');
  END IF;  
  CLOSE CR_FIN_TRN; 
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0124 --*/
select temp_fin_datfis() from dual;


/*-- SEQ 0125 --*/
DROP FUNCTION temp_fin_datfis () CASCADE;

/*-- SEQ 0126 --*/
UPDATE TT_FIN
   SET DATFIS = TRUNC(SUB.PAGAME)
  FROM (
       SELECT TAB.CODFIL, TAB.SEQUEN, TAB.PAGAME
         FROM (
               SELECT FIN.CODFIL, FIN.SEQUEN, FIN.DATFIS, 
                      (SELECT REC.PAGAME 
                         FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                              AND INT.SEQREC = REC.SEQUEN
                                                              AND INT.NUMPAR = REC.NUMPAR
                                                              AND INT.SUBPAR = REC.SUBPAR
                        WHERE INT.CODFIL = OPE.CODFIL 
                          AND INT.NUMECF = OPE.NUMECF 
                          AND INT.TRN_ID = OPE.TRN_ID 
                          AND INT.NUMITE = OPE.NUMITE-1 
                          AND OPE.VLROPE = INT.VLROPE*-1
                      ) AS PAGAME
                 FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                      AND OPE.SEQFIN = FIN.SEQUEN
                WHERE OPE.NUMECF = '000'
              ) TAB 
        WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
          AND TAB.PAGAME IS NOT NULL
       ) SUB 
 WHERE TT_FIN.CODFIL = SUB.CODFIL
   AND TT_FIN.SEQUEN = SUB.SEQUEN;

/*-- SEQ 0127 --*/
UPDATE TT_FIN
   SET DATFIS = TRUNC(SUB.PAGAME)
  FROM (
       SELECT TAB.CODFIL, TAB.SEQUEN, TAB.PAGAME
         FROM (
               SELECT TRN.CODFIL, TRN.SEQUEN, TRN.DATFIS, 
                      (SELECT REC.PAGAME 
                         FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                              AND INT.SEQREC = REC.SEQUEN
                                                              AND INT.NUMPAR = REC.NUMPAR
                                                              AND INT.SUBPAR = REC.SUBPAR
                        WHERE INT.CODFIL = OPE.CODFIL 
                          AND INT.NUMECF = OPE.NUMECF 
                          AND INT.TRN_ID = OPE.TRN_ID 
                          AND INT.NUMITE = OPE.NUMITE-1 
                          AND OPE.VLROPE = INT.VLROPE*-1
                      ) AS PAGAME
                 FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                      AND OPE.SEQFIN = FIN.SEQUEN
                                 INNER JOIN TT_FIN TRN ON FIN.CODFIL = TRN.CODFIL
                                                      AND FIN.SEQUEN = TRN.SEQTRN                                                      
                WHERE OPE.NUMECF = '000'
              ) TAB 
        WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
          AND TAB.PAGAME IS NOT NULL 
       ) SUB 
 WHERE TT_FIN.CODFIL = SUB.CODFIL
   AND TT_FIN.SEQUEN = SUB.SEQUEN;

/*-- SEQ 0128 --*/
SELECT ENABLETRIGGERS(LOWER('TT_FIN'));


/*-- SEQ 0129 --*/
update tt_ive
set qtdpen=-1
where (codfil,sequen) in
(select ive.codfil, ive.sequen 
 from tt_ive ive inner join tt_sub sub on sub.codite=ive.embori
where ive.qtdpen > 0
  and sub.fatcon > 1);

/*-- SEQ 0130 --*/
update tt_ive
set qtdfut = qtdpen
where coalesce(qtdfut,0) > 0
  and (codfil,sequen) in
(select ive.codfil, ive.sequen 
 from tt_ive ive inner join tt_sub sub on sub.codite=ive.embori
where ive.qtdpen > 0
  and sub.fatcon > 1);


/*-- SEQ 0131 --*/
/*-- IGNORE ERRO --*/
CREATE TABLE TL_ROM(
       FILROM CHAR(3),
       SEQROM CHAR(10),
       DATOPE Timestamp,
       FILUSU CHAR(3),
       CODUSU CHAR(3),
       MSGLOG VARCHAR(4000),
       CODUID Numeric);
	   

/*-- SEQ 0132 --*/	  
/*-- IGNORE ERRO --*/ 
ALTER TABLE TL_ROM ADD CONSTRAINT FK_LROM_ROM FOREIGN KEY (FILROM, SEQROM) REFERENCES TT_ROM (CODFIL, SEQUEN);	   


/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LROM_ROM ON TL_ROM (FILROM, SEQROM)  ;


/*-- SEQ 0134 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_UQ_LFIN_DESTIN;

/*-- SEQ 0135 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_UQ_LFIN_ORIGEM;

/*-- SEQ 0136 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_LFIN_DESTIN ON TL_FIN (DESTIN, CODTAB)  ;

/*-- SEQ 0137 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_LFIN_ORIGEM ON TL_FIN (ORIGEM, FILORI, SEQORI, PARORI, SUBORI)  ;

/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQLFIN INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0139 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_FIN ADD FIN_ID Numeric(10);

/*-- SEQ 0140 --*/
SELECT DISABLETRIGGERS(LOWER('TL_FIN'));

/*-- SEQ 0141 --*/
UPDATE TL_FIN
   SET FIN_ID = NEXTVAL('SQLFIN')
WHERE FIN_ID IS NULL;

/*-- SEQ 0142 --*/
SELECT ENABLETRIGGERS(LOWER('TL_FIN'));

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_FIN ADD CONSTRAINT PK_LFIN PRIMARY KEY (FIN_ID)   ;




/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD FLGICM CHAR(1);

/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD CONSTRAINT CK_FLGICM CHECK (FLGICM IN ('T','F'));

/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD FLGISS CHAR(1);

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD CONSTRAINT CK_FLGISS CHECK (FLGISS IN ('T','F'));


/*-- SEQ 0148 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_icms () CASCADE;

/*-- SEQ 0150 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_icms ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''ICMS a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''ICMS_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_icms() from dual;


/*-- SEQ 0152 --*/
DROP FUNCTION temp_cria_conta_icms () CASCADE;

/*-- SEQ 0153 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0154 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_iss () CASCADE;

/*-- SEQ 0156 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_iss ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''ISS a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''ISS_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_iss() from dual;


/*-- SEQ 0158 --*/
DROP FUNCTION temp_cria_conta_iss () CASCADE;

/*-- SEQ 0159 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0160 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_inss () CASCADE;

/*-- SEQ 0162 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_inss ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''INSS a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''INSS_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_inss() from dual;


/*-- SEQ 0164 --*/
DROP FUNCTION temp_cria_conta_inss () CASCADE;

/*-- SEQ 0165 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0166 --*/
ALTER TABLE TI_ICO ADD NUMPED VARCHAR(12);

/*-- SEQ 0167 --*/
ALTER TABLE TI_ICO ADD ITEPED Numeric(5);

/*-- SEQ 0168 --*/
ALTER TABLE TI_DES ADD NUMITE Numeric(5);


/*-- SEQ 0169 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CHR'));

/*-- SEQ 0170 --*/
update tt_chr 
   set pagame = null
 where flgest not in ('B','C','X')
   and pagame is not null;

/*-- SEQ 0171 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CHR'));


/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD OUTDES Numeric(12,2);

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD DESPAR Numeric(12,2);



/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD SQL_CUSREP VARCHAR(4000);




/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_VEN_FIS ADD AVISTA CHAR(1);


/*-- SEQ 0176 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_outdes () CASCADE;

/*-- SEQ 0178 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_outdes ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Outras Despesas Associadas'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''OUTRAS DESPESAS'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_outdes() from dual;


/*-- SEQ 0180 --*/
DROP FUNCTION temp_cria_conta_outdes () CASCADE;

/*-- SEQ 0181 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_OPE_LID ON TT_OPE (CODFIL,NUMECF,TRN_ID)  ;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_REC_DATINC ON TT_REC (DATINC)  ;



