
/*-- SEQ 0001 --*/
ALTER TABLE TD_CFO ADD CFOCTA_FIL CHAR(3);

/*-- SEQ 0002 --*/
ALTER TABLE TD_CFO ADD CFOCTA_SEQ CHAR(10);

/*-- SEQ 0003 --*/
ALTER TABLE TD_CFO ADD CFOCTA_TIP CHAR(1);

/*-- SEQ 0004 --*/
ALTER TABLE TD_CFO ADD CONSTRAINT FK_DCFO_CTA FOREIGN KEY (CFOCTA_FIL, CFOCTA_SEQ, CFOCTA_TIP) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);

/*-- SEQ 0005 --*/
ALTER TABLE TW_TAB ADD CFOCTA_FIL CHAR(3);

/*-- SEQ 0006 --*/
ALTER TABLE TW_TAB ADD CFOCTA_SEQ CHAR(10);

/*-- SEQ 0007 --*/
ALTER TABLE TW_TAB ADD CFOCTA_TIP CHAR(1);


/*-- SEQ 0008 --*/
ALTER TABLE TT_PRE ADD MARKUP Numeric(12,2);


/*-- SEQ 0009 --*/
CREATE TABLE TT_AGC (
  CODFIL CHARACTER(3),
  SEQUEN CHARACTER(10),
  FLGEST CHARACTER(1),
  FILUSU CHARACTER(3),
  CODUSU CHARACTER(3),
  ATU_EM Timestamp, 
  DATINC Timestamp)   ;

/*-- SEQ 0010 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT PK_AGC PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0011 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT FK_AGC_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0012 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT FK_AGC_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0013 --*/
CREATE INDEX I_FK_AGC_DFIL on TT_AGC (CODFIL)  ;

/*-- SEQ 0014 --*/
CREATE INDEX I_FK_AGC_USU on TT_AGC (FILUSU, CODUSU)  ;

/*-- SEQ 0015 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_FLGEST CHECK (FLGEST IN ('A','C','F'));

/*-- SEQ 0016 --*/ 
CREATE SEQUENCE SQAGC INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0017 --*/
ALTER TABLE TT_AGC ALTER COLUMN FLGEST  SET DEFAULT 'A';

/*-- SEQ 0018 --*/
ALTER TABLE TT_AGC ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0019 --*/
ALTER TABLE TT_AGC ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0020 --*/
ALTER TABLE TT_AGC ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0021 --*/
ALTER TABLE TT_AGC ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0022 --*/
ALTER TABLE TT_AGC ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0023 --*/
ALTER TABLE TT_AGC ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0024 --*/
ALTER TABLE TT_AGC ALTER COLUMN DATINC SET NOT NULL;



/*-- SEQ 0025 --*/
ALTER TABLE TD_NAT ADD NATUTL VARCHAR(1);

/*-- SEQ 0026 --*/
ALTER TABLE TD_NAT ALTER COLUMN NATUTL SET DEFAULT 'Q';

/*-- SEQ 0027 --*/
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_NATUTL CHECK (NATUTL IN ('L','A' ,'Q' ));

/*-- SEQ 0028 --*/
ALTER TABLE TW_TAB ADD NATUTL VARCHAR(1);

/*-- SEQ 0029 --*/
ALTER TABLE TW_TAB ALTER COLUMN NATUTL SET DEFAULT 'Q';


/*-- SEQ 0030 --*/
ALTER TABLE TD_SER ADD SERUTL VARCHAR(1);

/*-- SEQ 0031 --*/
ALTER TABLE TD_SER ALTER COLUMN SERUTL  SET DEFAULT 'Q';

/*-- SEQ 0032 --*/
ALTER TABLE TD_SER ADD CONSTRAINT CK_DSER_SERUTL CHECK (SERUTL IN ('L','A','Q'));


/*-- SEQ 0033 --*/
SELECT DISABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0034 --*/
UPDATE TD_SER
SET    SERUTL = 'Q'
WHERE  SERUTL IS NULL;

/*-- SEQ 0035 --*/
SELECT ENABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0036 --*/
ALTER TABLE TD_SER ALTER COLUMN SERUTL SET NOT NULL;

/*-- SEQ 0037 --*/
ALTER TABLE TW_TAB ADD SERUTL VARCHAR(1);

/*-- SEQ 0038 --*/
ALTER TABLE TW_TAB ALTER COLUMN SERUTL  SET DEFAULT 'Q';


/*-- SEQ 0039 --*/
ALTER TABLE TD_NAT ADD NATDEN_FIL CHAR(3);

/*-- SEQ 0040 --*/
ALTER TABLE TD_NAT ADD NATDEN_SEQ CHAR(10);

/*-- SEQ 0041 --*/
ALTER TABLE TD_NAT ADD NATDEN_TIP CHAR(1);

/*-- SEQ 0042 --*/
ALTER TABLE TD_NAT ADD NATFOR_FIL CHAR(3);

/*-- SEQ 0043 --*/
ALTER TABLE TD_NAT ADD NATFOR_SEQ CHAR(10);

/*-- SEQ 0044 --*/
ALTER TABLE TD_NAT ADD NATFOR_TIP CHAR(1);

/*-- SEQ 0045 --*/
ALTER TABLE TD_NAT ADD CONSTRAINT FK_DNAT_CTA_DEN FOREIGN KEY (NATDEN_FIL,NATDEN_SEQ,NATDEN_TIP) REFERENCES TT_CTA (CODFIL,SEQUEN,TIPCTA);

/*-- SEQ 0046 --*/
ALTER TABLE TD_NAT ADD CONSTRAINT FK_DNAT_CTA_FOR FOREIGN KEY (NATFOR_FIL,NATFOR_SEQ,NATFOR_TIP) REFERENCES TT_CTA (CODFIL,SEQUEN,TIPCTA);

/*-- SEQ 0047 --*/
ALTER TABLE TW_TAB ADD NATDEN_FIL CHAR(3);

/*-- SEQ 0048 --*/
ALTER TABLE TW_TAB ADD NATDEN_SEQ CHAR(10);

/*-- SEQ 0049 --*/
ALTER TABLE TW_TAB ADD NATDEN_TIP CHAR(1);

/*-- SEQ 0050 --*/
ALTER TABLE TW_TAB ADD NATFOR_FIL CHAR(3);

/*-- SEQ 0051 --*/
ALTER TABLE TW_TAB ADD NATFOR_SEQ CHAR(10);

/*-- SEQ 0052 --*/
ALTER TABLE TW_TAB ADD NATFOR_TIP CHAR(1);



/*-- SEQ 0053 --*/
ALTER TABLE td_ecf ADD ecfutl CHAR(1);

/*-- SEQ 0054 --*/
ALTER TABLE TD_ECF ALTER COLUMN ECFUTL  SET DEFAULT 'L';

/*-- SEQ 0055 --*/
ALTER TABLE td_ecf ADD CONSTRAINT ck_decf_ecfutl CHECK (ecfutl IN('L','A'));

/*-- SEQ 0056 --*/
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0057 --*/
UPDATE TD_ECF
SET    ECFUTL='L' 
WHERE  ECFUTL IS NULL;

/*-- SEQ 0058 --*/
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0059 --*/
ALTER TABLE TD_ECF ALTER COLUMN ECFUTL SET NOT NULL;

/*-- SEQ 0060 --*/
ALTER TABLE tw_tab ADD ecfutl CHAR(1);

/*-- SEQ 0061 --*/
ALTER TABLE TW_TAB ALTER COLUMN ECFUTL  SET DEFAULT 'L';








/*-- SEQ 0062 --*/
ALTER TABLE TT_COM ADD FILAGC CHAR(3);

/*-- SEQ 0063 --*/
ALTER TABLE TT_COM ADD SEQAGC CHAR(10);

/*-- SEQ 0064 --*/
ALTER TABLE TT_COM ADD CONSTRAINT FK_COM_AGC FOREIGN KEY (FILAGC,SEQAGC) REFERENCES TT_AGC (CODFIL,SEQUEN);

/*-- SEQ 0065 --*/
CREATE INDEX I_FK_COM_AGC on TT_COM (FILAGC, SEQAGC)  ;

/*-- SEQ 0066 --*/
ALTER TABLE TT_VEN ADD FILAGC CHAR(3);

/*-- SEQ 0067 --*/
ALTER TABLE TT_VEN ADD SEQAGC CHAR(10);

/*-- SEQ 0068 --*/
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_AGC FOREIGN KEY (FILAGC,SEQAGC) REFERENCES TT_AGC (CODFIL,SEQUEN);

/*-- SEQ 0069 --*/
CREATE INDEX I_FK_VEN_AGC on TT_VEN (FILAGC, SEQAGC)  ;


/*-- SEQ 0070 --*/
ALTER TABLE TT_PLA DROP CONSTRAINT ck_pla_aplica;

/*-- SEQ 0071 --*/
ALTER TABLE TT_PLA ADD CONSTRAINT ck_pla_aplica CHECK (aplica >= 0 AND aplica <= 4);


/*-- SEQ 0072 --*/
ALTER TABLE TW_TAB ADD TITCTADEN VARCHAR(200);

/*-- SEQ 0073 --*/
ALTER TABLE TW_TAB ADD TITCTAFOR VARCHAR(200);


/*-- SEQ 0074 --*/
ALTER TABLE TT_FCP ADD PREBOM Numeric(14,4);


/*-- SEQ 0075 --*/
ALTER TABLE TW_TAB ADD CFOCTA_TIT VARCHAR(200);


/*-- SEQ 0076 --*/
ALTER TABLE TT_AGC ADD DATINI Timestamp;

/*-- SEQ 0077 --*/
ALTER TABLE TT_AGC ALTER COLUMN DATINI SET NOT NULL;

/*-- SEQ 0078 --*/
ALTER TABLE TT_AGC ADD REPETE CHAR(1);

/*-- SEQ 0079 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_REPETE CHECK (REPETE IN ('S','M','A')); 

/*-- SEQ 0080 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPETE SET NOT NULL;

/*-- SEQ 0081 --*/
ALTER TABLE TT_AGC ADD NROREP Numeric(2); 

/*-- SEQ 0082 --*/
ALTER TABLE TT_AGC ALTER COLUMN NROREP SET NOT NULL;

/*-- SEQ 0083 --*/
ALTER TABLE TT_AGC ADD REPDOM VARCHAR(1); 

/*-- SEQ 0084 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_REPDOM CHECK (REPDOM IN ('T','F'));

/*-- SEQ 0085 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPDOM SET NOT NULL;

/*-- SEQ 0086 --*/
ALTER TABLE TT_AGC ADD REPSEG VARCHAR(1); 

/*-- SEQ 0087 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPSEG SET DEFAULT 'F';

/*-- SEQ 0088 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_REPSEG CHECK (REPSEG IN ('T','F'));

/*-- SEQ 0089 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPSEG SET NOT NULL;

/*-- SEQ 0090 --*/
ALTER TABLE TT_AGC ADD REPTER VARCHAR(1); 

/*-- SEQ 0091 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPTER SET DEFAULT 'F';

/*-- SEQ 0092 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_REPTER CHECK (REPTER IN ('T','F'));

/*-- SEQ 0093 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPTER SET NOT NULL;

/*-- SEQ 0094 --*/
ALTER TABLE TT_AGC ADD REPQUA VARCHAR(1);

/*-- SEQ 0095 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPQUA SET DEFAULT 'F';

/*-- SEQ 0096 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_REPQUA CHECK (REPQUA IN ('T','F'));

/*-- SEQ 0097 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPQUA SET NOT NULL;

/*-- SEQ 0098 --*/
ALTER TABLE TT_AGC ADD REPQUI VARCHAR(1);

/*-- SEQ 0099 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPQUI SET DEFAULT 'F';

/*-- SEQ 0100 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_REPQUI CHECK (REPQUI IN ('T','F'));

/*-- SEQ 0101 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPQUI SET NOT NULL;

/*-- SEQ 0102 --*/
ALTER TABLE TT_AGC ADD REPSEX VARCHAR(1); 

/*-- SEQ 0103 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPSEX SET DEFAULT 'F';

/*-- SEQ 0104 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_REPSEX CHECK (REPSEX IN ('T','F'));

/*-- SEQ 0105 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPSEX SET NOT NULL;

/*-- SEQ 0106 --*/
ALTER TABLE TT_AGC ADD REPSAB VARCHAR(1); 

/*-- SEQ 0107 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPSAB SET DEFAULT 'F';

/*-- SEQ 0108 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_REPSAB CHECK (REPSAB IN ('T','F'));

/*-- SEQ 0109 --*/
ALTER TABLE TT_AGC ALTER COLUMN REPSAB SET NOT NULL;

/*-- SEQ 0110 --*/
ALTER TABLE TT_AGC ADD REPMES CHAR(1);

/*-- SEQ 0111 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_REPMES CHECK (REPMES IN ('S','M')); 

/*-- SEQ 0112 --*/
ALTER TABLE TT_AGC ADD DATEXP Timestamp;


/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQ_ARQ_COBREBEM INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FCP DROP COLUMN PREBOM CASCADE;

/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_MDT ADD PREBOM Numeric(14,4);


/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ADD ENVNOS VARCHAR(1);

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ALTER COLUMN ENVNOS SET DEFAULT 'T';

/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ADD CONSTRAINT CK_CCB_ENVNOS CHECK (ENVNOS IN ('T','F'));

/*-- SEQ 0119 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CCB'));

/*-- SEQ 0120 --*/
UPDATE TT_CCB 
   SET ENVNOS = CASE WHEN CARCCB = '1' 
                     THEN 'F' 
                     ELSE 'T' 
                END 
 WHERE ENVNOS IS NULL;

/*-- SEQ 0121 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CCB'));

/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ALTER COLUMN ENVNOS SET NOT NULL;


/*-- SEQ 0123 --*/
/*--IGNORE ERRO--*/
DROP FUNCTION TGDLCR() CASCADE;


/*-- SEQ 0124 --*/
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0125 --*/
UPDATE TT_VEN
   SET AVISTA = (
        SELECT CASE WHEN SUM(CASE WHEN REC.FLGEST='A' AND REC.CARTAO IS NULL AND REC.SEQCHE IS NULL THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN REC.DATFIS<>TT_VEN.DATFIS THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN CHR.DATFIS<>CHR.DATVEN THEN 1 ELSE 0 END)>0 THEN 'F' -- RFMP 66883
               ELSE 'T'
               END
          FROM TT_REC REC LEFT JOIN TT_CHR CHR ON CHR.CODFIL = REC.CODFIL
                                              AND CHR.SEQUEN = REC.SEQCHE
         WHERE REC.CODFIL = TT_VEN.CODFIL
           AND REC.SEQUEN = TT_VEN.SEQUEN)
 WHERE AVISTA <> (
        SELECT CASE WHEN SUM(CASE WHEN REC.FLGEST='A' AND REC.CARTAO IS NULL AND REC.SEQCHE IS NULL THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN REC.DATFIS<>TT_VEN.DATFIS THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN CHR.DATFIS<>CHR.DATVEN THEN 1 ELSE 0 END)>0 THEN 'F' -- RFMP 66883
               ELSE 'T'
               END
          FROM TT_REC REC LEFT JOIN TT_CHR CHR ON CHR.CODFIL = REC.CODFIL
                                              AND CHR.SEQUEN = REC.SEQCHE
         WHERE REC.CODFIL = TT_VEN.CODFIL
           AND REC.SEQUEN = TT_VEN.SEQUEN
);

/*-- SEQ 0126 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IVO_FLGEST ON TT_IVO (FLGEST)  ;

/*-- SEQ 0128 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVO ADD ORIGEM CHAR(1) DEFAULT 'O';

/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVO ALTER COLUMN ORIGEM SET NOT NULL;

/*-- SEQ 0131 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_ORIGEM CHECK (ORIGEM IN ('O','V','P'));

/*-- SEQ 0132 --*/
UPDATE TT_IVO
   SET ORIGEM='V' 
 WHERE FILIVE IS NOT NULL
   AND ORIGEM<>'V';

/*-- SEQ 0133 --*/
UPDATE TT_IVO
   SET ORIGEM='P' 
 WHERE FILIPE IS NOT NULL
   AND ORIGEM<>'P';

/*-- SEQ 0134 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0135 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IVO_ORIGEM ON TT_IVO (ORIGEM, FLGEST)   ;


/*-- SEQ 0136 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_OPE DROP CONSTRAINT CK_OPE_REGRA;

/*-- SEQ 0137 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_OPE ADD CONSTRAINT CK_OPE_REGRA CHECK 
      (CASE WHEN CODCAI IS NULL AND FILREC IS NOT NULL AND SEQREC IS NOT NULL AND NUMPAR IS NOT NULL AND SUBPAR IS NOT NULL THEN 1 ELSE 0 END +
       /* CASE WHEN CODCAI IS NULL AND FILTEF IS NOT NULL AND SEQTEF IS NOT NULL THEN 1 ELSE 0 END + */
       CASE WHEN CODCAI IS NULL AND FILCCC IS NOT NULL AND SEQCCC IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND FILCHR IS NOT NULL AND SEQCHR IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN                    FILFIN IS NOT NULL AND SEQFIN IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND FILDOP IS NOT NULL AND SEQDOP IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND CARTAO IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND (OUTROS IS NOT NULL OR DOCTRO IS NOT NULL) THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND CAMBIO IS NOT NULL THEN 1 ELSE 0 END = 1);


/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf add id_itf Numeric(10);

/*-- SEQ 0139 --*/
delete from ti_itf where id_itf is null;

/*-- SEQ 0140 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf add constraint pk_iitf primary key (id_itf)   ;

/*-- SEQ 0141 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf_ro add id_itf Numeric(10);

/*-- SEQ 0142 --*/
delete from ti_itf_ro where id_itf is null;

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf_ro add constraint pk_iitf_ro primary key (id_itf)   ;

/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQIITF INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQIITFRO INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf drop constraint fk_iitf_itf ;

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE ti_itf DROP COLUMN numite CASCADE;

/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf add constraint fk_iitf_tef foreign key (filtef, seqtef) references tt_tef (codfil,sequen) ;

/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
create index i_iitf_tef on ti_itf (filtef, seqtef)  ;

/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQIITFGRUPO INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf_ro add grupo Numeric(10);

/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf add grupo Numeric(10); 

/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION CONCILIACAO_CARTAO () CASCADE;

/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf_ro add datpro Timestamp; 

/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf_ro add nrolin Numeric(5); 

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf add nrolin Numeric(5); 


/*-- SEQ 0157 --*/
SELECT DISABLETRIGGERS(LOWER('TT_ROM'));

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ROM ADD SIGNAT Numeric(5) DEFAULT 0;

/*-- SEQ 0159 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ROM'));

/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ROM ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
CREATE INDEX I_LC_ROM_FLGEST ON TT_ROM (FLGEST)  ;

/*-- SEQ 0162 --*/
-- Tarefa 67584 --
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
ALTER TABLE TT_IVO ADD TEMROM CHAR(1) DEFAULT 'T';

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
ALTER TABLE TT_IVO ALTER COLUMN TEMROM SET NOT NULL;

/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_TEMROM CHECK (TEMROM IN ('T','F'));

/*-- SEQ 0166 --*/
-- Tarefa 67584 --
UPDATE TT_IVO
   SET TEMROM = 'F' 
 WHERE FILROM IS NULL;

/*-- SEQ 0167 --*/
-- Tarefa 67584 --
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
CREATE INDEX I_LC_IVO_TEMROM ON TT_IVO (TEMROM, ORIGEM)  ;



/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67866 --
DROP FUNCTION pc_chr_update (bpchar,bpchar,bpchar,bpchar,bpchar,timestamp) CASCADE;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67866 --
DROP FUNCTION pc_chr_update (bpchar,bpchar,bpchar,VARCHAR,timestamp,bpchar,bpchar,bpchar,bpchar,bpchar,timestamp,timestamp,Numeric,Numeric,timestamp,Numeric,Numeric,Numeric,VARCHAR,bpchar,VARCHAR,bpchar,VARCHAR,bpchar,VARCHAR,VARCHAR,Numeric,bpchar,bpchar,VARCHAR,timestamp,timestamp) CASCADE;


/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68212 --
DROP VIEW TV_RFIN_VEN;


/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67034 --
CREATE INDEX I_LC_INV_FLGEST ON TT_INV (FLGEST, CODFIL, CODMUL);


/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_FIL ADD FILWEB VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_FILWEB CHECK (FILWEB IN ('T','F'));

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_FIL ALTER COLUMN FILWEB SET NOT NULL;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
UPDATE TD_FIL SET FILWEB='T' WHERE CODFIL = '006' AND CGCFIL = '07014198000373';

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
UPDATE TD_FIL SET FILWEB='F' WHERE (CODFIL <> '006') OR (CGCFIL <> '07014198000373');

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT DISABLETRIGGERS(LOWER('TD_MUL'));

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_MUL ADD MULWEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
ALTER TABLE TD_MUL ADD CONSTRAINT CK_DMUL_MULWEB CHECK (MULWEB IN ('T','F'));

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_MUL ALTER COLUMN MULWEB SET NOT NULL;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
UPDATE TD_MUL SET MULWEB = 'T' WHERE MULWEB IS NULL AND CODTAB = 0;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT ENABLETRIGGERS(LOWER('TD_MUL'));


/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68389 --
DROP INDEX I_LC_ORC_NUMBLO;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68389 --
CREATE INDEX I_LC_ORC_NUMBLO_COMAND ON TT_ORC (NUMBLO,COMAND)  ;

