
/*-- SEQ 0001 --*/
ALTER TABLE TT_AGC ADD REPJAN VARCHAR(1) NOT NULL;

/*-- SEQ 0002 --*/
ALTER TABLE TT_AGC ADD REPFEV VARCHAR(1) NOT NULL;

/*-- SEQ 0003 --*/
ALTER TABLE TT_AGC ADD REPMAR VARCHAR(1) NOT NULL;

/*-- SEQ 0004 --*/
ALTER TABLE TT_AGC ADD REPABR VARCHAR(1) NOT NULL;

/*-- SEQ 0005 --*/
ALTER TABLE TT_AGC ADD REPMAI VARCHAR(1) NOT NULL;

/*-- SEQ 0006 --*/
ALTER TABLE TT_AGC ADD REPJUN VARCHAR(1) NOT NULL;

/*-- SEQ 0007 --*/
ALTER TABLE TT_AGC ADD REPJUL VARCHAR(1) NOT NULL;

/*-- SEQ 0008 --*/
ALTER TABLE TT_AGC ADD REPAGO VARCHAR(1) NOT NULL;

/*-- SEQ 0009 --*/
ALTER TABLE TT_AGC ADD REPSET VARCHAR(1) NOT NULL;

/*-- SEQ 0010 --*/
ALTER TABLE TT_AGC ADD REPOUT VARCHAR(1) NOT NULL;

/*-- SEQ 0011 --*/
ALTER TABLE TT_AGC ADD REPNOV VARCHAR(1) NOT NULL;

/*-- SEQ 0012 --*/
ALTER TABLE TT_AGC ADD REPDEZ VARCHAR(1) NOT NULL;

/*-- SEQ 0013 --*/
ALTER TABLE TT_AGC ADD MESTIP Numeric(1) NOT NULL;

/*-- SEQ 0014 --*/
ALTER TABLE TT_AGC DROP COLUMN REPMES CASCADE;

/*-- SEQ 0015 --*/
ALTER TABLE TT_AGC ADD REPMES Numeric(2) NULL;


/*-- SEQ 0016 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0017 --*/
UPDATE TT_COM
   SET 
       /* BASE DE CALCULO */
       BASFRE = CASE WHEN COALESCE(BASFRE,0) = 0 
                      AND (CASE WHEN COALESCE(PERICM,0) > 0 THEN ROUND(((COALESCE(VLRICM,0) * 100) / PERICM),2) ELSE 0 END) > 0 THEN 
                           CASE WHEN COALESCE(PERICM,0) > 0 THEN ROUND(((COALESCE(VLRICM,0) * 100) / PERICM),2) ELSE 0 END
                     ELSE 
                           COALESCE(BASFRE,0)
                END,
       /* ALIQUOTA ICMS */
       PERFRE = CASE WHEN COALESCE(PERFRE,0) = 0 
                      AND COALESCE(PERICM,0) > 0 THEN 
                          COALESCE(PERICM,0)
                     ELSE 
                          COALESCE(PERFRE,0)
                END,
       PERICM = NULL,
       /* VALOR DO ICMS */
       ICMFRE = CASE WHEN COALESCE(ICMFRE,0) = 0 
                      AND COALESCE(VLRICM,0) > 0 THEN 
                          COALESCE(VLRICM,0)
                     ELSE 
                          COALESCE(ICMFRE,0)
                END,
       VLRICM = NULL,
       /* ISENTO ICMS */ 
       ISEICM = CASE WHEN COALESCE(OUTICM,0) = 0 THEN
                          COALESCE(VLRTOT,0) - CASE WHEN COALESCE(BASFRE,0) = 0 
                                                     AND CASE WHEN COALESCE(PERICM,0) > 0 THEN ROUND(((COALESCE(VLRICM,0) * 100) / PERICM),2) ELSE 0 END > 0 THEN 
                                                         CASE WHEN COALESCE(PERICM,0) > 0 THEN ROUND(((COALESCE(VLRICM,0) * 100) / PERICM),2) ELSE 0 END
                                                    ELSE 
                                                         COALESCE(BASFRE,0)
                                               END 
                     ELSE 0
                END
 WHERE TIPPAR = 'T' 
   AND FLGEST <> 'D';

/*-- SEQ 0018 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));


/*-- SEQ 0019 --*/
CREATE TABLE TD_STR (CODTAB Numeric(5),
                     DESSTR VARCHAR(100),
		     STRATI VARCHAR(1),
                     FLGSTR CHAR(1))  ;

/*-- SEQ 0020 --*/
ALTER TABLE TD_STR ADD CONSTRAINT PK_DSTR PRIMARY KEY (CODTAB);

/*-- SEQ 0021 --*/
ALTER TABLE TD_STR ALTER COLUMN DESSTR SET NOT NULL;

/*-- SEQ 0022 --*/
ALTER TABLE TD_STR ALTER COLUMN STRATI SET NOT NULL;

/*-- SEQ 0023 --*/
ALTER TABLE TD_STR ALTER COLUMN FLGSTR SET NOT NULL;

/*-- SEQ 0024 --*/
ALTER TABLE TD_STR ALTER COLUMN CODTAB SET NOT NULL;

/*-- SEQ 0025 --*/
ALTER TABLE TD_STR ALTER COLUMN STRATI SET DEFAULT 'T';

/*-- SEQ 0026 --*/
ALTER TABLE TD_STR ALTER COLUMN FLGSTR SET DEFAULT 'A';

/*-- SEQ 0027 --*/
ALTER TABLE TD_STR ADD CONSTRAINT CK_DSTR_STRATI CHECK (STRATI IN ('T','F'));

/*-- SEQ 0028 --*/
ALTER TABLE TD_STR ADD CONSTRAINT CK_DSTR_FLGSTR CHECK (FLGSTR IN ('A','C','S','1','2','E'));

/*-- SEQ 0029 --*/
ALTER TABLE TW_TAB ADD DESSTR VARCHAR(100);

/*-- SEQ 0030 --*/
ALTER TABLE TW_TAB ADD FLGSTR CHAR(1);

/*-- SEQ 0031 --*/
ALTER TABLE TW_TAB ADD STRATI VARCHAR(1);

/*-- SEQ 0032 --*/
ALTER TABLE TW_TAB ALTER COLUMN FLGSTR SET DEFAULT 'A';

/*-- SEQ 0033 --*/
ALTER TABLE TW_TAB ALTER COLUMN STRATI SET DEFAULT 'T';

/*-- SEQ 0034 --*/
INSERT INTO TD_STR
(CODTAB,FLGSTR,DESSTR)
VALUES 
(1,'A','Aberto');

/*-- SEQ 0035 --*/
INSERT INTO TD_STR
(CODTAB,FLGSTR,DESSTR)
VALUES 
(2,'C','Cancelado');

/*-- SEQ 0036 --*/
INSERT INTO TD_STR
(CODTAB,FLGSTR,DESSTR)
VALUES 
(3,'S','Suspenso');

/*-- SEQ 0037 --*/
INSERT INTO TD_STR
(CODTAB,FLGSTR,DESSTR)
VALUES 
(4,'1','Aprovado');

/*-- SEQ 0038 --*/
INSERT INTO TD_STR
(CODTAB,FLGSTR,DESSTR)
VALUES 
(5,'2','Rejeitado');

/*-- SEQ 0039 --*/
INSERT INTO TD_STR
(CODTAB,FLGSTR,DESSTR)
VALUES 
(6,'E','Enviado');




/*-- SEQ 0040 --*/
CREATE TABLE TD_REQ (CODTAB Numeric(5),
                     DESREQ VARCHAR(100),
		             REQATI VARCHAR(1),
                     ABRREQ VARCHAR(5),
                     CLAREQ CHAR(1))  ;

/*-- SEQ 0041 --*/
ALTER TABLE TD_REQ ADD CONSTRAINT PK_DREQ PRIMARY KEY (CODTAB);

/*-- SEQ 0042 --*/
ALTER TABLE TD_REQ ALTER COLUMN CODTAB SET NOT NULL;

/*-- SEQ 0043 --*/
ALTER TABLE TD_REQ ALTER COLUMN DESREQ SET NOT NULL;

/*-- SEQ 0044 --*/
ALTER TABLE TD_REQ ALTER COLUMN REQATI SET NOT NULL;

/*-- SEQ 0045 --*/
ALTER TABLE TD_REQ ALTER COLUMN ABRREQ SET NOT NULL;

/*-- SEQ 0046 --*/
ALTER TABLE TD_REQ ALTER COLUMN CLAREQ SET NOT NULL;

/*-- SEQ 0047 --*/
ALTER TABLE TD_REQ ALTER COLUMN REQATI SET DEFAULT 'T';

/*-- SEQ 0048 --*/
ALTER TABLE TD_REQ ADD CONSTRAINT CK_DREQ_REQATI CHECK (REQATI IN ('T','F'));

/*-- SEQ 0049 --*/
ALTER TABLE TD_REQ ADD CONSTRAINT AK_DREQ_CLAREQ UNIQUE (CODTAB, CLAREQ);

/*-- SEQ 0050 --*/
ALTER TABLE TW_TAB ADD DESREQ VARCHAR(100);

/*-- SEQ 0051 --*/
ALTER TABLE TW_TAB ADD REQATI VARCHAR(1);

/*-- SEQ 0052 --*/
ALTER TABLE TW_TAB ADD ABRREQ VARCHAR(5);

/*-- SEQ 0053 --*/
ALTER TABLE TW_TAB ADD CLAREQ CHAR(1);

/*-- SEQ 0054 --*/
ALTER TABLE TW_TAB ALTER COLUMN REQATI SET DEFAULT 'T';

/*-- SEQ 0055 --*/
INSERT INTO TD_REQ
(CODTAB,CLAREQ,DESREQ,ABRREQ)
VALUES 
(1,'F','Funcional','RF');

/*-- SEQ 0056 --*/
INSERT INTO TD_REQ
(CODTAB,CLAREQ,DESREQ,ABRREQ)
VALUES 
(2,'N','No Funcional','RN');

/*-- SEQ 0057 --*/
INSERT INTO TD_REQ
(CODTAB,CLAREQ,DESREQ,ABRREQ)
VALUES 
(3,'C','Cliente','CLI');

/*-- SEQ 0058 --*/
INSERT INTO TD_REQ
(CODTAB,CLAREQ,DESREQ,ABRREQ)
VALUES 
(4,'I','Implantao','IMP');

/*-- SEQ 0059 --*/
INSERT INTO TD_REQ
(CODTAB,CLAREQ,DESREQ,ABRREQ)
VALUES 
(5,'S','Atendido pelo sistema','SIS');


/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ADD ENVNOS VARCHAR(1);

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ALTER COLUMN ENVNOS SET DEFAULT 'T';

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ADD CONSTRAINT CK_CCB_ENVNOS CHECK (ENVNOS IN ('T','F'));

/*-- SEQ 0063 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CCB'));

/*-- SEQ 0064 --*/
UPDATE TT_CCB 
   SET ENVNOS = CASE WHEN CARCCB = '1' 
                     THEN 'F' 
                     ELSE 'T' 
                END 
 WHERE ENVNOS IS NULL;

/*-- SEQ 0065 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CCB'));

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ALTER COLUMN ENVNOS SET NOT NULL;


/*-- SEQ 0067 --*/
/*--IGNORE ERRO--*/
DROP FUNCTION TGDLCR() CASCADE;


/*-- SEQ 0068 --*/
CREATE TABLE TT_REQ (CODFIL CHAR(3),
                     SEQUEN CHAR(10),
                     VERMIN Numeric(5),
                     VERMAX Numeric(5),
                     TITREQ VARCHAR(100),
                     CODREQ Numeric(5),
                     DATINC Timestamp,
                     ATU_EM Timestamp,
                     FLGREQ Numeric(5),
                     COMPLE CHAR(1),
                     PRIORI CHAR(1),
                     RISREQ CHAR(1),
                     ARTEFA Numeric(5),
                     FILUSU CHAR(3),
                     CODUSU CHAR(3),
                     TIPREQ Numeric(5),
                     CLAREQ CHAR(1),
                     NUMFAS Numeric(2),
                     DESCRI VARCHAR(4000),
                     FILPRJ CHAR(3),
                     SEQPRJ CHAR(10),
                     FILWOR CHAR(3),
                     SEQWOR CHAR(10),
                     HORPRE Numeric(7),
                     HORCOB Numeric(7),
                     FILCLI CHAR(3),
                     CODCLI CHAR(6),
                     NUMCON Numeric(5),
                     MOTALT VARCHAR(254))  ;

/*-- SEQ 0069 --*/
ALTER TABLE TT_REQ ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0070 --*/
ALTER TABLE TT_REQ ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0071 --*/
ALTER TABLE TT_REQ ALTER COLUMN VERMIN SET NOT NULL;

/*-- SEQ 0072 --*/
ALTER TABLE TT_REQ ALTER COLUMN VERMAX SET NOT NULL;

/*-- SEQ 0073 --*/
ALTER TABLE TT_REQ ALTER COLUMN TITREQ SET NOT NULL;

/*-- SEQ 0074 --*/
ALTER TABLE TT_REQ ALTER COLUMN CODREQ SET NOT NULL;

/*-- SEQ 0075 --*/
ALTER TABLE TT_REQ ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0076 --*/
ALTER TABLE TT_REQ ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0077 --*/
ALTER TABLE TT_REQ ALTER COLUMN FLGREQ SET NOT NULL;

/*-- SEQ 0078 --*/
ALTER TABLE TT_REQ ALTER COLUMN COMPLE SET NOT NULL;

/*-- SEQ 0079 --*/
ALTER TABLE TT_REQ ALTER COLUMN RISREQ SET NOT NULL;

/*-- SEQ 0080 --*/
ALTER TABLE TT_REQ ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0081 --*/
ALTER TABLE TT_REQ ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0082 --*/
ALTER TABLE TT_REQ ALTER COLUMN TIPREQ SET NOT NULL;

/*-- SEQ 0083 --*/
ALTER TABLE TT_REQ ALTER COLUMN CLAREQ SET NOT NULL;

/*-- SEQ 0084 --*/
ALTER TABLE TT_REQ ALTER COLUMN FILWOR SET NOT NULL;

/*-- SEQ 0085 --*/
ALTER TABLE TT_REQ ALTER COLUMN SEQWOR SET NOT NULL;

/*-- SEQ 0086 --*/
ALTER TABLE TT_REQ ALTER COLUMN HORPRE SET NOT NULL;

/*-- SEQ 0087 --*/
ALTER TABLE TT_REQ ALTER COLUMN NUMFAS SET NOT NULL;

/*-- SEQ 0088 --*/
ALTER TABLE TT_REQ ALTER COLUMN ARTEFA SET NOT NULL;

/*-- SEQ 0089 --*/
ALTER TABLE TT_REQ ALTER COLUMN VERMIN SET DEFAULT '1';

/*-- SEQ 0090 --*/
ALTER TABLE TT_REQ ALTER COLUMN VERMAX SET DEFAULT '1';

/*-- SEQ 0091 --*/
ALTER TABLE TT_REQ ALTER COLUMN ARTEFA SET DEFAULT '1';

/*-- SEQ 0092 --*/
ALTER TABLE TT_REQ ALTER COLUMN NUMFAS SET DEFAULT '1';

/*-- SEQ 0093 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT CK_REQ_HORPRE CHECK (HORPRE >= 0);

/*-- SEQ 0094 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT CK_REQ_HORCOB CHECK (HORCOB >= 0);

/*-- SEQ 0095 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT PK_REQ PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0096 --*/
CREATE UNIQUE INDEX I_UQ_REQ_VERMIN on TT_REQ (VERMIN, FILWOR, SEQWOR, TIPREQ, CODREQ)  ;

/*-- SEQ 0097 --*/
CREATE UNIQUE INDEX I_UQ_REQ_VERMAX on TT_REQ (VERMAX, FILWOR, SEQWOR, TIPREQ, CODREQ)  ;

/*-- SEQ 0098 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT AK_REQ_CLAREQ UNIQUE (CODFIL, SEQUEN, CLAREQ);

/*-- SEQ 0099 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT CK_REQ_VERSAO CHECK (VERMIN<=VERMAX);

/*-- SEQ 0100 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT FK_REQ_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0101 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT FK_REQ_WOR FOREIGN KEY (FILWOR,SEQWOR) REFERENCES TT_WOR (CODFIL, SEQUEN);

/*-- SEQ 0102 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT FK_REQ_PRJ FOREIGN KEY (FILPRJ, SEQPRJ) REFERENCES TT_PRJ (CODFIL, SEQUEN);

/*-- SEQ 0103 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT FK_REQ_DREQ FOREIGN KEY (TIPREQ,CLAREQ) REFERENCES TD_REQ (CODTAB,CLAREQ);

/*-- SEQ 0104 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT FK_REQ_DSTR FOREIGN KEY (FLGREQ) REFERENCES TD_STR (CODTAB);

/*-- SEQ 0105 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT FK_REQ_CON FOREIGN KEY (FILCLI, CODCLI,NUMCON) REFERENCES TT_CON (FILCLI, CODCLI, NUMCON);

/*-- SEQ 0106 --*/
CREATE INDEX I_FK_REQ_CON on TT_REQ (FILCLI, CODCLI,NUMCON)  ;

/*-- SEQ 0107 --*/
CREATE INDEX I_FK_REQ_USU on TT_REQ (FILUSU, CODUSU)  ;

/*-- SEQ 0108 --*/
CREATE INDEX I_FK_REQ_WOR on TT_REQ (FILWOR,SEQWOR)  ;

/*-- SEQ 0109 --*/
CREATE INDEX I_FK_REQ_PRJ on TT_REQ (FILPRJ, SEQPRJ)  ;

/*-- SEQ 0110 --*/
CREATE INDEX I_FK_REQ_DREQ on TT_REQ (TIPREQ,CLAREQ)  ;

/*-- SEQ 0111 --*/
CREATE INDEX I_FK_REQ_DSTR on TT_REQ (FLGREQ)  ;

/*-- SEQ 0112 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT CK_REQ_COMPLE CHECK (COMPLE IN ('1','2','3'));

/*-- SEQ 0113 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT CK_REQ_PRIORI CHECK (PRIORI >= 0 AND PRIORI <= 10);

/*-- SEQ 0114 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT CK_REQ_RISREQ CHECK (RISREQ IN ('1','2','3'));

/*-- SEQ 0115 --*/
ALTER TABLE TT_REQ ADD CONSTRAINT CK_REQ_ARTEFA CHECK (ARTEFA >= 0);

/*-- SEQ 0116 --*/
CREATE SEQUENCE SQREQ INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0117 --*/
SELECT DISABLETRIGGERS(LOWER('TT_WOR'));

/*-- SEQ 0118 --*/
ALTER TABLE TT_WOR ADD MODELO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0119 --*/
SELECT ENABLETRIGGERS(LOWER('TT_WOR'));

/*-- SEQ 0120 --*/
ALTER TABLE TT_WOR ADD CONSTRAINT CK_WOR_MODELO CHECK (MODELO IN ('T','F'));

/*-- SEQ 0121 --*/
ALTER TABLE TT_WOR ALTER COLUMN MODELO SET NOT NULL;

/*-- SEQ 0122 --*/
SELECT DISABLETRIGGERS(LOWER('TT_WOR'));

/*-- SEQ 0123 --*/
ALTER TABLE TT_WOR ADD ARTEFA Numeric(5) DEFAULT 1;

/*-- SEQ 0124 --*/
SELECT ENABLETRIGGERS(LOWER('TT_WOR'));

/*-- SEQ 0125 --*/
ALTER TABLE TT_WOR ALTER COLUMN ARTEFA SET NOT NULL;

/*-- SEQ 0126 --*/
ALTER TABLE TT_WOR ADD PERART Numeric(5,2);

/*-- SEQ 0127 --*/
ALTER TABLE TT_WOR ADD FILMOD CHAR(3);

/*-- SEQ 0128 --*/
ALTER TABLE TT_WOR ADD SEQMOD CHAR(10);

/*-- SEQ 0129 --*/
ALTER TABLE TT_WOR ADD CONSTRAINT FK_WOR_WORMOD FOREIGN KEY (FILMOD, SEQMOD) REFERENCES TT_WOR (CODFIL, SEQUEN);

/*-- SEQ 0130 --*/
CREATE INDEX I_FK_WOR_WORMOD on TT_WOR (FILMOD, SEQMOD)  ;

/*-- SEQ 0131 --*/
ALTER TABLE TT_WOR ADD MODSIM Numeric(7);

/*-- SEQ 0132 --*/
ALTER TABLE TT_WOR ADD MODMED Numeric(7);

/*-- SEQ 0133 --*/
ALTER TABLE TT_WOR ADD MODCOM Numeric(7);

/*-- SEQ 0134 --*/
ALTER TABLE TT_WOR ADD CONSTRAINT CK_WOR_MODELO_REGRA CHECK ((MODSIM IS NULL AND MODMED IS NULL AND MODCOM IS NULL AND MODELO='F') OR (MODSIM IS NOT NULL AND MODMED IS NOT NULL AND MODCOM IS NOT NULL AND MODELO='T'));

/*-- SEQ 0135 --*/
ALTER TABLE TT_WOR ADD VERPROP Numeric(5);













/*-- SEQ 0136 --*/
CREATE TABLE TT_REQXREQ (CODFIL CHAR(3),
                         SEQUEN CHAR(10),
                         FILREQ CHAR(3),     
                         SEQREQ CHAR(10), 
                         CLAREQ CHAR(1), 
                         FILVIN CHAR(3), 
                         SEQVIN CHAR(10), 
                         CLAVIN CHAR(1), 
                         VERSAO Numeric(5), 
                         DATINC Timestamp,
                         ATU_EM Timestamp)  ;

/*-- SEQ 0137 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN VERSAO SET DEFAULT '1';

/*-- SEQ 0138 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0139 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0140 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN FILREQ SET NOT NULL;

/*-- SEQ 0141 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN SEQREQ SET NOT NULL;

/*-- SEQ 0142 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN CLAREQ SET NOT NULL;

/*-- SEQ 0143 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN FILVIN SET NOT NULL;

/*-- SEQ 0144 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN SEQVIN SET NOT NULL;

/*-- SEQ 0145 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN CLAVIN SET NOT NULL;

/*-- SEQ 0146 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN VERSAO SET NOT NULL;

/*-- SEQ 0147 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0148 --*/
ALTER TABLE TT_REQXREQ ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0149 --*/
ALTER TABLE TT_REQXREQ ADD CONSTRAINT PK_REQXREQ PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0150 --*/
ALTER TABLE TT_REQXREQ ADD CONSTRAINT FK_REQXREQ_REQ FOREIGN KEY (FILREQ, SEQREQ, CLAREQ) REFERENCES TT_REQ (CODFIL, SEQUEN, CLAREQ);

/*-- SEQ 0151 --*/
ALTER TABLE TT_REQXREQ ADD CONSTRAINT FK_REQXREQ_REQVIN FOREIGN KEY (FILVIN, SEQVIN, CLAVIN) REFERENCES TT_REQ (CODFIL, SEQUEN, CLAREQ);

/*-- SEQ 0152 --*/
CREATE INDEX I_FK_REQXREQ_REQ on TT_REQXREQ (FILREQ, SEQREQ, CLAREQ)  ;

/*-- SEQ 0153 --*/
CREATE INDEX I_FK_REQXREQ_REQVIN on TT_REQXREQ (FILVIN, SEQVIN, CLAVIN)  ;

/*-- SEQ 0154 --*/
ALTER TABLE TT_REQXREQ ADD CONSTRAINT CK_REQXREQ_CLAREQ CHECK (CLAREQ = 'F');

/*-- SEQ 0155 --*/
ALTER TABLE TT_REQXREQ ADD CONSTRAINT CK_REQXREQ_CLAVIN CHECK (CLAVIN <> 'F');

/*-- SEQ 0156 --*/
CREATE SEQUENCE SQREQXREQ INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0157 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_MESTIP CHECK(MESTIP >= 0 AND MESTIP <=3);

/*-- SEQ 0158 --*/
ALTER TABLE TT_AGC ADD CONSTRAINT CK_AGC_REPMES CHECK(MESTIP IN (2,3) OR ((MESTIP = 0) AND REPMES >=1 AND REPMES <= 31) OR ((MESTIP = 1) AND REPMES >=1 AND REPMES <= 5));


/*-- SEQ 0159 --*/
CREATE TABLE TT_REQXWOR (CODFIL CHAR(3),
                         SEQUEN CHAR(10),
		                 FILREQ CHAR(3),
                         SEQREQ CHAR(10),
                         CLAREQ CHAR(1),
                         FILWOR CHAR(3),
                         SEQWOR CHAR(10),
                         DATINC Timestamp,
                         ATU_EM Timestamp)  ;

/*-- SEQ 0160 --*/
ALTER TABLE TT_REQXWOR ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0161 --*/
ALTER TABLE TT_REQXWOR ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0162 --*/
ALTER TABLE TT_REQXWOR ALTER COLUMN FILREQ SET NOT NULL;

/*-- SEQ 0163 --*/
ALTER TABLE TT_REQXWOR ALTER COLUMN SEQREQ SET NOT NULL;

/*-- SEQ 0164 --*/
ALTER TABLE TT_REQXWOR ALTER COLUMN CLAREQ SET NOT NULL;

/*-- SEQ 0165 --*/
ALTER TABLE TT_REQXWOR ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0166 --*/
ALTER TABLE TT_REQXWOR ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0167 --*/
ALTER TABLE TT_REQXWOR ADD CONSTRAINT PK_REQXWOR PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0168 --*/
ALTER TABLE TT_REQXWOR ADD CONSTRAINT FK_REQXWOR_REQ FOREIGN KEY (FILREQ,SEQREQ,CLAREQ) REFERENCES TT_REQ (CODFIL,SEQUEN,CLAREQ);

/*-- SEQ 0169 --*/
ALTER TABLE TT_REQXWOR ADD CONSTRAINT FK_REQXWOR_WOR FOREIGN KEY (FILWOR,SEQWOR) REFERENCES TT_WOR (CODFIL,SEQUEN);

/*-- SEQ 0170 --*/
CREATE INDEX I_FK_REQXWOR_REQ ON TT_REQXWOR(FILREQ,SEQREQ,CLAREQ);

/*-- SEQ 0171 --*/
CREATE INDEX I_FK_REQXWOR_WOR ON TT_REQXWOR(FILWOR,SEQWOR);

/*-- SEQ 0172 --*/
ALTER TABLE TT_REQXWOR ADD CONSTRAINT CK_REQXWOR_CLAREQ CHECK (CLAREQ IN ('F'));

/*-- SEQ 0173 --*/
CREATE SEQUENCE SQREQXWOR INCREMENT 1 START 1 MINVALUE 1;





/*-- SEQ 0174 --*/
CREATE TABLE TM_REF (
   REFBAS VARCHAR(15), 
   FILMAT CHAR(3), 
   CODMAT CHAR(5), 
   DEPART Numeric(5,0), 
   CODEX1 VARCHAR(2), 
   CODEX2 VARCHAR(2) 
)  ;

/*-- SEQ 0175 --*/
ALTER TABLE TM_REF ADD CONSTRAINT PK_MREF PRIMARY KEY (REFBAS)   ;

/*-- SEQ 0176 --*/
ALTER TABLE TM_REF ADD CONSTRAINT FK_MREF_DDEP FOREIGN KEY (DEPART) REFERENCES TD_DEP (CODTAB);

/*-- SEQ 0177 --*/
ALTER TABLE TM_REF ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0178 --*/
ALTER TABLE TM_REF ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0179 --*/
ALTER TABLE TM_REF ALTER COLUMN DEPART SET NOT NULL;

/*-- SEQ 0180 --*/
ALTER TABLE TM_REF ALTER COLUMN CODEX1 SET NOT NULL;

/*-- SEQ 0181 --*/
ALTER TABLE TM_REF ALTER COLUMN CODEX2 SET NOT NULL;

/*-- SEQ 0182 --*/
CREATE INDEX I_LC_MREF_CLASSES ON TM_REF (DEPART, CODEX1, CODEX2)  ;

/*-- SEQ 0183 --*/
CREATE INDEX I_LC_MREF_PRODUTO ON TM_REF (FILMAT, CODMAT)  ;



/*-- SEQ 0184 --*/
SELECT ExecAlteraTipoColuna('TT_END','NUMFAX','VARCHAR(10)');


/*-- SEQ 0185 --*/
SELECT ExecAlteraTipoColuna('TT_CON','TELCON','VARCHAR(10)');


/*-- SEQ 0186 --*/
SELECT ExecAlteraTipoColuna('TT_CON','CELCON','VARCHAR(10)');


/*-- SEQ 0187 --*/
SELECT ExecAlteraTipoColuna('TT_CON','NUMFAX','VARCHAR(10)');


/*-- SEQ 0188 --*/
SELECT ExecAlteraTipoColuna('TT_CLI','TELCON','VARCHAR(10)');


/*-- SEQ 0189 --*/
SELECT ExecAlteraTipoColuna('TT_CLI','CELCON','VARCHAR(10)');



/*-- SEQ 0190 --*/
ALTER TABLE TT_WOR ADD VLRPRO Numeric(12,2);

/*-- SEQ 0191 --*/
ALTER TABLE TT_WOR ADD LIQPRO Numeric(12,2);

/*-- SEQ 0192 --*/
ALTER TABLE TT_WOR ADD VLRENT Numeric(12,2);

/*-- SEQ 0193 --*/
ALTER TABLE TT_WOR ADD VLRPAR Numeric(12,2);

/*-- SEQ 0194 --*/
ALTER TABLE TT_WOR ADD NROPAR Numeric(2);

/*-- SEQ 0195 --*/
ALTER TABLE TT_WOR ADD VLRETG Numeric(12,2);

/*-- SEQ 0196 --*/
ALTER TABLE TT_WOR ADD PERETG Numeric(7,4);

/*-- SEQ 0197 --*/
ALTER TABLE TT_WOR ADD CONSTRAINT CK_WOR_PERETG CHECK (PERETG >= 0 AND PERETG <= 100);

/*-- SEQ 0198 --*/
ALTER TABLE TT_WOR ADD PROAPR Timestamp;

/*-- SEQ 0199 --*/
ALTER TABLE TT_WOR ADD PRZNOR Numeric(5);

/*-- SEQ 0200 --*/
ALTER TABLE TT_WOR ADD CONSTRAINT CK_WOR_PRZNOR CHECK (PRZNOR >= 0);

/*-- SEQ 0201 --*/
ALTER TABLE TT_WOR ADD PRZURG Numeric(5);

/*-- SEQ 0202 --*/
ALTER TABLE TT_WOR ADD CONSTRAINT CK_WOR_PRZURG CHECK (PRZURG >= 0);


/*-- SEQ 0203 --*/
ALTER TABLE TT_CFG ADD VLRMIN_WOR_PROP Numeric(12,2);

/*-- SEQ 0204 --*/
ALTER TABLE TT_CFG ADD FILPGT_WOR_PROP CHAR(3);

/*-- SEQ 0205 --*/
ALTER TABLE TT_CFG ADD CODPGT_WOR_PROP CHAR(3);

/*-- SEQ 0206 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_PLA FOREIGN KEY (FILPGT_WOR_PROP, CODPGT_WOR_PROP) REFERENCES TT_PLA (FILPGT, CODPGT);

/*-- SEQ 0207 --*/
ALTER TABLE TT_CFG ADD CC_WOR_PROP Numeric(5);

/*-- SEQ 0208 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCCC_WOR_PROP FOREIGN KEY (CC_WOR_PROP) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0209 --*/
ALTER TABLE TT_CFG ADD PERURG_PROP Numeric(7,4);

/*-- SEQ 0210 --*/
ALTER TABLE TT_CFG ADD FILPAP_DIRETORIA CHAR(3);

/*-- SEQ 0211 --*/
ALTER TABLE TT_CFG ADD SEQPAP_DIRETORIA CHAR(10);

/*-- SEQ 0212 --*/
ALTER TABLE TW_CFG ADD VLRMIN_WOR_PROP Numeric(12,2);

/*-- SEQ 0213 --*/
ALTER TABLE TW_CFG ADD FILPGT_WOR_PROP CHAR(3);

/*-- SEQ 0214 --*/
ALTER TABLE TW_CFG ADD CODPGT_WOR_PROP CHAR(3);

/*-- SEQ 0215 --*/
ALTER TABLE TW_CFG ADD CONSTRAINT FK_WCFG_PLA FOREIGN KEY (FILPGT_WOR_PROP, CODPGT_WOR_PROP) REFERENCES TT_PLA (FILPGT, CODPGT);

/*-- SEQ 0216 --*/
ALTER TABLE TW_CFG ADD CC_WOR_PROP Numeric(5);

/*-- SEQ 0217 --*/
ALTER TABLE TW_CFG ADD CONSTRAINT FK_WCFG_DCCC_WOR_PROP FOREIGN KEY (CC_WOR_PROP) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0218 --*/
ALTER TABLE TW_CFG ADD PERURG_PROP Numeric(7,4);

/*-- SEQ 0219 --*/
ALTER TABLE TW_CFG ADD FILPAP_DIRETORIA CHAR(3);

/*-- SEQ 0220 --*/
ALTER TABLE TW_CFG ADD SEQPAP_DIRETORIA CHAR(10);


/*-- SEQ 0221 --*/
ALTER TABLE TT_EAN ADD CODFIL CHAR(3);

/*-- SEQ 0222 --*/
ALTER TABLE TT_EAN ADD SEQUEN CHAR(10);

/*-- SEQ 0223 --*/
ALTER TABLE TT_EAN ADD DATINC Timestamp;

/*-- SEQ 0224 --*/
ALTER TABLE TT_EAN DROP CONSTRAINT PK_EAN CASCADE;

/*-- SEQ 0225 --*/
CREATE SEQUENCE SQEAN INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0226 --*/
SELECT DISABLETRIGGERS(LOWER('TT_EAN'));

/*-- SEQ 0227 --*/
UPDATE TT_EAN
   SET SEQUEN = LPAD(RTRIM(NEXTVAL('SQEAN')),10,' ')
 WHERE SEQUEN IS NULL;

/*-- SEQ 0228 --*/
UPDATE TT_EAN
   SET CODFIL = (SELECT CODLOJ FROM TT_IDF)
 WHERE CODFIL IS NULL;

/*-- SEQ 0229 --*/
SELECT ENABLETRIGGERS(LOWER('TT_EAN'));

/*-- SEQ 0230 --*/
ALTER TABLE TT_EAN ADD CONSTRAINT AK_EAN_CODEAN UNIQUE (CODEAN);

/*-- SEQ 0231 --*/
ALTER TABLE TT_EAN ADD CONSTRAINT PK_EAN PRIMARY KEY (SEQUEN,CODFIL)   ;


/*-- SEQ 0232 --*/
ALTER TABLE TD_SIT ADD GER_CC VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0233 --*/
ALTER TABLE TD_SIT ADD CONSTRAINT CK_DSIT_GER_CC CHECK (GER_CC IN ('T','F'));

/*-- SEQ 0234 --*/
ALTER TABLE TD_SIT ALTER COLUMN GER_CC SET NOT NULL;

/*-- SEQ 0235 --*/
ALTER TABLE TW_TAB ADD GER_CC VARCHAR(1) DEFAULT 'F';


/*-- SEQ 0236 --*/
ALTER TABLE TT_DOU ADD ATU_EM Timestamp;

/*-- SEQ 0237 --*/
SELECT DISABLETRIGGERS(LOWER('TT_DOU'));

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_DOU 
   SET ATU_EM = Agora() 
 WHERE ATU_EM IS NULL;

/*-- SEQ 0239 --*/
SELECT ENABLETRIGGERS(LOWER('TT_DOU'));

/*-- SEQ 0240 --*/
ALTER TABLE TT_DOU ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0241 --*/
CREATE INDEX I_LC_DOU_ATU_EM on TT_DOU (ATU_EM)  ;


/*-- SEQ 0242 --*/
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0243 --*/
UPDATE TT_VEN
   SET AVISTA = (
        SELECT CASE WHEN SUM(CASE WHEN REC.FLGEST='A' AND REC.CARTAO IS NULL AND REC.SEQCHE IS NULL THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN REC.DATFIS<>TT_VEN.DATFIS THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN CHR.DATFIS<>CHR.DATVEN THEN 1 ELSE 0 END)>0 THEN 'F' -- RFMP 66883
               ELSE 'T'
               END
          FROM TT_REC REC LEFT JOIN TT_CHR CHR ON CHR.CODFIL = REC.CODFIL
                                              AND CHR.SEQUEN = REC.SEQCHE
         WHERE REC.CODFIL = TT_VEN.CODFIL
           AND REC.SEQUEN = TT_VEN.SEQUEN)
 WHERE AVISTA <> (
        SELECT CASE WHEN SUM(CASE WHEN REC.FLGEST='A' AND REC.CARTAO IS NULL AND REC.SEQCHE IS NULL THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN REC.DATFIS<>TT_VEN.DATFIS THEN 1 ELSE 0 END)>0 THEN 'F'
                    WHEN SUM(CASE WHEN CHR.DATFIS<>CHR.DATVEN THEN 1 ELSE 0 END)>0 THEN 'F' -- RFMP 66883
               ELSE 'T'
               END
          FROM TT_REC REC LEFT JOIN TT_CHR CHR ON CHR.CODFIL = REC.CODFIL
                                              AND CHR.SEQUEN = REC.SEQCHE
         WHERE REC.CODFIL = TT_VEN.CODFIL
           AND REC.SEQUEN = TT_VEN.SEQUEN
);

/*-- SEQ 0244 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0245 --*/
ALTER TABLE TD_MOD ADD FILCOM char(3);

/*-- SEQ 0246 --*/
ALTER TABLE TD_MOD ADD CODCOM char(3);

/*-- SEQ 0247 --*/
ALTER TABLE TD_MOD ADD CONSTRAINT FK_DMOD_USUCOM FOREIGN KEY (FILCOM, CODCOM) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0248 --*/
ALTER TABLE TW_TAB ADD FILCOM char(3);

/*-- SEQ 0249 --*/
ALTER TABLE TW_TAB ADD CODCOM char(3);





/*-- SEQ 0250 --*/
ALTER TABLE TT_CCC ADD FILWOR CHAR(3);

/*-- SEQ 0251 --*/
ALTER TABLE TT_CCC ADD SEQWOR CHAR(10);

/*-- SEQ 0252 --*/
ALTER TABLE TT_CCC ADD CONSTRAINT FK_CCC_WOR FOREIGN KEY (FILWOR, SEQWOR) REFERENCES TT_WOR (CODFIL, SEQUEN);

/*-- SEQ 0253 --*/
CREATE INDEX I_FK_CCC_WOR on TT_CCC (FILWOR, SEQWOR)  ;


/*-- SEQ 0254 --*/
CREATE TABLE TM_IORXIVE (FILIVE CHAR(3),
                         SEQIVE CHAR(10),
                         NUMIVE Numeric(5),     
                         FILIOR CHAR(3), 
                         TIPPED CHAR(1), 
                         NUMPED CHAR(10), 
                         NUMITE Numeric(5), 
                         DATINC Timestamp)  ;

/*-- SEQ 0255 --*/
ALTER TABLE TM_IORXIVE ADD CONSTRAINT PK_IORXIVE PRIMARY KEY (FILIVE, SEQIVE, NUMIVE);

/*-- SEQ 0256 --*/
ALTER TABLE TM_IORXIVE ADD CONSTRAINT FK_IORXIVE_IVE FOREIGN KEY (FILIVE, SEQIVE, NUMITE) REFERENCES TT_IVE (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0257 --*/
CREATE INDEX I_FK_MIORXIVE_IOR on TM_IORXIVE (FILIVE, SEQIVE, NUMITE)  ;


/*-- SEQ 0258 --*/
ALTER TABLE TW_TAB ADD COMUSU VARCHAR(20);


/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_OPE DROP CONSTRAINT CK_OPE_REGRA;

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_OPE ADD CONSTRAINT CK_OPE_REGRA CHECK 
      (CASE WHEN CODCAI IS NULL AND FILREC IS NOT NULL AND SEQREC IS NOT NULL AND NUMPAR IS NOT NULL AND SUBPAR IS NOT NULL THEN 1 ELSE 0 END +
       /* CASE WHEN CODCAI IS NULL AND FILTEF IS NOT NULL AND SEQTEF IS NOT NULL THEN 1 ELSE 0 END + */
       CASE WHEN CODCAI IS NULL AND FILCCC IS NOT NULL AND SEQCCC IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND FILCHR IS NOT NULL AND SEQCHR IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN                    FILFIN IS NOT NULL AND SEQFIN IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND FILDOP IS NOT NULL AND SEQDOP IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND CARTAO IS NOT NULL THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND (OUTROS IS NOT NULL OR DOCTRO IS NOT NULL) THEN 1 ELSE 0 END +
       CASE WHEN CODCAI IS NULL AND CAMBIO IS NOT NULL THEN 1 ELSE 0 END = 1);


/*-- SEQ 0261 --*/
ALTER TABLE TT_AGC DROP COLUMN DATINI CASCADE;


/*-- SEQ 0262 --*/
ALTER TABLE TW_CTA ADD VLRV01 Numeric;

/*-- SEQ 0263 --*/
ALTER TABLE TW_CTA ADD VLRV02 Numeric;

/*-- SEQ 0264 --*/
ALTER TABLE TW_CTA ADD VLRV03 Numeric;

/*-- SEQ 0265 --*/
ALTER TABLE TW_CTA ADD VLRV04 Numeric;

/*-- SEQ 0266 --*/
ALTER TABLE TW_CTA ADD VLRV05 Numeric;

/*-- SEQ 0267 --*/
ALTER TABLE TW_CTA ADD VLRV06 Numeric;

/*-- SEQ 0268 --*/
ALTER TABLE TW_CTA ADD VLRV07 Numeric;

/*-- SEQ 0269 --*/
ALTER TABLE TW_CTA ADD VLRV08 Numeric;

/*-- SEQ 0270 --*/
ALTER TABLE TW_CTA ADD VLRV09 Numeric;

/*-- SEQ 0271 --*/
ALTER TABLE TW_CTA ADD VLRV10 Numeric;

/*-- SEQ 0272 --*/
ALTER TABLE TW_CTA ADD VLRV11 Numeric;

/*-- SEQ 0273 --*/
ALTER TABLE TW_CTA ADD VLRV12 Numeric;


/*-- SEQ 0274 --*/
ALTER TABLE TW_CFG ADD PLANO_PGT_WOR_PROP VARCHAR(15);

/*-- SEQ 0275 --*/
ALTER TABLE TT_CFG ADD PLANO_PGT_WOR_PROP VARCHAR(15);

/*-- SEQ 0276 --*/
ALTER TABLE TW_CFG ADD DESPAP_DIRETORIA VARCHAR(30);

/*-- SEQ 0277 --*/
ALTER TABLE TT_CFG ADD DESPAP_DIRETORIA VARCHAR(30);




/*-- SEQ 0278 --*/
ALTER TABLE TT_WOR ADD RELEAS Numeric(5);

/*-- SEQ 0279 --*/
ALTER TABLE TT_WOR ADD CONSTRAINT CK_WOR_RELEASE CHECK (RELEAS >= 0);


/*-- SEQ 0280 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf add id_itf Numeric(10);

/*-- SEQ 0281 --*/
delete from ti_itf where id_itf is null;

/*-- SEQ 0282 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf add constraint pk_iitf primary key (id_itf)   ;

/*-- SEQ 0283 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf_ro add id_itf Numeric(10);

/*-- SEQ 0284 --*/
delete from ti_itf_ro where id_itf is null;

/*-- SEQ 0285 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf_ro add constraint pk_iitf_ro primary key (id_itf)   ;

/*-- SEQ 0286 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQIITF INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0287 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQIITFRO INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0288 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf drop constraint fk_iitf_itf ;

/*-- SEQ 0289 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE ti_itf DROP COLUMN numite CASCADE;

/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf add constraint fk_iitf_tef foreign key (filtef, seqtef) references tt_tef (codfil,sequen) ;

/*-- SEQ 0291 --*/
/*-- IGNORE ERRO --*/
create index i_iitf_tef on ti_itf (filtef, seqtef)  ;

/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQIITFGRUPO INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf_ro add grupo Numeric(10);

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf add grupo Numeric(10); 

/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION CONCILIACAO_CARTAO () CASCADE;



/*-- SEQ 0296 --*/
ALTER TABLE TW_WOR ADD RELEAS Numeric(5);

/*-- SEQ 0297 --*/
ALTER TABLE TW_WOR ADD CONSTRAINT CK_WWOR_RELEASE CHECK (RELEAS >= 0);


/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf_ro add datpro Timestamp; 

/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf_ro add nrolin Numeric(5); 

/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
alter table ti_itf add nrolin Numeric(5); 



/*-- SEQ 0301 --*/
SELECT DISABLETRIGGERS(LOWER('TT_ROM'));

/*-- SEQ 0302 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ROM ADD SIGNAT Numeric(5) DEFAULT 0;

/*-- SEQ 0303 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ROM'));

/*-- SEQ 0304 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ROM ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0305 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IVO_FLGEST ON TT_IVO (FLGEST)  ;

/*-- SEQ 0306 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVO ADD ORIGEM CHAR(1) DEFAULT 'O';

/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVO ALTER COLUMN ORIGEM SET NOT NULL;

/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_ORIGEM CHECK (ORIGEM IN ('O','V','P'));

/*-- SEQ 0310 --*/
UPDATE TT_IVO
   SET ORIGEM='V' 
 WHERE FILIVE IS NOT NULL
   AND ORIGEM<>'V';

/*-- SEQ 0311 --*/
UPDATE TT_IVO
   SET ORIGEM='P' 
 WHERE FILIPE IS NOT NULL
   AND ORIGEM<>'P';

/*-- SEQ 0312 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0313 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_IVO_ORIGEM ON TT_IVO (ORIGEM, FLGEST)   ;


/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
CREATE INDEX I_LC_ROM_FLGEST ON TT_ROM (FLGEST)  ;

/*-- SEQ 0315 --*/
-- Tarefa 67584 --
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
ALTER TABLE TT_IVO ADD TEMROM CHAR(1) DEFAULT 'T';

/*-- SEQ 0317 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
ALTER TABLE TT_IVO ALTER COLUMN TEMROM SET NOT NULL;

/*-- SEQ 0318 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_TEMROM CHECK (TEMROM IN ('T','F'));

/*-- SEQ 0319 --*/
-- Tarefa 67584 --
UPDATE TT_IVO
   SET TEMROM = 'F' 
 WHERE FILROM IS NULL;

/*-- SEQ 0320 --*/
-- Tarefa 67584 --
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
CREATE INDEX I_LC_IVO_TEMROM ON TT_IVO (TEMROM, ORIGEM)  ;



/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67866 --
DROP FUNCTION pc_chr_update (bpchar,bpchar,bpchar,bpchar,bpchar,timestamp) CASCADE;

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67866 --
DROP FUNCTION pc_chr_update (bpchar,bpchar,bpchar,VARCHAR,timestamp,bpchar,bpchar,bpchar,bpchar,bpchar,timestamp,timestamp,Numeric,Numeric,timestamp,Numeric,Numeric,Numeric,VARCHAR,bpchar,VARCHAR,bpchar,VARCHAR,bpchar,VARCHAR,VARCHAR,Numeric,bpchar,bpchar,VARCHAR,timestamp,timestamp) CASCADE;


/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68212 --
DROP VIEW TV_RFIN_VEN;


/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67034 --
CREATE INDEX I_LC_INV_FLGEST ON TT_INV (FLGEST, CODFIL, CODMUL);


/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_FIL ADD FILWEB VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0328 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_FILWEB CHECK (FILWEB IN ('T','F'));

/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_FIL ALTER COLUMN FILWEB SET NOT NULL;

/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
UPDATE TD_FIL SET FILWEB='T' WHERE CODFIL = '006' AND CGCFIL = '07014198000373';

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
UPDATE TD_FIL SET FILWEB='F' WHERE (CODFIL <> '006') OR (CGCFIL <> '07014198000373');

/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT DISABLETRIGGERS(LOWER('TD_MUL'));

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_MUL ADD MULWEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
ALTER TABLE TD_MUL ADD CONSTRAINT CK_DMUL_MULWEB CHECK (MULWEB IN ('T','F'));

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_MUL ALTER COLUMN MULWEB SET NOT NULL;

/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
UPDATE TD_MUL SET MULWEB = 'T' WHERE MULWEB IS NULL AND CODTAB = 0;

/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT ENABLETRIGGERS(LOWER('TD_MUL'));


/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68389 --
DROP INDEX I_LC_ORC_NUMBLO;

/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68389 --
CREATE INDEX I_LC_ORC_NUMBLO_COMAND ON TT_ORC (NUMBLO,COMAND)  ;


/*-- SEQ 0341 --*/
-- 68816 --
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0342 --*/
-- 68816 --
UPDATE TT_COM
SET FLGEST = 'A'
WHERE (CODFIL, SEQUEN) IN (SELECT COM.CODFIL, COM.SEQUEN
                             FROM TT_COM COM INNER JOIN TT_PAG PAG ON COM.CODFIL=PAG.CODFIL 
                                                                  AND COM.SEQUEN=PAG.SEQUEN
                            WHERE COM.FLGEST = 'Q'
                              AND PAG.FLGEST = 'A');

/*-- SEQ 0343 --*/
-- 68816 --
SELECT ENABLETRIGGERS(LOWER('TT_COM'));


/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- 68299 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- 68299 --
UPDATE TT_CFG
   SET NOME_CLASSIFICACAO = 'Classificao'
 WHERE UPPER(NOME_CLASSIFICACAO) = 'CLASSIFICACAO';

/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- 68299 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 66858 --
ALTER TABLE TR_FIN ADD VLRCRT Numeric(14,2);

