
/*-- SEQ 0001 --*/
ALTER TABLE TT_CLI ADD PERVDD Numeric(7,4);

/*-- SEQ 0002 --*/
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_PERVDD CHECK (PERVDD >= 0 AND PERVDD <= 100); 


/*-- SEQ 0003 --*/
ALTER TABLE TT_VEN ADD FILVDP CHAR(3);

/*-- SEQ 0004 --*/
ALTER TABLE TT_VEN ADD CODVDP CHAR(3);

/*-- SEQ 0005 --*/
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_USU_VDP FOREIGN KEY (FILVDP, CODVDP) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0006 --*/
CREATE INDEX I_FK_VEN_USU_VDP on TT_VEN (FILVDP, CODVDP)  ;


/*-- SEQ 0007 --*/
ALTER TABLE TT_CLI ADD CMSIND Numeric(7,4);

/*-- SEQ 0008 --*/
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_CMSIND CHECK (CMSIND >= 0 AND CMSIND <= 99);


/*-- SEQ 0009 --*/
CREATE TABLE TT_VDD (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    FILPED CHAR(3),
    TIPPED CHAR(1),
    NUMPED CHAR(8),
    FILVEN CHAR(3),
    SEQVEN CHAR(10),
    DATINC Timestamp,
    ATU_EM Timestamp,
    FILVDD CHAR(3),
    CODVDD CHAR(3))  ;

/*-- SEQ 0010 --*/
ALTER TABLE TT_VDD ALTER COLUMN FILVDD SET NOT NULL;

/*-- SEQ 0011 --*/
ALTER TABLE TT_VDD ALTER COLUMN CODVDD SET NOT NULL;

/*-- SEQ 0012 --*/
ALTER TABLE TT_VDD ADD CONSTRAINT PK_VDD PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0013 --*/
ALTER TABLE TT_VDD ADD CONSTRAINT FK_VDD_ORC FOREIGN KEY (FILPED, TIPPED, NUMPED) REFERENCES TT_ORC (CODFIL, TIPPED, NUMPED);

/*-- SEQ 0014 --*/
ALTER TABLE TT_VDD ADD CONSTRAINT FK_VDD_VEN FOREIGN KEY (FILVEN, SEQVEN) REFERENCES TT_VEN (CODFIL, SEQUEN);

/*-- SEQ 0015 --*/
ALTER TABLE TT_VDD ADD CONSTRAINT FK_VDD_USU FOREIGN KEY (FILVDD, CODVDD) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0016 --*/
CREATE INDEX I_FK_VDD_ORC ON TT_VDD (FILPED, TIPPED, NUMPED)  ;

/*-- SEQ 0017 --*/
CREATE INDEX I_FK_VDD_VEN ON TT_VDD (FILVEN, SEQVEN)  ;

/*-- SEQ 0018 --*/
CREATE INDEX I_FK_VDD_USU ON TT_VDD (FILVDD, CODVDD)  ;

/*-- SEQ 0019 --*/
ALTER TABLE TT_VDD ADD CONSTRAINT CK_VDD_REGRA CHECK ((FILPED IS NOT NULL AND TIPPED IS NOT NULL AND NUMPED IS NOT NULL AND FILVEN IS NULL AND SEQVEN IS NULL) OR (FILPED IS NULL AND TIPPED IS NULL AND NUMPED IS NULL AND FILVEN IS NOT NULL AND SEQVEN IS NOT NULL));

/*-- SEQ 0020 --*/ 
CREATE SEQUENCE SQVDD INCREMENT 1 START 1 MINVALUE 1;




/*-- SEQ 0021 --*/
ALTER TABLE TT_CFG ADD MULT_VENDEDORES VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0022 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_MULT_VENDEDORES CHECK (MULT_VENDEDORES IN ('T','F'));

/*-- SEQ 0023 --*/
ALTER TABLE TT_CFG ALTER COLUMN MULT_VENDEDORES SET NOT NULL;

/*-- SEQ 0024 --*/
ALTER TABLE TW_CFG ADD MULT_VENDEDORES VARCHAR(1) DEFAULT 'F';


/*-- SEQ 0025 --*/
ALTER TABLE TT_VEN ADD CMSIND Numeric(14,2);


/*-- SEQ 0026 --*/
ALTER TABLE TD_SER ADD SERORD VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0027 --*/
ALTER TABLE TD_SER ADD CONSTRAINT CK_DSER_SERORD CHECK (SERORD IN ('T','F'));

/*-- SEQ 0028 --*/
ALTER TABLE TD_SER ALTER COLUMN SERORD SET NOT NULL;

/*-- SEQ 0029 --*/
ALTER TABLE TW_TAB ADD SERORD VARCHAR(1) DEFAULT 'T';


/*-- SEQ 0030 --*/
ALTER TABLE TD_FCC ADD ATU_EM Timestamp;

/*-- SEQ 0031 --*/
SELECT DISABLETRIGGERS(LOWER('TD_FCC'));

/*-- SEQ 0032 --*/
UPDATE TD_FCC
   SET ATU_EM = Agora() 
 WHERE ATU_EM IS NULL;

/*-- SEQ 0033 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FCC'));

/*-- SEQ 0034 --*/
ALTER TABLE TD_FCC ALTER COLUMN ATU_EM SET NOT NULL;


/*-- SEQ 0035 --*/
ALTER TABLE TT_SQL ADD SQLOUT2 VARCHAR(4000);


/*-- SEQ 0036 --*/
CREATE TABLE TT_NUT (
    FILMAT CHAR(3),
    CODMAT CHAR(5), 
    CODCOR Numeric(5,0), 
    CODTAM Numeric(5,0),
    RECEIT VARCHAR(4000),
    PORCAO VARCHAR(35),
    VALCAL Numeric(5,2), 
    PERCAL Numeric(4,2), 
    VALCAR Numeric(5,2), 
    PERCAR Numeric(4,2), 
    VALPRO Numeric(5,2), 
    PERPRO Numeric(4,2), 
    VALGOR Numeric(5,2), 
    PERGOR Numeric(4,2), 
    VALSAT Numeric(5,2), 
    PERSAT Numeric(4,2), 
    VALCOL Numeric(5,2), 
    PERCOL Numeric(4,2), 
    VALFIB Numeric(5,2), 
    PERFIB Numeric(4,2), 
    VALCIO Numeric(5,2), 
    PERCIO Numeric(4,2),
    VALFER Numeric(5,1), 
    PERFER Numeric(4,2), 
    VALSOD Numeric(5,2), 
    PERSOD Numeric(4,2),
    FIGURA VARCHAR(20), 
    DATINC Timestamp, 
    ATU_EM Timestamp)  ;

/*-- SEQ 0037 --*/
ALTER TABLE TT_NUT ADD CONSTRAINT PK_NUT PRIMARY KEY (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0038 --*/
ALTER TABLE TT_NUT ADD CONSTRAINT FK_NUT_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);


/*-- SEQ 0039 --*/
-- Tarefa 65164 --
ALTER TABLE TT_FIS DROP CONSTRAINT CK_FIS_ORIGEM;

/*-- SEQ 0040 --*/
-- Tarefa 65164 --
ALTER TABLE TT_FIS ADD CONSTRAINT CK_FIS_ORIGEM CHECK (ORIGEM IN ('C','V','F'));

/*-- SEQ 0041 --*/
-- Tarefa 65164 --
INSERT INTO TT_FIS                                                                                                                           
(ORIGEM, CODSER, SUBSER, MODNOT, SEREXP, SUBEXP, EXPORT, NOMSER, CNT_RO)
SELECT TO_CHAR('F') AS ORIGEM,
       FIS.CODSER, FIS.SUBSER, FIS.MODNOT, FIS.SEREXP, FIS.SUBEXP, FIS.EXPORT, 
       TO_CHAR('Srie de Frete') AS NOMSER, 
       FIS.CNT_RO
  FROM TT_FIS FIS
 WHERE FIS.ORIGEM = 'C'
   AND EXISTS (SELECT 1 AS OK
                 FROM TT_COM COM
                WHERE COM.TIPPAR = 'T'                                                                                                       
                  AND COM.CODSER = FIS.CODSER 
                  AND COALESCE(COM.SUBSER,'   ') = FIS.SUBSER)
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FIS FRE
                    WHERE FRE.ORIGEM = 'F'                                                                                                       
                      AND FRE.CODSER = FIS.CODSER 
                      AND FRE.SUBSER = FIS.SUBSER);


/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
CREATE INDEX I_LC_ROM_FLGEST ON TT_ROM (FLGEST)  ;

/*-- SEQ 0043 --*/
-- Tarefa 67584 --
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
ALTER TABLE TT_IVO ADD TEMROM CHAR(1) DEFAULT 'T';

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
ALTER TABLE TT_IVO ALTER COLUMN TEMROM SET NOT NULL;

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_TEMROM CHECK (TEMROM IN ('T','F'));

/*-- SEQ 0047 --*/
-- Tarefa 67584 --
UPDATE TT_IVO
   SET TEMROM = 'F' 
 WHERE FILROM IS NULL;

/*-- SEQ 0048 --*/
-- Tarefa 67584 --
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67584 --
CREATE INDEX I_LC_IVO_TEMROM ON TT_IVO (TEMROM, ORIGEM)  ;


/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68212 --
DROP VIEW TV_RFIN_VEN;


/*-- SEQ 0051 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0052 --*/
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '4.7H',
       CHECKOUT_RELMIN = 13;

/*-- SEQ 0053 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0054 --*/
-- Tarefa 68217 --
ALTER TABLE TT_REC ADD FILREN CHAR(3);

/*-- SEQ 0055 --*/
-- Tarefa 68217 --
ALTER TABLE TT_REC ADD SEQREN CHAR(10);

/*-- SEQ 0056 --*/
-- Tarefa 68217 --
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_VEN_REN FOREIGN KEY (FILREN, SEQREN) REFERENCES TT_VEN (CODFIl, SEQUEN);

/*-- SEQ 0057 --*/
-- Tarefa 68217 --
CREATE INDEX I_FK_REC_VEN_REN ON TT_REC (FILREN, SEQREN)  ;


/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67034 --
CREATE INDEX I_LC_INV_FLGEST ON TT_INV (FLGEST, CODFIL, CODMUL);


/*-- SEQ 0059 --*/ 
-- Tarefa  67463 --
CREATE TABLE TT_CMS (
  CODFIL CHAR(3), 
  SEQUEN CHAR(10), 
  FILREC CHAR(3), 
  SEQREC CHAR(10), 
  NUMPAR CHAR(2), 
  SUBPAR CHAR(2), 
  DATINC Timestamp, 
  DATPGT Timestamp, 
  FILCLI CHAR(3), 
  CODCLI CHAR(6), 
  BASCMS Numeric(14,2), 
  VLRCMS Numeric(12,2), 
  PERCMS Numeric(4,2), 
  COMSOB Numeric(5), 
  FLGEST CHAR(1), 
  NROCAN Numeric(10) DEFAULT 0, 
  ATU_EM Timestamp
)  ;

/*-- SEQ 0060 --*/
ALTER TABLE TT_CMS ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0061 --*/
ALTER TABLE TT_CMS ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0062 --*/
ALTER TABLE TT_CMS ALTER COLUMN FILREC SET NOT NULL;

/*-- SEQ 0063 --*/
ALTER TABLE TT_CMS ALTER COLUMN SEQREC SET NOT NULL;

/*-- SEQ 0064 --*/
ALTER TABLE TT_CMS ALTER COLUMN NUMPAR SET NOT NULL;

/*-- SEQ 0065 --*/
ALTER TABLE TT_CMS ALTER COLUMN SUBPAR SET NOT NULL;

/*-- SEQ 0066 --*/
ALTER TABLE TT_CMS ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0067 --*/
ALTER TABLE TT_CMS ALTER COLUMN FILCLI SET NOT NULL;

/*-- SEQ 0068 --*/
ALTER TABLE TT_CMS ALTER COLUMN CODCLI SET NOT NULL;

/*-- SEQ 0069 --*/
ALTER TABLE TT_CMS ALTER COLUMN BASCMS SET NOT NULL;

/*-- SEQ 0070 --*/
ALTER TABLE TT_CMS ALTER COLUMN VLRCMS SET NOT NULL;

/*-- SEQ 0071 --*/
ALTER TABLE TT_CMS ALTER COLUMN PERCMS SET NOT NULL;

/*-- SEQ 0072 --*/
ALTER TABLE TT_CMS ALTER COLUMN COMSOB SET NOT NULL;

/*-- SEQ 0073 --*/
ALTER TABLE TT_CMS ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0074 --*/
ALTER TABLE TT_CMS ALTER COLUMN NROCAN SET NOT NULL;

/*-- SEQ 0075 --*/
ALTER TABLE TT_CMS ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0076 --*/
ALTER TABLE TT_CMS ADD CONSTRAINT PK_CMS PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0077 --*/
ALTER TABLE TT_CMS ADD CONSTRAINT FK_CMS_CLI FOREIGN KEY (FILCLI, CODCLI) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0078 --*/
ALTER TABLE TT_CMS ADD CONSTRAINT FK_CMS_REC FOREIGN KEY (FILREC, SEQREC, NUMPAR, SUBPAR) REFERENCES TT_REC (CODFIL, SEQUEN, NUMPAR, SUBPAR);

/*-- SEQ 0079 --*/
CREATE INDEX I_FK_CMS_CLI ON TT_CMS (FILCLI, CODCLI)  ;

/*-- SEQ 0080 --*/
CREATE INDEX I_FK_CMS_REC ON TT_CMS (FILREC, SEQREC, NUMPAR, SUBPAR)  ;

/*-- SEQ 0081 --*/
ALTER TABLE TT_CMS ADD CONSTRAINT CK_CMS_NROCAN CHECK ((NROCAN = 0 AND FLGEST <> 'C') OR (NROCAN > 0 AND FLGEST = 'C'));

/*-- SEQ 0082 --*/
ALTER TABLE TT_CMS ADD CONSTRAINT CK_CMS_FLGEST CHECK (FLGEST in ('A','C','2','P'));

/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQCMS INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQCMSNROCAN INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_FIL ADD FILWEB VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_FILWEB CHECK (FILWEB IN ('T','F'));

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_FIL ALTER COLUMN FILWEB SET NOT NULL;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
UPDATE TD_FIL SET FILWEB='T' WHERE CODFIL = '006' AND CGCFIL = '07014198000373';

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
UPDATE TD_FIL SET FILWEB='F' WHERE (CODFIL <> '006') OR (CGCFIL <> '07014198000373');

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT DISABLETRIGGERS(LOWER('TD_MUL'));

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_MUL ADD MULWEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419 --
ALTER TABLE TD_MUL ADD CONSTRAINT CK_DMUL_MULWEB CHECK (MULWEB IN ('T','F'));

/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
ALTER TABLE TD_MUL ALTER COLUMN MULWEB SET NOT NULL;

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
UPDATE TD_MUL SET MULWEB = 'T' WHERE MULWEB IS NULL AND CODTAB = 0;

/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68419
SELECT ENABLETRIGGERS(LOWER('TD_MUL'));


/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68389 --
DROP INDEX I_LC_ORC_NUMBLO;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68389 --
CREATE INDEX I_LC_ORC_NUMBLO_COMAND ON TT_ORC (NUMBLO,COMAND)  ;


/*-- SEQ 0100 --*/
-- 68816 --
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0101 --*/
-- 68816 --
UPDATE TT_COM
SET FLGEST = 'A'
WHERE (CODFIL, SEQUEN) IN (SELECT COM.CODFIL, COM.SEQUEN
                             FROM TT_COM COM INNER JOIN TT_PAG PAG ON COM.CODFIL=PAG.CODFIL 
                                                                  AND COM.SEQUEN=PAG.SEQUEN
                            WHERE COM.FLGEST = 'Q'
                              AND PAG.FLGEST = 'A');

/*-- SEQ 0102 --*/
-- 68816 --
SELECT ENABLETRIGGERS(LOWER('TT_COM'));


/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- 68299 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- 68299 --
UPDATE TT_CFG
   SET NOME_CLASSIFICACAO = 'Classificao'
 WHERE UPPER(NOME_CLASSIFICACAO) = 'CLASSIFICACAO';

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
-- 68299 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0106 --*/
-- Tarefa 69268 --
ALTER TABLE TD_ECF DROP CONSTRAINT CK_DECF_ECFUTL;

/*-- SEQ 0107 --*/
-- Tarefa 69268 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_ECFUTL CHECK (ECFUTL IN ('L','A','U'));

/*-- SEQ 0108 --*/
-- Tarefa 69268 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_NATUTL;

/*-- SEQ 0109 --*/
-- Tarefa 69268 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_NATUTL CHECK (NATUTL IN ('L','A','Q','U'));


/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 66858 --
ALTER TABLE TR_FIN ADD VLRCRT Numeric(14,2);


/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68826 --
CREATE INDEX I_LC_CHR_FLGEST_PLACAS ON TT_CHR (FLGEST, PLACAS)  ;

/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68826 --
CREATE INDEX I_LC_LVEN_VEN ON TL_VEN (FILVEN, SEQVEN)  ;

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 68826 --
CREATE INDEX I_LC_FIN_FILNUM ON TT_FIN (FILNUM, FLGFIN)  ;


/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67455 --
ALTER TABLE TT_CCC ADD FILCMS CHAR(3) NULL;

/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67455 --
ALTER TABLE TT_CCC ADD SEQCMS CHAR(10) NULL;

/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 67455 --
ALTER TABLE TT_CCC ADD CONSTRAINT FK_CCC_CMS FOREIGN KEY (FILCMS, SEQCMS) REFERENCES TT_CMS (CODFIL, SEQUEN);


/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION AtualizaFinanceiro (TL_FIN.ORIGEM%TYPE,TL_FIN.FILORI%TYPE,TL_FIN.SEQORI%TYPE) CASCADE;

/*-- SEQ 0118 --*/
SELECT DISABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0119 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0120 --*/
update tr_cta cta
set totdeb = (select sum(case when fin.vlrpgt<0 then fin.vlrpgt else 0 end) * -1
                from tv_fin fin
               where fin.flgflx=cta.flgflx
        and fin.filcta=cta.filcta
        and fin.seqcta=cta.seqcta
        and fin.tipcta=cta.tipcta
        and fin.filrec=cta.fillan
        and fin.datpgt between cta.datlan and to_date(to_char(cta.datlan,'dd/mm/yyyy')||' 23:59:59','dd/mm/yyyy hh24:mi:ss')
    ),
   totcre=(select sum(case when fin.vlrpgt>0 then fin.vlrpgt else 0 end) 
      from tv_fin fin
     where fin.flgflx=cta.flgflx
       and fin.filcta=cta.filcta
       and fin.seqcta=cta.seqcta
       and fin.tipcta=cta.tipcta
       and fin.filrec=cta.fillan
       and fin.datpgt between cta.datlan and to_date(to_char(cta.datlan,'dd/mm/yyyy')||' 23:59:59','dd/mm/yyyy hh24:mi:ss')
    )
where tipcta='N'
  and datlan > to_date('01/01/2009','dd/mm/yyyy')
  and flgflx='R'
  and (select count(*) from tt_uid where versis in ('4.4C-R30','4.4G-R3','4.4H-R1') )>0
  and (select count(*) from tt_fun where nomfun='CORR_SALDO')=0;

/*-- SEQ 0121 --*/
     UPDATE TT_CTA
        SET ATUREA = 'F',
            ATUARE = 'F',
            DATARE = NULL,
            DATREA = NULL
      WHERE tipcta='N'
        and (select count(*) from tt_uid where versis in ('4.4C-R30','4.4G-R3','4.4H-R1') )>0
        and (select count(*) from tt_fun where nomfun='CORR_SALDO')=0;

/*-- SEQ 0122 --*/
SELECT ENABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0123 --*/
SELECT ENABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0124 --*/
select AtualizaSaldoContas(); 

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
insert into tt_fun (nomfun, datfun, atu_em) values ('CORR_SALDO',agora(),agora());


/*-- SEQ 0126 --*/
-- Tarefa 69836--
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0127 --*/
-- Tarefa 69836--
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '0',
       CHECKOUT_RELMIN = '0';

/*-- SEQ 0128 --*/
-- Tarefa 69836--
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70041 --
SELECT DISABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70041 --
UPDATE TD_SER
   SET SERORD = 'F'
 WHERE TITAVU = 'T'

/*-- SEQ 0131 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70041 --
SELECT ENABLETRIGGERS(LOWER('TD_SER'));


/*-- SEQ 0132 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70041 --
insert into tt_fun (nomfun, datfun, atu_em) values ('EXPTITAVU',agora(),agora());


/*-- SEQ 0133 --*/
-- Tarefa 70060--
SELECT ExecAlteraTipoColuna('TD_IRE','ICMSRE','Numeric(14,4)');


/*-- SEQ 0134 --*/
-- Tarefa 70060--
SELECT ExecAlteraTipoColuna('TW_TAB','ICMSRE','Numeric(14,4)');



/*-- SEQ 0135 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70026 --
SELECT * FROM NADA;

/*-- SEQ 0136 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70026 --
SELECT * FROM NADA;

/*-- SEQ 0137 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70026 --
SELECT * FROM NADA;


/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
create table versoes (
VERSAO VARCHAR(5) PRIMARY KEY   ,
VERBAS Numeric(5),
USUARIO_BANCO VARCHAR(15),
SENHA_BANCO VARCHAR(15),
DATPRO Timestamp,
RELEASE VARCHAR(20))  ;


/*-- SEQ 0139 --*/
-- Tarefa 70330 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0140 --*/
-- Tarefa 70330 --
UPDATE TT_CLI
   SET FILVEN = NULL,
       CODVEN = NULL
 WHERE FILVEN IS NOT NULL
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_USU
                    WHERE FILUSU = TT_CLI.FILVEN
                      AND CODUSU = TT_CLI.CODVEN);

/*-- SEQ 0141 --*/
-- Tarefa 70330 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0142 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70330 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_USU FOREIGN KEY (FILVEN, CODVEN) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70330 --
CREATE INDEX I_FK_CLI_USU on TT_CLI (FILVEN, CODVEN)  ;


/*-- SEQ 0144 --*/
-- fl 67455 --
ALTER TABLE TT_CMS ADD TIPCMS CHAR(1);

/*-- SEQ 0145 --*/
ALTER TABLE TT_CMS ADD CONSTRAINT CK_CMS_TIP CHECK (TIPCMS IN ('I','V'));



/*-- SEQ 0146 --*/
-- Tarefa 70299 --
CREATE INDEX I_LC_MGRA_GRA ON TM_GRA (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0147 --*/
-- Tarefa 70299 --
CREATE INDEX I_LC_MGRA_GRA_OLD ON TM_GRA (FILOLD, CODOLD, COROLD, TAMOLD)  ;


/*-- SEQ 0148 --*/
-- Tarefa 70426 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0150 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Comisso'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''COMISSAO'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70426 --
select temp_cria_conta();

/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 70426 --
DROP FUNCTION temp_cria_conta();

/*-- SEQ 0153 --*/
-- Tarefa 70426 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));




/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION PrecoVendaProduto (VARCHAR,TD_CTR.CODTAB%TYPE,TD_FIL.CODFIL%TYPE,TT_TPR.ESTADO%TYPE,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TT_GRA.DESMAX%TYPE) CASCADE;


/*-- SEQ 0155 --*/
-- Tarefa 70789 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0156 --*/
-- Tarefa 70789 --
UPDATE TT_CLI
   SET ESTRAN = 'F'
 WHERE ESTRAN IS NULL;

/*-- SEQ 0157 --*/
-- Tarefa 70789 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0158 --*/
-- Tarefa 70789 --
ALTER TABLE TT_CLI ALTER COLUMN ESTRAN SET NOT NULL;


/*-- SEQ 0159 --*/
-- Tarefa 70860 --
ALTER TABLE TD_IRE ADD REDCON Numeric(7,4);

/*-- SEQ 0160 --*/
-- Tarefa 70860 --
SELECT DISABLETRIGGERS(LOWER('TD_IRE'));

/*-- SEQ 0161 --*/
-- Tarefa 70860 --
update td_ire set redcon = icmsre where redcon is null;

/*-- SEQ 0162 --*/
-- Tarefa 70860 --
SELECT ENABLETRIGGERS(LOWER('TD_IRE'));

/*-- SEQ 0163 --*/
-- Tarefa 70860 --
ALTER TABLE TD_IRE ALTER COLUMN REDCON SET NOT NULL;

/*-- SEQ 0164 --*/
-- Tarefa 70860 --
SELECT DISABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0165 --*/
-- Tarefa 70860 --
insert into tt_fun
(nomfun, datfun, atu_em)
values ('RED_CONSUM', agora(), agora() );

/*-- SEQ 0166 --*/
-- Tarefa 70860 --
SELECT ENABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0167 --*/
-- Tarefa 70860 --
ALTER TABLE TW_TAB ADD REDCON Numeric(7,4);



/*-- SEQ 0168 --*/
-- Tarefa 70442 --
SELECT DISABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0169 --*/
-- Tarefa 70442 --
UPDATE TT_END
   SET ENDCOB = 'T'
 WHERE (FILCLI, CODCLI) IN (SELECT VC_FILCLI, VC_CODCLI FROM TT_CFG);

/*-- SEQ 0170 --*/
-- Tarefa 70442 --
SELECT ENABLETRIGGERS(LOWER('TT_END'));


/*-- SEQ 0171 --*/
-- Tarefa 71006 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0172 --*/
-- Tarefa 71006 --
UPDATE TT_VEN VEN
   SET FINANC = 'T'
 WHERE FINANC = 'F'
   AND CODSER IN (SELECT CODSER FROM TD_SER DSER WHERE DSER.CODSER = VEN.CODSER 
                     AND TITAVU = 'T');

/*-- SEQ 0173 --*/
-- Tarefa 71006 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0174 --*/
-- Tarefa 71060 --
ALTER TABLE TD_IR1 ADD REDCO1 Numeric(6,4);

/*-- SEQ 0175 --*/
-- Tarefa 71060 --
ALTER TABLE TD_IR2 ADD REDCO2 Numeric(6,4);

/*-- SEQ 0176 --*/
-- Tarefa 71060 --
SELECT DISABLETRIGGERS(LOWER('TD_IR1'));

/*-- SEQ 0177 --*/
-- Tarefa 71060 --
update td_ir1
   set redco1 = icmsr1
 where redco1 is null;

/*-- SEQ 0178 --*/
-- Tarefa 71060 --
SELECT ENABLETRIGGERS(LOWER('TD_IR1'));

/*-- SEQ 0179 --*/
-- Tarefa 71060 --
SELECT DISABLETRIGGERS(LOWER('TD_IR2'));

/*-- SEQ 0180 --*/
-- Tarefa 71060 --
update td_ir2
   set redco2 = icmsr2
 where redco2 is null;

/*-- SEQ 0181 --*/
-- Tarefa 71060 --
SELECT ENABLETRIGGERS(LOWER('TD_IR2'));

/*-- SEQ 0182 --*/
-- Tarefa 71060 --
ALTER TABLE TD_IR1 ALTER COLUMN REDCO1 SET NOT NULL; 

/*-- SEQ 0183 --*/
-- Tarefa 71060 --
ALTER TABLE TD_IR2 ALTER COLUMN REDCO2 SET NOT NULL; 

/*-- SEQ 0184 --*/
-- Tarefa 71060 --
SELECT DISABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0185 --*/
-- Tarefa 71060 --
insert into tt_fun (nomfun, datfun, atu_em)
     values ('RED_CONSU1', agora(), agora() );

/*-- SEQ 0186 --*/
-- Tarefa 71060 --
SELECT ENABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0187 --*/
-- Tarefa 71060 --
ALTER TABLE TW_TAB ADD REDCO1 Numeric(6,4);

/*-- SEQ 0188 --*/
-- Tarefa 71060 --
ALTER TABLE TW_TAB ADD REDCO2 Numeric(6,4);



/*-- SEQ 0189 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_IR1 DROP COLUMN REDCO1 CASCADE;

/*-- SEQ 0190 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_IR2 DROP COLUMN REDCO2 CASCADE;

/*-- SEQ 0191 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0192 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
DELETE FROM tt_fun WHERE nomfun LIKE 'RED_CONSU1';

/*-- SEQ 0193 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('tt_fun'));

/*-- SEQ 0194 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB DROP COLUMN REDCO1 CASCADE;

/*-- SEQ 0195 --*/
-- Tarefa 71060 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB DROP COLUMN REDCO2 CASCADE;


/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
CREATE TABLE TOTALL_COM_71221 AS 
SELECT COM.*, 
       COALESCE((SELECT SUM(VLRMOV)
                   FROM TT_ICO ICO
                  WHERE COM.CODFIL = ICO.CODFIL
                    AND COM.SEQUEN = ICO.SEQUEN
                    AND ICO.ICMTIP = '3'),0) AS TOTAL_SUBSTT
  FROM TT_COM COM
 WHERE COM.VLRLIQ <> (SELECT SUM(ICO.BASICM)+SUM(ICO.ISEICM)+SUM(ICO.OUTICM)
                        FROM TT_ICO ICO
                       WHERE COM.CODFIL = ICO.CODFIL
                         AND COM.SEQUEN = ICO.SEQUEN)
   AND COM.DATCMP BETWEEN TO_DATE('01/01/2009','DD/MM/YYYY') AND Agora();

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
CREATE TABLE TOTALL_ICO_71221 AS 
SELECT ICO.*, 
       CASE WHEN COALESCE(FIL.REGTRI,'N') = 'S' OR COALESCE(CLI.SIMPLE,'N') = 'S' THEN 'S' ELSE 'N' END AS SIMPLE
  FROM TOTALL_COM_71221 COM INNER JOIN TT_ICO ICO ON COM.CODFIL = ICO.CODFIL 
                                                 AND COM.SEQUEN = ICO.SEQUEN
                            INNER JOIN TD_FIL FIL ON FIL.CODFIL = ICO.CODFIL                          
                            INNER JOIN TT_CLI CLI ON CLI.FILCLI = COM.FILFOR 
                                                 AND CLI.CODCLI = COM.CODFOR;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
CREATE INDEX I_LC_TOTALL_COM_71221 ON TOTALL_COM_71221 (CODFIL, SEQUEN)  ;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
CREATE INDEX I_LC_TOTALL_ICO_71221 ON TOTALL_ICO_71221 (CODFIL, SEQUEN, NUMITE)  ;

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE) CASCADE;

/*-- SEQ 0201 --*/
CREATE OR REPLACE FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE)
RETURNS Numeric AS '
DECLARE
pCODFIL ALIAS FOR $1 ;
pSEQUEN ALIAS FOR $2 ;
pNUMITE ALIAS FOR $3 ;

nDIF      Numeric(12,2);
nVALOR    Numeric(12,2);
nDIF_ST   Numeric(12,2);
nVALOR_ST Numeric(12,2);
nBASE_CALCULO_SEM_REDUCAO Numeric(12,2);
nBASE_CALCULO_REDUZIDA    Numeric(12,2);

cCHAVE VARCHAR(200);

vMAX_NUMITE    TT_ICO.NUMITE%TYPE;
vMAX_NUMITE_ST TT_ICO.NUMITE%TYPE;
nVLRMOV        TT_ICO.VLRMOV%TYPE;

vCOUNT_ICMTIP Numeric(5);

BEGIN
    SELECT COUNT(*)  
      INTO vCOUNT_ICMTIP
      FROM (SELECT DISTINCT ICMTIP
              FROM TOTALL_ICO_71221 
             WHERE CODFIL = pCODFIL
               AND SEQUEN = pSEQUEN) A;

    IF vCOUNT_ICMTIP > 1 THEN 
        SELECT MAX(NUMITE) 
          INTO vMAX_NUMITE
          FROM TOTALL_ICO_71221
         WHERE CODFIL = pCODFIL
           AND SEQUEN = pSEQUEN           
           AND ICMTIP = ''0'';
    ELSE
        SELECT MAX(NUMITE) 
          INTO vMAX_NUMITE
          FROM TOTALL_ICO_71221
         WHERE CODFIL = pCODFIL
           AND SEQUEN = pSEQUEN;
    END IF;

    SELECT COALESCE(MAX(NUMITE),0)
      INTO vMAX_NUMITE_ST
      FROM TOTALL_ICO_71221
     WHERE CODFIL = pCODFIL
       AND SEQUEN = pSEQUEN
       AND ICMTIP = ''3'';

    SELECT MIN(COM.VLRLIQ - COALESCE(COM.SUBSTT,0))
           - SUM(TRUNC((ICO.VLRMOV) +
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.DESCON/COM.VLRTOT)) +                                    
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.OUTTAX/COM.VLRTOT)) +    
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRFRE/COM.VLRTOT)) + 
                       COALESCE(ICO.VLRIPI,0),2))
               AS DIF,           
           SUM(CASE WHEN ICO.NUMITE = pNumite 
                    THEN TRUNC((ICO.VLRMOV) + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.DESCON/COM.VLRTOT))
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.OUTTAX/COM.VLRTOT))
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRFRE/COM.VLRTOT))
                                            + COALESCE(ICO.VLRIPI,0),2)
               END) AS RATEIO,
           MIN(COALESCE(COM.SUBSTT,0)) 
           - SUM(TRUNC(CASE WHEN (ICO.ICMTIP = ''3'') AND (COALESCE(COM.SUBSTT,0) > 0) AND (COALESCE(COM.TOTAL_SUBSTT,0) > 0) THEN ((ICO.VLRMOV+ICO.VLRIPI) * (COM.SUBSTT/COM.TOTAL_SUBSTT)) ELSE 0 END,2)) AS DIF_ST,           
           SUM(CASE WHEN ICO.NUMITE = pNumite 
                    THEN TRUNC(CASE WHEN (ICO.ICMTIP = ''3'') AND (COALESCE(COM.SUBSTT,0) > 0) AND (COALESCE(COM.TOTAL_SUBSTT,0) > 0) THEN ((ICO.VLRMOV+ICO.VLRIPI) * (COM.SUBSTT/COM.TOTAL_SUBSTT)) ELSE 0 END,2)
               END) AS RATEIO_ST 
           INTO nDIF, nVALOR, nDIF_ST, nVALOR_ST
      FROM TOTALL_COM_71221 COM INNER JOIN TOTALL_ICO_71221 ICO ON COM.CODFIL = ICO.CODFIL
                                                               AND COM.SEQUEN = ICO.SEQUEN
     WHERE COM.CODFIL = pCODFIL
       AND COM.SEQUEN = pSEQUEN;
   
    IF pNUMITE = vMAX_NUMITE THEN
       nVALOR := COALESCE(nVALOR,0)+COALESCE(nDIF,0);
    END IF;       

    IF pNUMITE = vMAX_NUMITE_ST THEN
       nVALOR_ST := COALESCE(nVALOR_ST,0)+COALESCE(nDIF_ST,0);
    END IF;
     
    nBASE_CALCULO_SEM_REDUCAO := nVALOR + nVALOR_ST;
    
    return nBASE_CALCULO_SEM_REDUCAO;

END;
' language 'plpgsql';



/*-- SEQ 0202 --*/
-- Tarefa 71221 --
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0203 --*/
-- Tarefa 71221 --
UPDATE TT_COM
   SET VLRNOT = (SELECT SUM(ICO.VLRMOV)
                   FROM TT_ICO ICO
                  WHERE CODFIL = ICO.CODFIL
                    AND SEQUEN = ICO.SEQUEN)
 WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                              FROM TOTALL_COM_71221)
   AND VLRNOT IS NULL
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICMS') = 0;

/*-- SEQ 0204 --*/
-- Tarefa 71221 --
SELECT ENABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0205 --*/
-- Tarefa 71221 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0206 --*/
-- Tarefa 71221 --
UPDATE TT_ICO
   SET BASICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN 0
                                   ELSE ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN 0
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END,0),
       OUTICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                                   ELSE TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) - ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END,0),
       ISEICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN 0
                              WHEN '3' THEN 0
                              WHEN '1' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '2' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '4' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                         END,0),
       VLRICM = COALESCE((CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN 0
                                   ELSE ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN 0
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END) * (COALESCE(ICMITE,0) / 100),0)
  WHERE (CODFIL, SEQUEN, NUMITE) IN (SELECT CODFIL, SEQUEN, NUMITE 
                                       FROM TOTALL_ICO_71221)
    AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICMS') = 0;

/*-- SEQ 0207 --*/
-- Tarefa 71221 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0208 --*/
-- Tarefa 71221 --
DROP FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE) CASCADE;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('CORR_BICMS', AGORA(), AGORA());


/*-- SEQ 0210 --*/
-- Tarefa 71221 --
INSERT INTO TOTALL_COM_71221
(CODDOP,FILAGC,SEQAGC,FILCTA,SEQCTA,TIPCTA,VLRBON,UFNOTA,NUMVOL,
 FILEND,NUMEND,OBSFAT,VLRRET,ICMFRE,TIPTRP,SEQFRE,RETCOF,CODCFO,
 ATUCUS,EXPORT,VLRFRE,BASFRE,PERFRE,PERIRR,PERISS,PERINS,PERCSS,
 PERICM,VLRIRR,VLRISS,VLRINS,VLRCSS,VLRICM,FLGINS,FLGCSS,FLGPIS,
 FLGCOF,ISEICM,OUTICM,TIPEMP,POREMP,FILFRE,BASSUB,MOTREJ,VLRNOT,
 VLRIPI,RETIRR,RETCSS,VLRPIS,VLRCOF,FLGICM,FLGISS,OUTDES,DESPAR,
 DUMMY, CODFIL,SEQUEN,ATU_EM,CODUSU,DATCMP,DESCON,DATOPE,VLRTOT,
 VLRLIQ,TIPPAR,TIPNOT,SIGNAT,MOEJUR,INTPMU,INTPJU,INCOJU,FLGEST,
 FILUSU,FILFOR,CODSET,QTDTOT,OUTTAX,NUMNOT,CODFOR,CODMOE,CODSER,
 NOTESP,SEQCAN,SUBSER,SEQFAT,VLTXJU,VLTXMU,SUBSTT,CONPGT,OBSERV,
 ESPDOC,
 TOTAL_SUBSTT)
SELECT COM.CODDOP,COM.FILAGC,COM.SEQAGC,COM.FILCTA,COM.SEQCTA,COM.TIPCTA,COM.VLRBON,COM.UFNOTA,COM.NUMVOL,
       COM.FILEND,COM.NUMEND,COM.OBSFAT,COM.VLRRET,COM.ICMFRE,COM.TIPTRP,COM.SEQFRE,COM.RETCOF,COM.CODCFO,
       COM.ATUCUS,COM.EXPORT,COM.VLRFRE,COM.BASFRE,COM.PERFRE,COM.PERIRR,COM.PERISS,COM.PERINS,COM.PERCSS,
       COM.PERICM,COM.VLRIRR,COM.VLRISS,COM.VLRINS,COM.VLRCSS,COM.VLRICM,COM.FLGINS,COM.FLGCSS,COM.FLGPIS,
       COM.FLGCOF,COM.ISEICM,COM.OUTICM,COM.TIPEMP,COM.POREMP,COM.FILFRE,COM.BASSUB,COM.MOTREJ,COM.VLRNOT,
       COM.VLRIPI,COM.RETIRR,COM.RETCSS,COM.VLRPIS,COM.VLRCOF,COM.FLGICM,COM.FLGISS,COM.OUTDES,COM.DESPAR,
       COM.DUMMY,COM.CODFIL,COM.SEQUEN,COM.ATU_EM,COM.CODUSU,COM.DATCMP,COM.DESCON,COM.DATOPE,COM.VLRTOT,
       COM.VLRLIQ,COM.TIPPAR,COM.TIPNOT,COM.SIGNAT,COM.MOEJUR,COM.INTPMU,COM.INTPJU,COM.INCOJU,COM.FLGEST,
       COM.FILUSU,COM.FILFOR,COM.CODSET,COM.QTDTOT,COM.OUTTAX,COM.NUMNOT,COM.CODFOR,COM.CODMOE,COM.CODSER,
       COM.NOTESP,COM.SEQCAN,COM.SUBSER,COM.SEQFAT,COM.VLTXJU,COM.VLTXMU,COM.SUBSTT,COM.CONPGT,COM.OBSERV,
       COM.ESPDOC, 
       COALESCE((SELECT SUM(VLRMOV)
                   FROM TT_ICO ICO
                  WHERE COM.CODFIL = ICO.CODFIL
                    AND COM.SEQUEN = ICO.SEQUEN
                    AND ICO.ICMTIP = '3'),0) AS TOTAL_SUBSTT
  FROM TT_COM COM
 WHERE COM.VLRNOT 
       + COALESCE(COM.SUBSTT,0) 
       + COALESCE(COM.OUTTAX,0) 
       + COALESCE(COM.VLRFRE,0) 
       + COALESCE(COM.DESCON,0) 
       + COALESCE(COM.VLRBON,0) <> (SELECT SUM(ICO.BASICM)+SUM(ICO.ISEICM)+SUM(ICO.OUTICM)
                        FROM TT_ICO ICO
                       WHERE COM.CODFIL = ICO.CODFIL
                         AND COM.SEQUEN = ICO.SEQUEN)
   AND COM.DATCMP BETWEEN TO_DATE('01/01/2009','DD/MM/YYYY') AND Agora()
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TOTALL_COM_71221 TCOM
                    WHERE TCOM.CODFIL = COM.CODFIL
                      AND TCOM.SEQUEN = COM.SEQUEN)
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM2') = 0;

/*-- SEQ 0211 --*/
-- Tarefa 71221 --
INSERT INTO TOTALL_ICO_71221
(IPIFRE,CODFIL,SEQUEN,NUMITE,CODCOR,CODMAT,CODMOE,FILMAT,CODTAM,
 VLRMOV,TIPPRO,SITMOV,QTDMOV,LANEST,COM_DATOPE,CUSANT,CUSREP,VLRCAL,
 PERLUC,PREATU,PREANT,IPIITE,ICMITE,DATANT,DUMMY,EMBORI,EMBQTD,
 QTDCOM,UNICOM,UNIVEN,VALCON,CODBUS,CODMUL,CUSFRE,ORD_CM,QTD_CM,
 VLR_CM,CODCFO,BASICM,VLRICM,OUTICM,ISEICM,VLRCMG,FREFIS,DATINC,
 TOT_CM,TOTCMG,SAL_CM,EXPORT,VLRIPI,COM_ATUCUS,ATUFRE,VLRDES,VLRITE,
 ICMTIP,REDITE,
 SIMPLE)
SELECT ICO.IPIFRE,ICO.CODFIL,ICO.SEQUEN,ICO.NUMITE,ICO.CODCOR,ICO.CODMAT,ICO.CODMOE,ICO.FILMAT,ICO.CODTAM,
       ICO.VLRMOV,ICO.TIPPRO,ICO.SITMOV,ICO.QTDMOV,ICO.LANEST,ICO.COM_DATOPE,ICO.CUSANT,ICO.CUSREP,ICO.VLRCAL,
       ICO.PERLUC,ICO.PREATU,ICO.PREANT,ICO.IPIITE,ICO.ICMITE,ICO.DATANT,ICO.DUMMY,ICO.EMBORI,ICO.EMBQTD,
       ICO.QTDCOM,ICO.UNICOM,ICO.UNIVEN,ICO.VALCON,ICO.CODBUS,ICO.CODMUL,ICO.CUSFRE,ICO.ORD_CM,ICO.QTD_CM,
       ICO.VLR_CM,ICO.CODCFO,ICO.BASICM,ICO.VLRICM,ICO.OUTICM,ICO.ISEICM,ICO.VLRCMG,ICO.FREFIS,ICO.DATINC,
       ICO.TOT_CM,ICO.TOTCMG,ICO.SAL_CM,ICO.EXPORT,ICO.VLRIPI,ICO.COM_ATUCUS,ICO.ATUFRE,ICO.VLRDES,ICO.VLRITE,
       ICO.ICMTIP,ICO.REDITE,
       CASE WHEN COALESCE(FIL.REGTRI,'N') = 'S' OR COALESCE(CLI.SIMPLE,'N') = 'S' THEN 'S' ELSE 'N' END AS SIMPLE
  FROM TOTALL_COM_71221 COM INNER JOIN TT_ICO ICO ON COM.CODFIL = ICO.CODFIL 
                                                 AND COM.SEQUEN = ICO.SEQUEN
                            INNER JOIN TD_FIL FIL ON FIL.CODFIL = ICO.CODFIL                          
                            INNER JOIN TT_CLI CLI ON CLI.FILCLI = COM.FILFOR 
                                                 AND CLI.CODCLI = COM.CODFOR
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TOTALL_ICO_71221 TICO
                    WHERE TICO.CODFIL = ICO.CODFIL
                      AND TICO.SEQUEN = ICO.SEQUEN
                      AND TICO.NUMITE = ICO.NUMITE)
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM2') = 0;

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE) CASCADE;

/*-- SEQ 0213 --*/
CREATE OR REPLACE FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE)
RETURNS Numeric AS '
DECLARE
pCODFIL ALIAS FOR $1 ;
pSEQUEN ALIAS FOR $2 ;
pNUMITE ALIAS FOR $3 ;

nDIF      Numeric(12,2);
nVALOR    Numeric(12,2);
nDIF_ST   Numeric(12,2);
nVALOR_ST Numeric(12,2);
nBASE_CALCULO_SEM_REDUCAO Numeric(12,2);
nBASE_CALCULO_REDUZIDA    Numeric(12,2);

cCHAVE VARCHAR(200);

vMAX_NUMITE    TT_ICO.NUMITE%TYPE;
vMAX_NUMITE_ST TT_ICO.NUMITE%TYPE;
nVLRMOV        TT_ICO.VLRMOV%TYPE;

vCOUNT_ICMTIP Numeric(5);

BEGIN
    SELECT COUNT(*)  
      INTO vCOUNT_ICMTIP
      FROM (SELECT DISTINCT ICMTIP
              FROM TOTALL_ICO_71221 
             WHERE CODFIL = pCODFIL
               AND SEQUEN = pSEQUEN) A;

    IF vCOUNT_ICMTIP > 1 THEN 
        SELECT MAX(NUMITE) 
          INTO vMAX_NUMITE
          FROM TOTALL_ICO_71221
         WHERE CODFIL = pCODFIL
           AND SEQUEN = pSEQUEN           
           AND ICMTIP = ''0'';
    ELSE
        SELECT MAX(NUMITE) 
          INTO vMAX_NUMITE
          FROM TOTALL_ICO_71221
         WHERE CODFIL = pCODFIL
           AND SEQUEN = pSEQUEN;
    END IF;

    SELECT COALESCE(MAX(NUMITE),0)
      INTO vMAX_NUMITE_ST
      FROM TOTALL_ICO_71221
     WHERE CODFIL = pCODFIL
       AND SEQUEN = pSEQUEN
       AND ICMTIP = ''3'';

    SELECT MIN(COM.VLRNOT + COALESCE(COM.OUTTAX,0) + COALESCE(COM.VLRFRE,0) + COALESCE(COM.DESCON,0) + COALESCE(COM.VLRBON,0))  
           - SUM(TRUNC((ICO.VLRMOV) +
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.DESCON/COM.VLRTOT)) +                                    
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.OUTTAX/COM.VLRTOT)) +    
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRFRE/COM.VLRTOT)) + 
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRBON/COM.VLRTOT)),2))
               AS DIF,           
           SUM(CASE WHEN ICO.NUMITE = pNumite 
                    THEN TRUNC((ICO.VLRMOV) + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.DESCON/COM.VLRTOT))
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.OUTTAX/COM.VLRTOT))
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRFRE/COM.VLRTOT)) 
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRBON/COM.VLRTOT)),2)
               END) AS RATEIO,
           MIN(COALESCE(COM.SUBSTT,0)) 
           - SUM(TRUNC(CASE WHEN (ICO.ICMTIP = ''3'') AND (COALESCE(COM.SUBSTT,0) > 0) AND (COALESCE(COM.TOTAL_SUBSTT,0) > 0) THEN ((ICO.VLRMOV+ICO.VLRIPI) * (COM.SUBSTT/COM.TOTAL_SUBSTT)) ELSE 0 END,2)) AS DIF_ST,           
           SUM(CASE WHEN ICO.NUMITE = pNumite 
                    THEN TRUNC(CASE WHEN (ICO.ICMTIP = ''3'') AND (COALESCE(COM.SUBSTT,0) > 0) AND (COALESCE(COM.TOTAL_SUBSTT,0) > 0) THEN ((ICO.VLRMOV+ICO.VLRIPI) * (COM.SUBSTT/COM.TOTAL_SUBSTT)) ELSE 0 END,2)
               END) AS RATEIO_ST 
           INTO nDIF, nVALOR, nDIF_ST, nVALOR_ST
      FROM TOTALL_COM_71221 COM INNER JOIN TOTALL_ICO_71221 ICO ON COM.CODFIL = ICO.CODFIL
                                                               AND COM.SEQUEN = ICO.SEQUEN
     WHERE COM.CODFIL = pCODFIL
       AND COM.SEQUEN = pSEQUEN;
   
    IF pNUMITE = vMAX_NUMITE THEN
       nVALOR := COALESCE(nVALOR,0)+COALESCE(nDIF,0);
    END IF;       

    IF pNUMITE = vMAX_NUMITE_ST THEN
       nVALOR_ST := COALESCE(nVALOR_ST,0)+COALESCE(nDIF_ST,0);
    END IF;
     
    nBASE_CALCULO_SEM_REDUCAO := nVALOR + nVALOR_ST;
    
    return nBASE_CALCULO_SEM_REDUCAO;

END;
' language 'plpgsql';



/*-- SEQ 0214 --*/
-- Tarefa 71221 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0215 --*/
-- Tarefa 71221 --
UPDATE TT_ICO
   SET BASICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN 0
                                   ELSE ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN 0
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END,0),
       OUTICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                                   ELSE TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) - ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END,0),
       ISEICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN 0
                              WHEN '3' THEN 0
                              WHEN '1' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '2' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '4' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                         END,0),
       VLRICM = COALESCE((CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN 0
                                   ELSE ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (COALESCE(REDITE,0) / 100),2)
                                   END 
                              WHEN '3' THEN 0
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END) * (COALESCE(ICMITE,0) / 100),0)
  WHERE (CODFIL, SEQUEN, NUMITE) IN (SELECT CODFIL, SEQUEN, NUMITE 
                                       FROM TOTALL_ICO_71221)
    AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM2') = 0;

/*-- SEQ 0216 --*/
-- Tarefa 71221 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0217 --*/
-- Tarefa 71221 --
DROP FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE) CASCADE;

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('CORR_BICM2', AGORA(), AGORA());


/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71056 --
SELECT * FROM NADA;

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa  71056 --
SELECT * FROM NADA;


/*-- SEQ 0221 --*/
-- Tarefa 71435 --
SELECT ExecAlteraTipoColuna('TD_IRE','REDCON','Numeric(7,4)');


/*-- SEQ 0222 --*/
-- Tarefa 71435 --
SELECT ExecAlteraTipoColuna('TW_TAB','REDCON','Numeric(7,4)');



/*-- SEQ 0223 --*/
-- Tarefa 71431 --
SELECT DISABLETRIGGERS(LOWER('TR_FIN'));

/*-- SEQ 0224 --*/
-- Tarefa 71431 --
UPDATE TR_FIN
   SET VLRCRT = VLRLAN
 WHERE VLRCRT IS NULL;

/*-- SEQ 0225 --*/
-- Tarefa 71431 --
SELECT ENABLETRIGGERS(LOWER('TR_FIN'));



/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION CalculaNATFIS (TT_IVE.CODFIL%TYPE,TT_IVE.SEQUEN%TYPE,TT_IVE.NUMITE%TYPE,TT_IVE.ICMTIP%TYPE,TT_IVE.FILMAT%TYPE,TT_IVE.CODMAT%TYPE) CASCADE;

/*-- SEQ 0227 --*/
CREATE OR REPLACE FUNCTION CalculaNATFIS (TT_IVE.CODFIL%TYPE,TT_IVE.SEQUEN%TYPE,TT_IVE.NUMITE%TYPE,TT_IVE.ICMTIP%TYPE,TT_IVE.FILMAT%TYPE,TT_IVE.CODMAT%TYPE)
RETURNS VARCHAR AS '
DECLARE
pCODFIL ALIAS FOR $1 ;
pSEQUEN ALIAS FOR $2 ;
pNUMITE ALIAS FOR $3 ;
pICMTIP ALIAS FOR $4 ;
pFILMAT ALIAS FOR $5 ;
pCODMAT ALIAS FOR $6 ;

  cNaturezaCalculada            CHAR(6) := ''000000'';
  cCfoCon                       CHAR(3) := NULL;
  cCfoRev                       CHAR(3) := NULL;
  vVENCON                       TD_CFP.VENCON%TYPE;
  --vVENCON_FOR                   TD_CFP.VENCON_FOR%TYPE;
  vVENREV                       TD_CFP.VENREV%TYPE;
  --vVENREV_FOR                   TD_CFP.VENREV_FOR%TYPE;
  vDEVCON                       TD_CFP.DEVCON%TYPE;
  --vDEVCON_FOR                   TD_CFP.DEVCON_FOR%TYPE;
  vDEVREV                       TD_CFP.DEVREV%TYPE;
  --vDEVREV_FOR                   TD_CFP.DEVREV_FOR%TYPE;
  vENTCON                       TD_CFP.ENTCON%TYPE;
  --vENTCON_FOR                   TD_CFP.ENTCON_FOR%TYPE;
  vENTREV                       TD_CFP.ENTREV%TYPE;
  --vENTREV_FOR                   TD_CFP.ENTREV_FOR%TYPE;
  vSAICON                       TD_CFP.SAICON%TYPE;
  --vSAICON_FOR                   TD_CFP.SAICON_FOR%TYPE;
  vSAIREV                       TD_CFP.SAIREV%TYPE;
  --vSAIREV_FOR                   TD_CFP.SAIREV_FOR%TYPE;
  vINTCON                       TD_CFP.INTCON%TYPE;
  --vINTCON_FOR                   TD_CFP.INTCON_FOR%TYPE;
  vINTREV                       TD_CFP.INTREV%TYPE;
  --vINTREV_FOR                   TD_CFP.INTREV_FOR%TYPE;
  vDVCCON                       TD_CFP.DVCCON%TYPE;
  --vDVCCON_FOR                   TD_CFP.DVCCON_FOR%TYPE;
  vDVCREV                       TD_CFP.DVCREV%TYPE;
  --vDVCREV_FOR                   TD_CFP.DVCREV_FOR%TYPE;
  bTemNaturezaPorProduto        BOOLEAN := TRUE;
  vUFLOJA                       TT_VEN.UFLOJA%TYPE;
  vNATDEN                       TD_NAT.NATDEN%TYPE;
  vNATFOR                       TD_NAT.NATFOR%TYPE;
  vSUBSTT                       TT_VEN.SUBSTT%TYPE;
  vTIPNAT                       TD_NAT.TIPNAT%TYPE;
  vISENTO                       TT_CLI.ISENTO%TYPE;
  vINSEST                       TT_CLI.INSEST%TYPE;
  vFLGTIP                       TT_CLI.FLGTIP%TYPE; 
  vTIPDOC                       TT_CLI.TIPDOC%TYPE;
  vISENTO_CHECKOUT              CHAR(1);
                                            
-- Rotina criada a partir da lgica do checkout
-- Calcula NATFIS dos itens de venda
  
BEGIN

  SELECT VEN.UFLOJA, NAT.NATDEN, NAT.NATFOR, COALESCE(VEN.SUBSTT,0) AS SUBSTT, NAT.TIPNAT, CLI.ISENTO, CLI.INSEST, CLI.FLGTIP, COALESCE(CLI.TIPDOC,'''') AS TIPDOC
    INTO vUFLOJA, vNATDEN, vNATFOR, vSUBSTT, vTIPNAT, vISENTO, vINSEST, vFLGTIP, vTIPDOC
    FROM TT_VEN VEN INNER JOIN TT_CLI CLI ON CLI.FILCLI = VEN.FILCLI 
                                         AND CLI.CODCLI = VEN.CODCLI
                    INNER JOIN TD_NAT NAT ON NAT.CODTAB = VEN.CODNAT
   WHERE VEN.CODFIL = pCODFIL
     AND VEN.SEQUEN = pSEQUEN;

  IF vUFLOJA = ''T'' THEN -- Dentro do estado
     IF pICMTIP = ''3'' THEN -- Substitudo
        IF SUBSTR(vNATDEN,1,4) = ''5102'' AND vSUBSTT <> 0 THEN
           cNaturezaCalculada := ''540300'';
        ELSIF SUBSTR(vNATDEN,1,4) = ''5102'' AND vSUBSTT = 0 THEN
           cNaturezaCalculada := ''540500'';
        ELSIF SUBSTR(vNATDEN,1,4) = ''1202'' THEN
           cNaturezaCalculada := ''141100'';
        ELSIF SUBSTR(vNATDEN,1,4) = ''2202'' THEN
           cNaturezaCalculada := ''241100'';
        ELSIF SUBSTR(vNATDEN,1,4) = ''5152'' THEN
           cNaturezaCalculada := ''540900'';
        ELSE
           cNaturezaCalculada := vNATDEN;
        END IF;
     ELSIF pICMTIP = ''0'' THEN -- Tributado
        IF SUBSTR(vNATDEN,1,4) IN (''5403'',''5405'') THEN
           cNaturezaCalculada := ''510200'';
        ELSIF SUBSTR(vNATDEN,1,4) = ''1411'' THEN
           cNaturezaCalculada := ''120200'';
        ELSIF SUBSTR(vNATDEN,1,4) = ''2411'' THEN
           cNaturezaCalculada := ''220200'';
        ELSIF SUBSTR(vNATDEN,1,4) = ''5409'' THEN
           cNaturezaCalculada := ''515200'';
        ELSE
           cNaturezaCalculada := vNATDEN;
        END IF;
     ELSE
        cNaturezaCalculada := vNATDEN;
     END IF;
  ELSE 
     IF pICMTIP = ''3'' THEN -- Substitudo
        IF SUBSTR(vNATFOR,1,4) = ''6102'' AND vSUBSTT <> 0 THEN
           cNaturezaCalculada := ''640300'';
        ELSIF SUBSTR(vNATFOR,1,4) = ''6102'' AND vSUBSTT = 0 THEN
           cNaturezaCalculada := ''640400'';
        ELSE
           cNaturezaCalculada := vNATFOR;
        END IF;
     ELSIF pICMTIP = ''0'' THEN -- Tributado
        IF SUBSTR(vNATFOR,1,4) IN (''6403'',''6405'') THEN
           cNaturezaCalculada := ''610200'';
        ELSE
           cNaturezaCalculada := vNATFOR;
        END IF;
     ELSE
        cNaturezaCalculada := vNATFOR;
     END IF;
  END IF;

  BEGIN
     SELECT CFP.VENCON, CFP.VENREV, CFP.DEVCON, CFP.DEVREV, 
            CFP.ENTCON, CFP.ENTREV, CFP.SAICON, CFP.SAIREV, 
            CFP.INTCON, CFP.INTREV, CFP.DVCCON, CFP.DVCREV 
            --CFP.VENCON_FOR, CFP.VENREV_FOR, CFP.DEVCON_FOR, CFP.DEVREV_FOR,
            --CFP.ENTCON_FOR, CFP.ENTREV_FOR, CFP.SAICON_FOR, CFP.SAIREV_FOR,
            --CFP.INTCON_FOR, CFP.INTREV_FOR, CFP.DVCCON_FOR, CFP.DVCREV_FOR
       INTO vVENCON, vVENREV, vDEVCON, vDEVREV, 
            vENTCON, vENTREV, vSAICON, vSAIREV, 
            vINTCON, vINTREV, vDVCCON, vDVCREV 
            --vVENCON_FOR, vVENREV_FOR, vDEVCON_FOR, vDEVREV_FOR,
            --vENTCON_FOR, vENTREV_FOR, vSAICON_FOR, vSAIREV_FOR,
            --vINTCON_FOR, vINTREV_FOR, vDVCCON_FOR, vDVCREV_FOR
       FROM TT_IUF IUF INNER JOIN TD_CFP CFP ON CFP.CODTAB = IUF.CODCFP
                       INNER JOIN TD_FIL FIL ON FIL.CODFIL = pCODFIL 
      WHERE IUF.FILMAT = pFILMAT
        AND IUF.CODMAT = pCODMAT
        AND IUF.ESTADO = FIL.UFLOJA
        AND IUF.REGESP = FIL.REGESP;
                  
  IF NOT FOUND THEN 
     bTemNaturezaPorProduto := FALSE; 
  END IF;   
    END;

  IF bTemNaturezaPorProduto THEN
     IF vTIPNAT = ''V'' THEN -- Vendas
        cCfoCon := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vVENCON /*ELSE vVENCON_FOR END*/;
        cCfoRev := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vVENREV /*ELSE vVENREV_FOR END*/;
        -- No existe as naturezas 5404 e 6405
        IF vUFLOJA = ''T'' THEN
           cCfoCon := CASE WHEN cCfoCon = ''404'' THEN ''405'' ELSE cCfoCon END;
           cCfoRev := CASE WHEN cCfoRev = ''404'' THEN ''405'' ELSE cCfoCon END;
        ELSE
           cCfoCon := CASE WHEN cCfoCon = ''405'' THEN ''404'' ELSE cCfoCon END;
           cCfoRev := CASE WHEN cCfoRev = ''405'' THEN ''404'' ELSE cCfoCon END;
        END IF;
     ELSIF vTIPNAT = ''D'' THEN -- Devoluo de venda
        cCfoCon := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vDEVCON /*ELSE vDEVCON_FOR END*/;
        cCfoRev := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vDEVREV /*ELSE vDEVREV_FOR END*/;
     ELSIF vTIPNAT = ''E'' THEN -- Entrada via transferencia
        cCfoCon := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vENTCON /*ELSE vENTCON_FOR END*/;
        cCfoRev := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vENTREV /*ELSE vENTREV_FOR END*/;
     ELSIF vTIPNAT = ''S'' THEN -- Sada via transferncia
        cCfoCon := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vSAICON /*ELSE vSAICON_FOR END*/;
        cCfoRev := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vSAIREV /*ELSE vSAIREV_FOR END*/;
     ELSIF vTIPNAT = ''C'' THEN -- Consumo interno
        cCfoCon := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vINTCON /*ELSE vINTCON_FOR END*/;
        cCfoRev := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vINTREV /*ELSE vINTREV_FOR END*/;
     ELSIF vTIPNAT = ''M'' THEN -- Devoluo de compra
        cCfoCon := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vDVCCON /*ELSE vDVCCON_FOR END*/;
        cCfoRev := /*CASE WHEN vUFLOJA = ''T'' THEN*/ vDVCREV /*ELSE vDVCREV_FOR END*/;
     END IF;
     IF (vFLGTIP = 0 AND (vTIPDOC <> ''IE'' OR vISENTO = ''T'' OR vINSEST = ''ISENTO'')) -- Pessoa fsica
     OR (vFLGTIP = 2) -- Entidade
     OR (vFLGTIP > 0 AND (vISENTO = ''T'' OR vINSEST = ''ISENTO'')) -- Pessoa no-fsicas
     THEN 
        vISENTO_CHECKOUT := ''T'';
     ELSE
        vISENTO_CHECKOUT := ''F'';
     END IF;
     IF ISNOTNULL(cCfoCon) = ''T'' AND (vISENTO_CHECKOUT = ''T'' OR vISENTO = ''T'' OR vINSEST = ''ISENTO'') THEN
        cNaturezaCalculada := SUBSTR(cNaturezaCalculada,1,1)||cCfoCon||SUBSTR(cNaturezaCalculada,5,2);
     ELSIF ISNOTNULL(cCfoRev) = ''T'' AND vISENTO = ''F'' THEN
        cNaturezaCalculada := SUBSTR(cNaturezaCalculada,1,1)||cCfoRev||SUBSTR(cNaturezaCalculada,5,2);
     END IF;
  END IF;  
  
  RETURN RPAD(TRIM(cNaturezaCalculada),6,''0'');
END;
' language 'plpgsql';



/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71605 --
CREATE TABLE TOTALL_BK_IVE_NATFIS AS
SELECT CODFIL, SEQUEN, NUMITE
  FROM TT_IVE
 WHERE NATFIS LIKE '%F%';

/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71605 --
CREATE INDEX I_LC_TOTALL_BK_IVE_NATFIS ON TOTALL_BK_IVE_NATFIS (CODFIL, SEQUEN, NUMITE)  ;

/*-- SEQ 0230 --*/
-- Tarefa 71605 --
INSERT INTO TOTALL_BK_IVE_NATFIS
(CODFIL, SEQUEN, NUMITE)
SELECT IVE.CODFIL, IVE.SEQUEN, IVE.NUMITE
  FROM TT_IVE IVE
 WHERE IVE.NATFIS LIKE '%F%'
   AND NOT EXISTS (SELECT 1
                     FROM TOTALL_BK_IVE_NATFIS BAK
                    WHERE BAK.CODFIL = IVE.CODFIL
                      AND BAK.SEQUEN = IVE.SEQUEN
                      AND BAK.NUMITE = IVE.NUMITE);

/*-- SEQ 0231 --*/
-- Tarefa 71605 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0232 --*/
-- Tarefa 71605 --
UPDATE TT_IVE
   SET NATFIS = CalculaNATFIS(CODFIL,SEQUEN,NUMITE,ICMTIP,FILMAT,CODMAT)
 WHERE NATFIS LIKE '%F%';

/*-- SEQ 0233 --*/
-- Tarefa 71605 --
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71605 --
DROP FUNCTION CalculaNATFIS (TT_IVE.CODFIL%TYPE,TT_IVE.SEQUEN%TYPE,TT_IVE.NUMITE%TYPE,TT_IVE.ICMTIP%TYPE,TT_IVE.FILMAT%TYPE,TT_IVE.CODMAT%TYPE) CASCADE;


/*-- SEQ 0235 --*/
-- Tarefa 71605 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0236 --*/
-- Tarefa 71605 --
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '4.7h',
       CHECKOUT_RELMIN = 26;

/*-- SEQ 0237 --*/
-- Tarefa 71605 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));



/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION MaiorData_TT_DAT () CASCADE;

/*-- SEQ 0239 --*/
CREATE OR REPLACE FUNCTION MaiorData_TT_DAT ()
RETURNS Timestamp AS '
DECLARE

-- Tarefa 71056 --
  vMaiorData Timestamp;
  vDummy Numeric;
BEGIN
  SELECT MAX(DATOPE) INTO vMaiorData FROM TT_DAT;

  -- Verifica se a data (DATOPE)  menor que 01/01/2060 e chama a funo: Adiciona_TT_DAT.
  IF vMaiorData < TO_DATE(''01/01/2060'',''dd/mm/yyyy'') THEN
      vDummy := Adiciona_TT_DAT(vMaiorData, TO_DATE(''01/01/2060'',''dd/mm/yyyy''));
  END IF;

  RETURN NULL;

END;
' language 'plpgsql';



/*-- SEQ 0240 --*/
-- Tarefa 71056 --
select MaiorData_TT_DAT() from dual;


/*-- SEQ 0241 --*/
--Tarefa 71056 --
DROP FUNCTION MaiorData_TT_DAT () CASCADE;


/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
SELECT * FROM NADA;

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
SELECT * FROM NADA;

/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
SELECT * FROM NADA;

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
SELECT * FROM NADA;

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
SELECT * FROM NADA;

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
SELECT * FROM NADA;

/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
SELECT * FROM NADA;


/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
ALTER TABLE TOTALL_ICO_71221 ADD COM_VLRNOT Numeric(12,2) DEFAULT 0;

/*-- SEQ 0250 --*/
-- Tarefa 71221 --
UPDATE TOTALL_ICO_71221
   SET COM_VLRNOT = (SELECT COALESCE(COM.VLRNOT,0)
                       FROM TOTALL_COM_71221 COM
                      WHERE COM.CODFIL = TOTALL_ICO_71221.CODFIL
                        AND COM.SEQUEN = TOTALL_ICO_71221.SEQUEN)
 WHERE COM_VLRNOT = 0;

/*-- SEQ 0251 --*/
-- Tarefa 71221 --
INSERT INTO TOTALL_COM_71221
(CODDOP,FILAGC,SEQAGC,FILCTA,SEQCTA,TIPCTA,VLRBON,UFNOTA,NUMVOL,
 FILEND,NUMEND,OBSFAT,VLRRET,ICMFRE,TIPTRP,SEQFRE,RETCOF,CODCFO,
 ATUCUS,EXPORT,VLRFRE,BASFRE,PERFRE,PERIRR,PERISS,PERINS,PERCSS,
 PERICM,VLRIRR,VLRISS,VLRINS,VLRCSS,VLRICM,FLGINS,FLGCSS,FLGPIS,
 FLGCOF,ISEICM,OUTICM,TIPEMP,POREMP,FILFRE,BASSUB,MOTREJ,VLRNOT,
 VLRIPI,RETIRR,RETCSS,VLRPIS,VLRCOF,FLGICM,FLGISS,OUTDES,DESPAR,
 DUMMY, CODFIL,SEQUEN,ATU_EM,CODUSU,DATCMP,DESCON,DATOPE,VLRTOT,
 VLRLIQ,TIPPAR,TIPNOT,SIGNAT,MOEJUR,INTPMU,INTPJU,INCOJU,FLGEST,
 FILUSU,FILFOR,CODSET,QTDTOT,OUTTAX,NUMNOT,CODFOR,CODMOE,CODSER,
 NOTESP,SEQCAN,SUBSER,SEQFAT,VLTXJU,VLTXMU,SUBSTT,CONPGT,OBSERV,
 ESPDOC,
 TOTAL_SUBSTT)
SELECT COM.CODDOP,COM.FILAGC,COM.SEQAGC,COM.FILCTA,COM.SEQCTA,COM.TIPCTA,COM.VLRBON,COM.UFNOTA,COM.NUMVOL,
       COM.FILEND,COM.NUMEND,COM.OBSFAT,COM.VLRRET,COM.ICMFRE,COM.TIPTRP,COM.SEQFRE,COM.RETCOF,COM.CODCFO,
       COM.ATUCUS,COM.EXPORT,COM.VLRFRE,COM.BASFRE,COM.PERFRE,COM.PERIRR,COM.PERISS,COM.PERINS,COM.PERCSS,
       COM.PERICM,COM.VLRIRR,COM.VLRISS,COM.VLRINS,COM.VLRCSS,COM.VLRICM,COM.FLGINS,COM.FLGCSS,COM.FLGPIS,
       COM.FLGCOF,COM.ISEICM,COM.OUTICM,COM.TIPEMP,COM.POREMP,COM.FILFRE,COM.BASSUB,COM.MOTREJ,COM.VLRNOT,
       COM.VLRIPI,COM.RETIRR,COM.RETCSS,COM.VLRPIS,COM.VLRCOF,COM.FLGICM,COM.FLGISS,COM.OUTDES,COM.DESPAR,
       COM.DUMMY,COM.CODFIL,COM.SEQUEN,COM.ATU_EM,COM.CODUSU,COM.DATCMP,COM.DESCON,COM.DATOPE,COM.VLRTOT,
       COM.VLRLIQ,COM.TIPPAR,COM.TIPNOT,COM.SIGNAT,COM.MOEJUR,COM.INTPMU,COM.INTPJU,COM.INCOJU,COM.FLGEST,
       COM.FILUSU,COM.FILFOR,COM.CODSET,COM.QTDTOT,COM.OUTTAX,COM.NUMNOT,COM.CODFOR,COM.CODMOE,COM.CODSER,
       COM.NOTESP,COM.SEQCAN,COM.SUBSER,COM.SEQFAT,COM.VLTXJU,COM.VLTXMU,COM.SUBSTT,COM.CONPGT,COM.OBSERV,
       COM.ESPDOC, 
       COALESCE((SELECT SUM(VLRMOV)
                   FROM TT_ICO ICO
                  WHERE COM.CODFIL = ICO.CODFIL
                    AND COM.SEQUEN = ICO.SEQUEN
                    AND ICO.ICMTIP = '3'),0) AS TOTAL_SUBSTT
  FROM TT_COM COM
 WHERE COM.DATCMP BETWEEN TO_DATE('01/01/2009','DD/MM/YYYY') AND Agora()
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TOTALL_COM_71221 TCOM
                    WHERE TCOM.CODFIL = COM.CODFIL
                      AND TCOM.SEQUEN = COM.SEQUEN)
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM3') = 0;

/*-- SEQ 0252 --*/
-- Tarefa 71221 --
INSERT INTO TOTALL_ICO_71221
(IPIFRE,CODFIL,SEQUEN,NUMITE,CODCOR,CODMAT,CODMOE,FILMAT,CODTAM,
 VLRMOV,TIPPRO,SITMOV,QTDMOV,LANEST,COM_DATOPE,CUSANT,CUSREP,VLRCAL,
 PERLUC,PREATU,PREANT,IPIITE,ICMITE,DATANT,DUMMY,EMBORI,EMBQTD,
 QTDCOM,UNICOM,UNIVEN,VALCON,CODBUS,CODMUL,CUSFRE,ORD_CM,QTD_CM,
 VLR_CM,CODCFO,BASICM,VLRICM,OUTICM,ISEICM,VLRCMG,FREFIS,DATINC,
 TOT_CM,TOTCMG,SAL_CM,EXPORT,VLRIPI,COM_ATUCUS,ATUFRE,VLRDES,VLRITE,
 ICMTIP,REDITE,SIMPLE,COM_VLRNOT)
SELECT ICO.IPIFRE,ICO.CODFIL,ICO.SEQUEN,ICO.NUMITE,ICO.CODCOR,ICO.CODMAT,ICO.CODMOE,ICO.FILMAT,ICO.CODTAM,
       ICO.VLRMOV,ICO.TIPPRO,ICO.SITMOV,ICO.QTDMOV,ICO.LANEST,ICO.COM_DATOPE,ICO.CUSANT,ICO.CUSREP,ICO.VLRCAL,
       ICO.PERLUC,ICO.PREATU,ICO.PREANT,ICO.IPIITE,ICO.ICMITE,ICO.DATANT,ICO.DUMMY,ICO.EMBORI,ICO.EMBQTD,
       ICO.QTDCOM,ICO.UNICOM,ICO.UNIVEN,ICO.VALCON,ICO.CODBUS,ICO.CODMUL,ICO.CUSFRE,ICO.ORD_CM,ICO.QTD_CM,
       ICO.VLR_CM,ICO.CODCFO,ICO.BASICM,ICO.VLRICM,ICO.OUTICM,ICO.ISEICM,ICO.VLRCMG,ICO.FREFIS,ICO.DATINC,
       ICO.TOT_CM,ICO.TOTCMG,ICO.SAL_CM,ICO.EXPORT,ICO.VLRIPI,ICO.COM_ATUCUS,ICO.ATUFRE,ICO.VLRDES,ICO.VLRITE,
       ICO.ICMTIP,ICO.REDITE,
       CASE WHEN COALESCE(FIL.REGTRI,'N') = 'S' OR COALESCE(CLI.SIMPLE,'N') = 'S' THEN 'S' ELSE 'N' END AS SIMPLE,
       COALESCE(COM.VLRNOT,0) AS COM_VLRNOT
  FROM TOTALL_COM_71221 COM INNER JOIN TT_ICO ICO ON COM.CODFIL = ICO.CODFIL 
                                                 AND COM.SEQUEN = ICO.SEQUEN
                            INNER JOIN TD_FIL FIL ON FIL.CODFIL = ICO.CODFIL                          
                            INNER JOIN TT_CLI CLI ON CLI.FILCLI = COM.FILFOR 
                                                 AND CLI.CODCLI = COM.CODFOR
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TOTALL_ICO_71221 TICO
                    WHERE TICO.CODFIL = ICO.CODFIL
                      AND TICO.SEQUEN = ICO.SEQUEN
                      AND TICO.NUMITE = ICO.NUMITE)
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM3') = 0;

/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE) CASCADE;

/*-- SEQ 0254 --*/
CREATE OR REPLACE FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE)
RETURNS Numeric AS '
DECLARE
pCODFIL ALIAS FOR $1 ;
pSEQUEN ALIAS FOR $2 ;
pNUMITE ALIAS FOR $3 ;

nDIF      Numeric(12,2);
nVALOR    Numeric(12,2);
nDIF_ST   Numeric(12,2);
nVALOR_ST Numeric(12,2);
nBASE_CALCULO_SEM_REDUCAO Numeric(12,2);
nBASE_CALCULO_REDUZIDA    Numeric(12,2);

cCHAVE VARCHAR(200);

vMAX_NUMITE    TT_ICO.NUMITE%TYPE;
vMAX_NUMITE_ST TT_ICO.NUMITE%TYPE;
nVLRMOV        TT_ICO.VLRMOV%TYPE;

vCOUNT_ICMTIP Numeric(5);

BEGIN
    SELECT COUNT(*)  
      INTO vCOUNT_ICMTIP
      FROM (SELECT DISTINCT ICMTIP
              FROM TOTALL_ICO_71221 
             WHERE CODFIL = pCODFIL
               AND SEQUEN = pSEQUEN) A;

    IF vCOUNT_ICMTIP > 1 THEN 
        SELECT MAX(NUMITE) 
          INTO vMAX_NUMITE
          FROM TOTALL_ICO_71221
         WHERE CODFIL = pCODFIL
           AND SEQUEN = pSEQUEN           
           AND ICMTIP = ''0'';
    ELSE
        SELECT MAX(NUMITE) 
          INTO vMAX_NUMITE
          FROM TOTALL_ICO_71221
         WHERE CODFIL = pCODFIL
           AND SEQUEN = pSEQUEN;
    END IF;

    SELECT COALESCE(MAX(NUMITE),0)
      INTO vMAX_NUMITE_ST
      FROM TOTALL_ICO_71221
     WHERE CODFIL = pCODFIL
       AND SEQUEN = pSEQUEN
       AND ICMTIP = ''3'';

    SELECT MIN(COALESCE(COM.VLRNOT,0) + COALESCE(COM.OUTTAX,0) + COALESCE(COM.VLRFRE,0) + COALESCE(COM.DESCON,0) + COALESCE(COM.VLRBON,0))  
           - SUM(TRUNC((ICO.VLRMOV) +
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.DESCON/COM.VLRTOT)) +                                    
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.OUTTAX/COM.VLRTOT)) +    
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRFRE/COM.VLRTOT)) + 
                       ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRBON/COM.VLRTOT)),2))
               AS DIF,           
           SUM(CASE WHEN ICO.NUMITE = pNumite 
                    THEN TRUNC((ICO.VLRMOV) + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.DESCON/COM.VLRTOT))
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.OUTTAX/COM.VLRTOT))
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRFRE/COM.VLRTOT)) 
                                            + ((ICO.VLRMOV+ICO.VLRIPI) * (COM.VLRBON/COM.VLRTOT)),2)
               END) AS RATEIO,
           MIN(COALESCE(COM.SUBSTT,0)) 
           - SUM(TRUNC(CASE WHEN (ICO.ICMTIP = ''3'') AND (COALESCE(COM.SUBSTT,0) > 0) AND (COALESCE(COM.TOTAL_SUBSTT,0) > 0) THEN ((ICO.VLRMOV+ICO.VLRIPI) * (COM.SUBSTT/COM.TOTAL_SUBSTT)) ELSE 0 END,2)) AS DIF_ST,           
           SUM(CASE WHEN ICO.NUMITE = pNumite 
                    THEN TRUNC(CASE WHEN (ICO.ICMTIP = ''3'') AND (COALESCE(COM.SUBSTT,0) > 0) AND (COALESCE(COM.TOTAL_SUBSTT,0) > 0) THEN ((ICO.VLRMOV+ICO.VLRIPI) * (COM.SUBSTT/COM.TOTAL_SUBSTT)) ELSE 0 END,2)
               END) AS RATEIO_ST 
           INTO nDIF, nVALOR, nDIF_ST, nVALOR_ST
      FROM TOTALL_COM_71221 COM INNER JOIN TOTALL_ICO_71221 ICO ON COM.CODFIL = ICO.CODFIL
                                                               AND COM.SEQUEN = ICO.SEQUEN
     WHERE COM.CODFIL = pCODFIL
       AND COM.SEQUEN = pSEQUEN;
   
    IF pNUMITE = vMAX_NUMITE THEN
       nVALOR := COALESCE(nVALOR,0)+COALESCE(nDIF,0);
    END IF;       

    IF pNUMITE = vMAX_NUMITE_ST THEN
       nVALOR_ST := COALESCE(nVALOR_ST,0)+COALESCE(nDIF_ST,0);
    END IF;
     
    nBASE_CALCULO_SEM_REDUCAO := nVALOR + nVALOR_ST;
    
    return nBASE_CALCULO_SEM_REDUCAO;

END;
' language 'plpgsql';



/*-- SEQ 0255 --*/
-- Tarefa 71221 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0256 --*/
-- Tarefa 71221 --
UPDATE TT_ICO
   SET BASICM = (SELECT ICO.BASICM 
                   FROM TOTALL_ICO_71221 ICO 
                  WHERE ICO.CODFIL = TT_ICO.CODFIL
                    AND ICO.SEQUEN = TT_ICO.SEQUEN
                    AND ICO.NUMITE = TT_ICO.NUMITE),
       OUTICM = (SELECT ICO.OUTICM 
                   FROM TOTALL_ICO_71221 ICO 
                  WHERE ICO.CODFIL = TT_ICO.CODFIL
                    AND ICO.SEQUEN = TT_ICO.SEQUEN
                    AND ICO.NUMITE = TT_ICO.NUMITE),
       ISEICM = (SELECT ICO.ISEICM 
                   FROM TOTALL_ICO_71221 ICO 
                  WHERE ICO.CODFIL = TT_ICO.CODFIL
                    AND ICO.SEQUEN = TT_ICO.SEQUEN
                    AND ICO.NUMITE = TT_ICO.NUMITE),
       VLRICM = (SELECT ICO.VLRICM
                   FROM TOTALL_ICO_71221 ICO 
                  WHERE ICO.CODFIL = TT_ICO.CODFIL
                    AND ICO.SEQUEN = TT_ICO.SEQUEN
                    AND ICO.NUMITE = TT_ICO.NUMITE)
  WHERE (CODFIL, SEQUEN, NUMITE) IN (SELECT CODFIL, SEQUEN, NUMITE 
                                       FROM TOTALL_ICO_71221
                                      WHERE COM_VLRNOT = 0)
    AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM3') = 0;

/*-- SEQ 0257 --*/
-- Tarefa 71221 --
UPDATE TT_ICO
   SET BASICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN 0
                                   ELSE ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * (1-(COALESCE(REDITE,0)/100)),2)
                                   END 
                              WHEN '3' THEN 0
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END,0),
       OUTICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                                   ELSE TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) - ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * ((100-COALESCE(REDITE,0)) / 100),2)
                                   END 
                              WHEN '3' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END,0),
       ISEICM = COALESCE(CASE ICMTIP 
                              WHEN '0' THEN 0
                              WHEN '3' THEN 0
                              WHEN '1' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '2' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                              WHEN '4' THEN TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE)
                         END,0),
       VLRICM = COALESCE((CASE ICMTIP 
                              WHEN '0' THEN
                                   CASE WHEN (SELECT ICO.SIMPLE 
                                                FROM TOTALL_ICO_71221 ICO 
                                               WHERE ICO.CODFIL = TT_ICO.CODFIL
                                                 AND ICO.SEQUEN = TT_ICO.SEQUEN
                                                 AND ICO.NUMITE = TT_ICO.NUMITE) = 'S' THEN 0
                                   ELSE ROUND(TOTALL_RATEIO_VALORES_COMPRA(CODFIL, SEQUEN, NUMITE) * ((100-COALESCE(REDITE,0)) / 100),2)
                                   END 
                              WHEN '3' THEN 0
                              WHEN '1' THEN 0
                              WHEN '2' THEN 0
                              WHEN '4' THEN 0
                         END) * (COALESCE(ICMITE,0) / 100),0)
  WHERE (CODFIL, SEQUEN, NUMITE) IN (SELECT CODFIL, SEQUEN, NUMITE 
                                       FROM TOTALL_ICO_71221
                                      WHERE COM_VLRNOT > 0)
    AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM3') = 0;

/*-- SEQ 0258 --*/
-- Tarefa 71221 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
DROP FUNCTION TOTALL_RATEIO_VALORES_COMPRA (TT_ICO.CODFIL%TYPE,TT_ICO.SEQUEN%TYPE,TT_ICO.NUMITE%TYPE) CASCADE;

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71221 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('CORR_BICM3', AGORA(), AGORA());




/*-- SEQ 0261 --*/
-- Tarefa 71808 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0262 --*/
-- Tarefa 71808 --
UPDATE TT_ICO
   SET OUTICM = OUTICM + CASE WHEN ICMTIP IN ('0','3') THEN VLRIPI + COALESCE(IPIFRE,0) ELSE 0 END,
       ISEICM = ISEICM + CASE WHEN ICMTIP IN ('1','2','4') THEN VLRIPI + COALESCE(IPIFRE,0) ELSE 0 END
 WHERE (CODFIL, SEQUEN, NUMITE) IN (SELECT CODFIL, SEQUEN, NUMITE 
                                      FROM TOTALL_ICO_71221
                                     WHERE VLRIPI + COALESCE(IPIFRE,0) > 0)
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_BICM4') = 0;

/*-- SEQ 0263 --*/
-- Tarefa 71808 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 71808 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('CORR_BICM4', AGORA(), AGORA());


/*-- SEQ 0265 --*/
-- Tarefa 72841 --
SELECT DISABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0266 --*/
-- Tarefa 72841 --
UPDATE TT_PRE
   SET CODMOE = 0
 WHERE CODMOE IS NULL;

/*-- SEQ 0267 --*/
-- Tarefa 72841 --
SELECT ENABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0268 --*/
-- Tarefa 72841 --
ALTER TABLE TT_PRE ALTER COLUMN CODMOE SET DEFAULT 0;

/*-- SEQ 0269 --*/
-- Tarefa 72841 --
ALTER TABLE TT_PRE ALTER COLUMN CODMOE SET NOT NULL;


/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TEMP_FN_INSERT_TL_FIN_73215 () CASCADE;

/*-- SEQ 0271 --*/
CREATE OR REPLACE FUNCTION TEMP_FN_INSERT_TL_FIN_73215 ()
RETURNS VARCHAR AS '
DECLARE


  iQtdUid INTEGER;
  iQtdFun INTEGER;

BEGIN

    SELECT COUNT(*) INTO iQtdUid
      FROM TT_UID
     WHERE VERSIS IN (''4.5a-R8'',''4.4H-R24'');

    SELECT COUNT(*) INTO iQtdFun
      FROM TT_FUN
     WHERE NOMFUN = ''CORR_FIN'';

    IF iQtdUid > 0 AND iQtdFun = 0 THEN
      INSERT INTO TL_FIN (ORIGEM,FILORI,SEQORI,PARORI,SUBORI,FLGEST,DATINC)
      (
      SELECT DISTINCT FIN.ORIGEM,
             FIN.CODFIL,
             FIN.SEQUEN,
             FIN.NUMPAR,
             FIN.SUBPAR, 
             ''N'', 
             AGORA()
        FROM TV_RFIN_CCC FIN LEFT JOIN TR_FIN RFIN ON FIN.CODFIL = RFIN.CODFIL 
                                                  AND FIN.SEQUEN = RFIN.SEQUEN 
                                                  AND FIN.NUMPAR = RFIN.NUMPAR 
                                                  AND FIN.SUBPAR = RFIN.SUBPAR 
                                                  AND FIN.ORIGEM = RFIN.ORIGEM
       WHERE RFIN.CODFIL IS NULL
         AND FIN.DATLAN > TO_DATE(''01/01/2006'',''DD/MM/YYYY'')
         AND FIN.VLRLAN <> 0
         AND FIN.TIPLAN <> ''NAO''
      UNION ALL
      SELECT DISTINCT FIN.ORIGEM,
             FIN.CODFIL,
             FIN.SEQUEN,
             FIN.NUMPAR,
             FIN.SUBPAR, 
             ''N'', 
             AGORA()
        FROM TV_RFIN_CHR FIN LEFT JOIN TR_FIN RFIN ON FIN.CODFIL = RFIN.CODFIL 
                                                  AND FIN.SEQUEN = RFIN.SEQUEN 
                                                  AND FIN.NUMPAR = RFIN.NUMPAR 
                                                  AND FIN.SUBPAR = RFIN.SUBPAR 
                                                  AND FIN.ORIGEM = RFIN.ORIGEM
       WHERE RFIN.CODFIL IS NULL
         AND FIN.DATLAN > TO_DATE(''01/01/2006'',''DD/MM/YYYY'')
         AND FIN.VLRLAN <> 0
         AND FIN.TIPLAN <> ''NAO''
      UNION ALL
      SELECT DISTINCT FIN.ORIGEM,
             FIN.CODFIL,
             FIN.SEQUEN,
             FIN.NUMPAR,
             FIN.SUBPAR, 
             ''N'', 
             AGORA()
        FROM TV_RFIN_COM FIN LEFT JOIN TR_FIN RFIN ON FIN.CODFIL = RFIN.CODFIL 
                                                  AND FIN.SEQUEN = RFIN.SEQUEN 
                                                  AND FIN.NUMPAR = RFIN.NUMPAR 
                                                  AND FIN.SUBPAR = RFIN.SUBPAR 
                                                  AND FIN.ORIGEM = RFIN.ORIGEM
       WHERE RFIN.CODFIL IS NULL
         AND FIN.DATLAN > TO_DATE(''01/01/2006'',''DD/MM/YYYY'')
         AND FIN.VLRLAN <> 0
         AND FIN.TIPLAN <> ''NAO''
      UNION ALL
      SELECT DISTINCT FIN.ORIGEM,
             FIN.CODFIL,
             FIN.SEQUEN,
             FIN.NUMPAR,
             FIN.SUBPAR, 
             ''N'', 
             AGORA()
        FROM TV_RFIN_DOP FIN LEFT JOIN TR_FIN RFIN ON FIN.CODFIL = RFIN.CODFIL 
                                                  AND FIN.SEQUEN = RFIN.SEQUEN 
                                                  AND FIN.NUMPAR = RFIN.NUMPAR 
                                                  AND FIN.SUBPAR = RFIN.SUBPAR 
                                                  AND FIN.ORIGEM = RFIN.ORIGEM
       WHERE RFIN.CODFIL IS NULL
         AND FIN.DATLAN > TO_DATE(''01/01/2006'',''DD/MM/YYYY'')
         AND FIN.VLRLAN <> 0
         AND FIN.TIPLAN <> ''NAO''
      UNION ALL
      SELECT DISTINCT FIN.ORIGEM,
             FIN.CODFIL,
             FIN.SEQUEN,
             FIN.NUMPAR,
             FIN.SUBPAR, 
             ''N'', 
             AGORA()
        FROM TV_RFIN_FIN FIN LEFT JOIN TR_FIN RFIN ON FIN.CODFIL = RFIN.CODFIL 
                                                  AND FIN.SEQUEN = RFIN.SEQUEN 
                                                  AND FIN.NUMPAR = RFIN.NUMPAR 
                                                  AND FIN.SUBPAR = RFIN.SUBPAR 
                                                  AND FIN.ORIGEM = RFIN.ORIGEM
       WHERE RFIN.CODFIL IS NULL
         AND FIN.DATLAN > TO_DATE(''01/01/2006'',''DD/MM/YYYY'')
         AND FIN.VLRLAN <> 0
         AND FIN.TIPLAN <> ''NAO''
      UNION ALL
      SELECT DISTINCT FIN.ORIGEM,
             FIN.CODFIL,
             FIN.SEQUEN,
             FIN.NUMPAR,
             FIN.SUBPAR, 
             ''N'', 
             AGORA()
        FROM TV_RFIN_PTR FIN LEFT JOIN TR_FIN RFIN ON FIN.CODFIL = RFIN.CODFIL 
                                                  AND FIN.SEQUEN = RFIN.SEQUEN 
                                                  AND FIN.NUMPAR = RFIN.NUMPAR 
                                                  AND FIN.SUBPAR = RFIN.SUBPAR 
                                                  AND FIN.ORIGEM = RFIN.ORIGEM
       WHERE RFIN.CODFIL IS NULL
         AND FIN.DATLAN > TO_DATE(''01/01/2006'',''DD/MM/YYYY'')
         AND FIN.VLRLAN <> 0
         AND FIN.TIPLAN <> ''NAO''
      UNION ALL
      SELECT DISTINCT FIN.ORIGEM,
             FIN.CODFIL,
             FIN.SEQUEN,
             FIN.NUMPAR,
             FIN.SUBPAR, 
             ''N'', 
             AGORA()
        FROM TV_RFIN_REC FIN LEFT JOIN TR_FIN RFIN ON FIN.CODFIL = RFIN.CODFIL 
                                                  AND FIN.SEQUEN = RFIN.SEQUEN 
                                                  AND FIN.NUMPAR = RFIN.NUMPAR 
                                                  AND FIN.SUBPAR = RFIN.SUBPAR 
                                                  AND FIN.ORIGEM = RFIN.ORIGEM
       WHERE RFIN.CODFIL IS NULL
         AND FIN.DATLAN > TO_DATE(''01/01/2006'',''DD/MM/YYYY'')
         AND FIN.VLRLAN <> 0
         AND FIN.TIPLAN <> ''NAO''
      UNION ALL
      SELECT DISTINCT FIN.ORIGEM,
             FIN.CODFIL,
             FIN.SEQUEN,
             FIN.NUMPAR,
             FIN.SUBPAR, 
             ''N'', 
             AGORA()
        FROM TV_RFIN_TEF FIN LEFT JOIN TR_FIN RFIN ON FIN.CODFIL = RFIN.CODFIL 
                                                  AND FIN.SEQUEN = RFIN.SEQUEN 
                                                  AND FIN.NUMPAR = RFIN.NUMPAR 
                                                  AND FIN.SUBPAR = RFIN.SUBPAR 
                                                  AND FIN.ORIGEM = RFIN.ORIGEM
       WHERE RFIN.CODFIL IS NULL
         AND FIN.DATLAN > TO_DATE(''01/01/2006'',''DD/MM/YYYY'')
         AND FIN.VLRLAN <> 0
         AND FIN.TIPLAN <> ''NAO''
      );
    END IF; 

    RETURN ''OK'';

END;
' language 'plpgsql';



/*-- SEQ 0272 --*/
-- Tarefa 73215 --
select TEMP_FN_INSERT_TL_FIN_73215() from dual;


/*-- SEQ 0273 --*/
-- Tarefa 73215 --
DROP FUNCTION TEMP_FN_INSERT_TL_FIN_73215 () CASCADE;

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73215 --
SELECT * FROM NADA;

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73215 --
DROP FUNCTION AtualizaFinanceiro (TL_FIN.ORIGEM%TYPE,TL_FIN.FILORI%TYPE,TL_FIN.SEQORI%TYPE) CASCADE;

/*-- SEQ 0276 --*/
-- Tarefa 73215 --
SELECT DISABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0277 --*/
-- Tarefa 73215 --
SELECT DISABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0278 --*/
-- Tarefa 73215 --
UPDATE TR_CTA CTA
   SET TOTDEB = (SELECT SUM(CASE WHEN FIN.VLRPGT<0 THEN FIN.VLRPGT ELSE 0 END) * -1
                   FROM TV_FIN FIN
                  WHERE FIN.FLGFLX=CTA.FLGFLX
                    AND FIN.FILCTA=CTA.FILCTA
                    AND FIN.SEQCTA=CTA.SEQCTA
                    AND FIN.TIPCTA=CTA.TIPCTA
                    AND FIN.FILREC=CTA.FILLAN
                    AND FIN.DATPGT BETWEEN CTA.DATLAN AND TO_DATE(TO_CHAR(CTA.DATLAN,'DD/MM/YYYY')||' 23:59:59','DD/MM/YYYY HH24:MI:SS')
                ),
       TOTCRE=(SELECT SUM(CASE WHEN FIN.VLRPGT>0 THEN FIN.VLRPGT ELSE 0 END) 
                 FROM TV_FIN FIN
                WHERE FIN.FLGFLX=CTA.FLGFLX
                  AND FIN.FILCTA=CTA.FILCTA
                  AND FIN.SEQCTA=CTA.SEQCTA
                  AND FIN.TIPCTA=CTA.TIPCTA
                  AND FIN.FILREC=CTA.FILLAN
                  AND FIN.DATPGT BETWEEN CTA.DATLAN AND TO_DATE(TO_CHAR(CTA.DATLAN,'DD/MM/YYYY')||' 23:59:59','DD/MM/YYYY HH24:MI:SS')
              )
 WHERE TIPCTA = 'N'
   AND DATLAN > TO_DATE('01/01/2009','DD/MM/YYYY')
   AND FLGFLX = 'R'
   AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8','4.4H-R24')) > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN') = 0;

/*-- SEQ 0279 --*/
-- Tarefa 73215 --
UPDATE TT_CTA
   SET ATUREA = 'F',
       ATUARE = 'F',
       DATARE = NULL,
       DATREA = NULL
 WHERE TIPCTA = 'N'
   AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8','4.4H-R24')) > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN') = 0;

/*-- SEQ 0280 --*/
-- Tarefa 73215 --
SELECT ENABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0281 --*/
-- Tarefa 73215 --
SELECT ENABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0282 --*/
-- Tarefa 73215 --
select AtualizaSaldoContas() from dual;


/*-- SEQ 0283 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73215 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('CORR_FIN', Agora(), Agora());


/*-- SEQ 0284 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION MenorData_TT_DAT () CASCADE;

/*-- SEQ 0285 --*/
CREATE OR REPLACE FUNCTION MenorData_TT_DAT ()
RETURNS Timestamp AS '
DECLARE

-- Tarefa 73339 --
  vMenorData Timestamp;
  vDummy Numeric;
BEGIN
  SELECT MIN(DATOPE) INTO vMenorData FROM TT_DAT;

  -- Preenche os registros da DAT de 95 ate o menor valor que existir
  IF vMenorData > TO_DATE(''01/01/1995'',''DD/MM/YYYY'') THEN
     vDummy := Adiciona_TT_DAT(TO_DATE(''01/01/1995'',''DD/MM/YYYY''), vMenorData);
  END IF;

  RETURN NULL;

END;
' language 'plpgsql';



/*-- SEQ 0286 --*/
-- Tarefa 73339 --
select MenorData_TT_DAT() from dual;


/*-- SEQ 0287 --*/
--Tarefa 73339 --
DROP FUNCTION MenorData_TT_DAT () CASCADE;


/*-- SEQ 0288 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TEMP_FN_INSERT_FINANCEIRO () CASCADE;

/*-- SEQ 0289 --*/
CREATE OR REPLACE FUNCTION TEMP_FN_INSERT_FINANCEIRO ()
RETURNS VARCHAR AS '
DECLARE


  iQtdUid INTEGER;
  iQtdFun INTEGER;

BEGIN

    SELECT COUNT(*) INTO iQtdUid
      FROM TT_UID
     WHERE VERSIS IN (''4.5a-R8'',
                      ''4.5a-R9'',
                      ''4.5a-R10'',
                      ''4.5a-R11'',
                      ''4.4H-R24'',
                      ''4.4H-R25'',
                      ''4.4H-R26'',
                      ''4.4H-R27'');

    SELECT COUNT(*) INTO iQtdFun
      FROM TT_FUN
     WHERE NOMFUN = ''CORR_FIN2'';

    IF iQtdUid > 0 AND iQtdFun = 0 THEN
      INSERT INTO TR_CTA (FLGFLX,FILCTA,SEQCTA,TIPCTA,DATLAN,TOTCRE,TOTDEB,VSALDO,FILLAN)
             (SELECT FLGFLX,FILCTA,SEQCTA,TIPCTA,DATLAN,
      			     SUM(TOTCRE) AS TOTCRE,
                     SUM(TOTDEB) AS TOTDEB,
                     SUM(VSALDO) AS VSALDO,
      				 FILLAN
                FROM (SELECT RFIN.FLGFLX, 
                             RFIN.FILCTA, 
                             RFIN.SEQCTA, 
                             RFIN.TIPCTA, 
                             TRUNC(RFIN.DATLAN) AS DATLAN,
                             CASE WHEN RFIN.VLRLAN > 0 THEN abs(RFIN.VLRLAN)  ELSE 0 END AS TOTCRE,
                             CASE WHEN RFIN.VLRLAN < 0 THEN abs(RFIN.VLRLAN)  ELSE 0 END AS TOTDEB,
                             0 AS VSALDO,
                             RFIN.FILORI AS FILLAN
                        FROM TR_FIN RFIN LEFT JOIN TT_CTAXFIL CXF ON RFIN.FILORI=CXF.CODFIL AND RFIN.FILCTA=CXF.FILCTA AND RFIN.SEQCTA=CXF.SEQCTA
                       WHERE RFIN.DATLAN > COALESCE(TRUNC(CXF.DATA_INICIAL),TO_DATE(''01/01/1901'',''DD/MM/YYYY''))
                       UNION ALL
                      SELECT RFIN.FLGFLX, 
                             RFIN.FILCRT AS FILCTA, 
                             RFIN.SEQCRT AS SEQCTA, 
      			             RFIN.TIPCRT AS TIPCTA, 
      			             TRUNC(RFIN.DATLAN) AS DATLAN,
      			             CASE WHEN RFIN.VLRLAN * CASE WHEN RFIN.TIPCTA||RFIN.TIPCRT=''NN'' THEN -1 ELSE 1 END > 0 THEN abs(RFIN.VLRLAN) END AS TOTCRE,
      			             CASE WHEN RFIN.VLRLAN * CASE WHEN RFIN.TIPCTA||RFIN.TIPCRT=''NN'' THEN -1 ELSE 1 END < 0 THEN abs(RFIN.VLRLAN) END AS TOTDEB,
      			             0 AS VSALDO,
      			             RFIN.FILDES AS FILLAN
                        FROM TR_FIN RFIN LEFT JOIN TT_CTAXFIL CXF ON RFIN.FILDES=CXF.CODFIL AND RFIN.FILCRT=CXF.FILCTA AND RFIN.SEQCRT=CXF.SEQCTA
                       WHERE RFIN.DATLAN > COALESCE(TRUNC(CXF.DATA_INICIAL),TO_DATE(''01/01/1901'',''DD/MM/YYYY''))) TAB
      		  WHERE (FILCTA, SEQCTA, TIPCTA, FILLAN, FLGFLX, DATLAN) IN
                    (SELECT FIN.FILCTA, FIN.SEQCTA, FIN.TIPCTA, FIN.FILREC, FIN.FLGFLX, FIN.DATPGT
                       FROM TV_FIN FIN LEFT JOIN TR_CTA CTA ON FIN.FILCTA = CTA.FILCTA 
                                                           AND FIN.SEQCTA = CTA.SEQCTA
                                                           AND FIN.TIPCTA = CTA.TIPCTA
                                                           AND FIN.FILREC = CTA.FILLAN
                                                           AND FIN.FLGFLX = CTA.FLGFLX
                                                           AND FIN.DATPGT = CTA.DATLAN    
                      WHERE CTA.FILCTA IS NULL) 
      		  GROUP BY FLGFLX,FILCTA,SEQCTA,TIPCTA,DATLAN,FILLAN);
    END IF; 

    RETURN ''OK'';

END;
' language 'plpgsql';



/*-- SEQ 0290 --*/
-- Tarefa 73532 --
SELECT DISABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0291 --*/
-- Tarefa 73532 --
select TEMP_FN_INSERT_FINANCEIRO() from dual;


/*-- SEQ 0292 --*/
-- Tarefa 73532 --
DROP FUNCTION TEMP_FN_INSERT_FINANCEIRO () CASCADE;

/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73532 --
DROP FUNCTION AtualizaFinanceiro (TL_FIN.ORIGEM%TYPE,TL_FIN.FILORI%TYPE,TL_FIN.SEQORI%TYPE) CASCADE;

/*-- SEQ 0294 --*/
-- Tarefa 73532 --
SELECT DISABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0295 --*/
-- Tarefa 73532 --
UPDATE TR_CTA CTA
   SET TOTDEB = (SELECT SUM(CASE WHEN FIN.VLRPGT<0 THEN FIN.VLRPGT ELSE 0 END) * -1
                   FROM TV_FIN FIN
                  WHERE FIN.FLGFLX=CTA.FLGFLX
                    AND FIN.FILCTA=CTA.FILCTA
                    AND FIN.SEQCTA=CTA.SEQCTA
                    AND FIN.TIPCTA=CTA.TIPCTA
                    AND FIN.FILREC=CTA.FILLAN
                    AND FIN.DATPGT BETWEEN CTA.DATLAN AND TO_DATE(TO_CHAR(CTA.DATLAN,'DD/MM/YYYY')||' 23:59:59','DD/MM/YYYY HH24:MI:SS')
                ),
       TOTCRE = (SELECT SUM(CASE WHEN FIN.VLRPGT>0 THEN FIN.VLRPGT ELSE 0 END) 
                   FROM TV_FIN FIN
                  WHERE FIN.FLGFLX=CTA.FLGFLX
                    AND FIN.FILCTA=CTA.FILCTA
                    AND FIN.SEQCTA=CTA.SEQCTA
                    AND FIN.TIPCTA=CTA.TIPCTA
                    AND FIN.FILREC=CTA.FILLAN
                    AND FIN.DATPGT BETWEEN CTA.DATLAN AND TO_DATE(TO_CHAR(CTA.DATLAN,'DD/MM/YYYY')||' 23:59:59','DD/MM/YYYY HH24:MI:SS')
              )
 WHERE TIPCTA = 'N'
   AND DATLAN > TO_DATE('01/01/2008','DD/MM/YYYY')
   AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8',
                                                     '4.5a-R9',
                                                     '4.5a-R10',
                                                     '4.5a-R11',
                                                     '4.4H-R24',
                                                     '4.4H-R25',
                                                     '4.4H-R26',
                                                     '4.4H-R27')) > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN2') = 0;

/*-- SEQ 0296 --*/
-- Tarefa 73532 --
UPDATE TT_CTA
   SET ATUREA = 'F',
       ATUARE = 'F',
       DATARE = NULL,
       DATREA = NULL
 WHERE TIPCTA = 'N'
   AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8',
                                                     '4.5a-R9',
                                                     '4.5a-R10',
                                                     '4.5a-R11',
                                                     '4.4H-R24',
                                                     '4.4H-R25',
                                                     '4.4H-R26',
                                                     '4.4H-R27')) > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN2') = 0;

/*-- SEQ 0297 --*/
-- Tarefa 73532 --
SELECT ENABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0298 --*/
-- Tarefa 73532 --
SELECT ENABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0299 --*/
-- Tarefa 73532 --
select AtualizaSaldoContas() from dual;


/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73532 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('CORR_FIN2', Agora(), Agora());


/*-- SEQ 0301 --*/
-- Tarefa 73675 --
SELECT ExecAlteraTipoColuna('TD_BIC','SEQFIL','Numeric(5,0)');


/*-- SEQ 0302 --*/
-- Tarefa 73675 --
SELECT ExecAlteraTipoColuna('TT_IVE','SEQFIL','Numeric(5,0)');



/*-- SEQ 0303 --*/
-- Tarefa 73499 --
ALTER TABLE TW_TAB ADD PATPED VARCHAR(255);


/*-- SEQ 0304 --*/
-- Tarefa 73705 --
SELECT DISABLETRIGGERS(LOWER('TT_CTAXFIL'));

/*-- SEQ 0305 --*/
-- Tarefa 73705 --
UPDATE TT_CTAXFIL
   SET DATA_INICIAL = TRUNC(DATA_INICIAL);

/*-- SEQ 0306 --*/
-- Tarefa 73705 --
SELECT ENABLETRIGGERS(LOWER('TT_CTAXFIL'));

/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73705 --
ALTER TABLE TT_CTAXFIL ADD CONSTRAINT CK_CTAXFIL_DATA_INICIAL CHECK (DATA_INICIAL = TRUNC(DATA_INICIAL));

/*-- SEQ 0308 --*/
-- Tarefa 73705 --
SELECT DISABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0309 --*/
-- Tarefa 73705 --
DELETE FROM TR_CTA
 WHERE (FILLAN, FILCTA, SEQCTA, DATLAN) IN 
       (SELECT CODFIL, FILCTA, SEQCTA, DATA_INICIAL
          FROM TT_CTAXFIL
         WHERE DATA_INICIAL IS NOT NULL)
   AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8',
                                                     '4.5a-R9',
                                                     '4.5a-R10',
                                                     '4.5a-R11',
                                                     '4.4H-R24',
                                                     '4.4H-R25',
                                                     '4.4H-R26',
                                                     '4.4H-R27')) > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN2') > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN3') = 0;

/*-- SEQ 0310 --*/
-- Tarefa 73705 --
INSERT INTO TR_CTA (FLGFLX,FILCTA,SEQCTA,TIPCTA,DATLAN,TOTCRE,TOTDEB,VSALDO,FILLAN)
      (SELECT 'A' AS FLGFLX,
              FILCTA, SEQCTA, TIPCTA, DATA_INICIAL,
              CASE WHEN SALDO_INICIAL_A>0 THEN SALDO_INICIAL_A ELSE 0 END AS TOTCRE,
              CASE WHEN SALDO_INICIAL_A<0 THEN ABS(SALDO_INICIAL_A) ELSE 0 END AS TOTDEB, 
              0, CODFIL
         FROM TT_CTAXFIL
        WHERE DATA_INICIAL IS NOT NULL
          AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8',
                                                            '4.5a-R9',
                                                            '4.5a-R10',
                                                            '4.5a-R11',
                                                            '4.4H-R24',
                                                            '4.4H-R25',
                                                            '4.4H-R26',
                                                            '4.4H-R27')) > 0
          AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN2') > 0
          AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN3') = 0); 
                 
/*-- SEQ 0311 --*/
-- Tarefa 73705 --
INSERT INTO TR_CTA (FLGFLX,FILCTA,SEQCTA,TIPCTA,DATLAN,TOTCRE,TOTDEB,VSALDO,FILLAN)
      (SELECT 'R' AS FLGFLX,
              FILCTA, SEQCTA, TIPCTA, DATA_INICIAL,
              CASE WHEN SALDO_INICIAL_R>0 THEN SALDO_INICIAL_R ELSE 0 END AS TOTCRE,
              CASE WHEN SALDO_INICIAL_R<0 THEN ABS(SALDO_INICIAL_R) ELSE 0 END AS TOTDEB, 
              0, CODFIL
         FROM TT_CTAXFIL
        WHERE DATA_INICIAL IS NOT NULL
          AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8',
                                                            '4.5a-R9',
                                                            '4.5a-R10',
                                                            '4.5a-R11',
                                                            '4.4H-R24',
                                                            '4.4H-R25',
                                                            '4.4H-R26',
                                                            '4.4H-R27')) > 0
          AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN2') > 0
          AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN3') = 0);

/*-- SEQ 0312 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73705 --
DROP FUNCTION AtualizaFinanceiro (TL_FIN.ORIGEM%TYPE,TL_FIN.FILORI%TYPE,TL_FIN.SEQORI%TYPE) CASCADE;

/*-- SEQ 0313 --*/
-- Tarefa 73705 --
SELECT DISABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0314 --*/
-- Tarefa 73705 --
UPDATE TR_CTA CTA
   SET TOTDEB = (SELECT SUM(CASE WHEN FIN.VLRPGT<0 THEN FIN.VLRPGT ELSE 0 END) * -1
                   FROM TV_FIN FIN
                  WHERE FIN.FLGFLX=CTA.FLGFLX
                    AND FIN.FILCTA=CTA.FILCTA
                    AND FIN.SEQCTA=CTA.SEQCTA
                    AND FIN.TIPCTA=CTA.TIPCTA
                    AND FIN.FILREC=CTA.FILLAN
                    AND FIN.DATPGT BETWEEN CTA.DATLAN AND TO_DATE(TO_CHAR(CTA.DATLAN,'DD/MM/YYYY')||' 23:59:59','DD/MM/YYYY HH24:MI:SS')
                ),
       TOTCRE = (SELECT SUM(CASE WHEN FIN.VLRPGT>0 THEN FIN.VLRPGT ELSE 0 END) 
                   FROM TV_FIN FIN
                  WHERE FIN.FLGFLX=CTA.FLGFLX
                    AND FIN.FILCTA=CTA.FILCTA
                    AND FIN.SEQCTA=CTA.SEQCTA
                    AND FIN.TIPCTA=CTA.TIPCTA
                    AND FIN.FILREC=CTA.FILLAN
                    AND FIN.DATPGT BETWEEN CTA.DATLAN AND TO_DATE(TO_CHAR(CTA.DATLAN,'DD/MM/YYYY')||' 23:59:59','DD/MM/YYYY HH24:MI:SS')
              )
 WHERE TIPCTA = 'N'
   AND (FILLAN, FILCTA, SEQCTA) IN (SELECT CODFIL, FILCTA, SEQCTA
                                      FROM TT_CTAXFIL
                                     WHERE DATA_INICIAL IS NOT NULL)
   AND DATLAN > COALESCE((SELECT DATA_INICIAL
                            FROM TT_CTAXFIL
                           WHERE DATA_INICIAL IS NOT NULL
                             AND CODFIL = CTA.FILLAN
                             AND FILCTA = CTA.FILCTA
                             AND SEQCTA = CTA.SEQCTA),DATLAN)
   AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8',
                                                     '4.5a-R9',
                                                     '4.5a-R10',
                                                     '4.5a-R11',
                                                     '4.4H-R24',
                                                     '4.4H-R25',
                                                     '4.4H-R26',
                                                     '4.4H-R27')) > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN2') > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN3') = 0;

/*-- SEQ 0315 --*/
-- Tarefa 73705 --
UPDATE TT_CTA
   SET ATUREA = 'F',
       ATUARE = 'F',
       DATARE = NULL,
       DATREA = NULL
 WHERE TIPCTA = 'N'
   AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8',
                                                     '4.5a-R9',
                                                     '4.5a-R10',
                                                     '4.5a-R11',
                                                     '4.4H-R24',
                                                     '4.4H-R25',
                                                     '4.4H-R26',
                                                     '4.4H-R27')) > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN2') > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN3') = 0;

/*-- SEQ 0316 --*/
-- Tarefa 73705 --
SELECT ENABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0317 --*/
-- Tarefa 73705 --
SELECT ENABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0318 --*/
-- Tarefa 73705 --
select AtualizaSaldoContas() from dual;


/*-- SEQ 0319 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73705 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('CORR_FIN3', Agora(), Agora());


/*-- SEQ 0320 --*/
-- Tarefa 73722 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73722 --
ALTER TABLE TT_IVE ADD IMPKIT CHAR(1) DEFAULT 'F';

/*-- SEQ 0322 --*/
-- Tarefa 73722 --
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73722 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_IMPKIT CHECK (IMPKIT IN ('F','T'));

/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73722 --
ALTER TABLE TT_IVE ALTER COLUMN IMPKIT SET NOT NULL;


/*-- SEQ 0325 --*/
-- Tarefa  73710 --
SELECT ExecAlteraTipoColuna('TW_TAB','SEQFIL','Numeric(5,0)');



/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73878 --
DROP FUNCTION AtualizaFinanceiro (TL_FIN.ORIGEM%TYPE,TL_FIN.FILORI%TYPE,TL_FIN.SEQORI%TYPE) CASCADE;

/*-- SEQ 0327 --*/
-- Tarefa 73878 --
SELECT DISABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0328 --*/
-- Tarefa 73878 --
SELECT DISABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0329 --*/
-- Tarefa 73878 --
UPDATE TR_CTA CTA
   SET TOTDEB = (SELECT SUM(CASE WHEN FIN.VLRPGT<0 THEN FIN.VLRPGT ELSE 0 END) * -1
                   FROM TV_FIN FIN
                  WHERE FIN.FLGFLX=CTA.FLGFLX
                    AND FIN.FILCTA=CTA.FILCTA
                    AND FIN.SEQCTA=CTA.SEQCTA
                    AND FIN.TIPCTA=CTA.TIPCTA
                    AND FIN.FILREC=CTA.FILLAN
                    AND FIN.DATPGT=CTA.DATLAN
                ),
       TOTCRE = (SELECT SUM(CASE WHEN FIN.VLRPGT>0 THEN FIN.VLRPGT ELSE 0 END) 
                   FROM TV_FIN FIN
                  WHERE FIN.FLGFLX=CTA.FLGFLX
                    AND FIN.FILCTA=CTA.FILCTA
                    AND FIN.SEQCTA=CTA.SEQCTA
                    AND FIN.TIPCTA=CTA.TIPCTA
                    AND FIN.FILREC=CTA.FILLAN
                    AND FIN.DATPGT=CTA.DATLAN
                )
 WHERE CTA.TIPCTA = 'G'
   AND CTA.DATLAN > TO_DATE('01/01/2009','DD/MM/YYYY')
   AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8',
                                                     '4.5a-R9',
                                                     '4.5a-R10',
                                                     '4.5a-R11',
                                                     '4.4H-R24',
                                                     '4.4H-R25',
                                                     '4.4H-R26',
                                                     '4.4H-R27')) > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN2') > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN4') = 0;

/*-- SEQ 0330 --*/
-- Tarefa 73878 --
UPDATE TT_CTA
   SET ATUREA = 'F',
       ATUARE = 'F',
       DATARE = NULL,
       DATREA = NULL
 WHERE TIPCTA = 'G'
   AND (SELECT COUNT(*) FROM TT_UID WHERE VERSIS IN ('4.5a-R8',
                                                     '4.5a-R9',
                                                     '4.5a-R10',
                                                     '4.5a-R11',
                                                     '4.4H-R24',
                                                     '4.4H-R25',
                                                     '4.4H-R26',
                                                     '4.4H-R27')) > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN2') > 0
   AND (SELECT COUNT(*) FROM TT_FUN WHERE NOMFUN = 'CORR_FIN4') = 0;

/*-- SEQ 0331 --*/
-- Tarefa 73878 --
SELECT ENABLETRIGGERS(LOWER('TR_CTA'));

/*-- SEQ 0332 --*/
-- Tarefa 73878 --
SELECT ENABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0333 --*/
-- Tarefa 73878 --
select AtualizaSaldoContas() from dual;


/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73878 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('CORR_FIN4', Agora(), Agora());

