
/*-- SEQ 0001 --*/
-- Tarefa 83054 --
ALTER TABLE TT_IOR ADD COLUMN DESCON Numeric(12,2) ;



/*-- SEQ 0002 --*/
-- Tarefa 83033 --
ALTER TABLE TT_IOR ADD COLUMN ECFVEN CHAR(3) ;


/*-- SEQ 0003 --*/
-- Tarefa 83033 -- 
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_DECF_ECFVEN FOREIGN KEY (CODFIL,ECFVEN) REFERENCES TD_ECF (FILECF,NUMECF);


/*-- SEQ 0004 --*/
-- Tarefa 83059 --
CREATE TABLE TT_ASS (
  NOMTAB VARCHAR(40),
  QTDREG Numeric(12,2),
  ATU_EM Timestamp,
  ASSINA VARCHAR(256))  ;
  
/*-- SEQ 0005 --*/
-- Tarefa 83059 -- 
ALTER TABLE TT_ASS ADD CONSTRAINT PK_ASS PRIMARY KEY (NOMTAB);

/*-- SEQ 0006 --*/
-- Tarefa 83059 -- 
ALTER TABLE TT_ASS ALTER COLUMN QTDREG SET NOT NULL;

/*-- SEQ 0007 --*/
-- Tarefa 83059 -- 
ALTER TABLE TT_ASS ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0008 --*/
-- Tarefa 83059 -- 
ALTER TABLE TT_ASS ALTER COLUMN ASSINA SET NOT NULL;


/*-- SEQ 0009 --*/
-- Tarefa 83074 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0010 --*/
ALTER TABLE TT_ORC ADD COLUMN ORCIMP VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0011 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0012 --*/
-- Tarefa 83074 -- 
ALTER TABLE TT_ORC ALTER COLUMN ORCIMP SET NOT NULL;

/*-- SEQ 0013 --*/
-- Tarefa 83074 -- 
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_ORCIMP CHECK (ORCIMP IN ('T','F'));


/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
alter table tt_cfg drop constraint fk_cfg_reimp_cf;

/*-- SEQ 0015 --*/
alter table tt_cfg add constraint fk_cfg_reimp_cf FOREIGN KEY (codnat_reimp_cf) REFERENCES td_nat(codtab);


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83220 --
SELECT * FROM NADA;


/*-- SEQ 0017 --*/
-- Tarefa 83057 --
CREATE TABLE TT_ABA (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Timestamp,
  ATU_EM Timestamp,
  CODTAN Numeric(5),
  CODBOM Numeric(5),
  CODBIC Numeric(5),
  DATABE Timestamp,
  ENCINI VARCHAR(20),
  ENCFIM VARCHAR(20),
  FLGEST CHAR(1),
  FILIVE CHAR(3),
  SEQIVE CHAR(10),
  NUMIVE Numeric(5))  ;

/*-- SEQ 0018 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ALTER COLUMN CODTAN SET NOT NULL;

/*-- SEQ 0019 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ALTER COLUMN CODBOM SET NOT NULL;

/*-- SEQ 0020 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ALTER COLUMN CODBIC SET NOT NULL;

/*-- SEQ 0021 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ALTER COLUMN DATABE SET NOT NULL;

/*-- SEQ 0022 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ALTER COLUMN ENCINI SET NOT NULL;

/*-- SEQ 0023 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ALTER COLUMN ENCFIM SET NOT NULL;

/*-- SEQ 0024 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0025 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT PK_ABA PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0026 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODTAN FOREIGN KEY (CODTAN) REFERENCES TD_TAN(CODTAB);

/*-- SEQ 0027 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODBOM FOREIGN KEY (CODBOM) REFERENCES TD_BOM(CODTAB);

/*-- SEQ 0028 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODBIC FOREIGN KEY (CODBIC) REFERENCES TD_BIC(CODTAB);

/*-- SEQ 0029 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_FILSEQNUMIVE FOREIGN KEY (FILIVE,SEQIVE,NUMIVE) REFERENCES TT_IVE(CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0030 --*/
-- Tarefa 83057 --  
CREATE INDEX I_FK_ABA_TAN ON TT_ABA (CODTAN)  ;

/*-- SEQ 0031 --*/
-- Tarefa 83057 --  
CREATE INDEX I_FK_ABA_BOM ON TT_ABA (CODBOM)  ;

/*-- SEQ 0032 --*/
-- Tarefa 83057 --  
CREATE INDEX I_FK_ABA_BIC ON TT_ABA (CODBIC)  ;

/*-- SEQ 0033 --*/
-- Tarefa 83057 --  
CREATE INDEX I_FK_ABA_IVE ON TT_ABA (FILIVE,SEQIVE,NUMIVE)  ;

/*-- SEQ 0034 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT CK_ABA_FLGEST CHECK (FLGEST IN ('P','C','N','A'));

/*-- SEQ 0035 --*/
-- Tarefa 83057 --
CREATE SEQUENCE SQABA INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0036 --*/
-- Tarefa 83235 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNRATVLECF', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNRATVLECF'));


/*-- SEQ 0037 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODTAN;

/*-- SEQ 0038 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODBOM;

/*-- SEQ 0039 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODBIC;

/*-- SEQ 0040 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_FILSEQNUMIVE;

/*-- SEQ 0041 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODTAN_DTAN FOREIGN KEY (CODTAN) REFERENCES TD_TAN(CODTAB);

/*-- SEQ 0042 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODBOM_DBOM FOREIGN KEY (CODBOM) REFERENCES TD_BOM(CODTAB);

/*-- SEQ 0043 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_CODBIC_DBIC FOREIGN KEY (CODBIC) REFERENCES TD_BIC(CODTAB);

/*-- SEQ 0044 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_FILSEQNUMIVE_IVE FOREIGN KEY (FILIVE,SEQIVE,NUMIVE) REFERENCES TT_IVE(CODFIL,SEQUEN,NUMITE);


/*-- SEQ 0045 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODTAN_DTAN;

/*-- SEQ 0046 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODBOM_DBOM;

/*-- SEQ 0047 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_CODBIC_DBIC;

/*-- SEQ 0048 --*/
-- Tarefa 83057 --  
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA DROP CONSTRAINT FK_ABA_FILSEQNUMIVE_IVE;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83057 --  
SELECT * FROM NADA;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83057 --  
SELECT * FROM NADA;

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83057 --  
SELECT * FROM NADA;


/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DBIC_DBOM ON TD_BIC (CODBOM)  ;

/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DCFO_CTA ON TD_CFO (CFOCTA_FIL,CFOCTA_SEQ,CFOCTA_TIP)  ;

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_CTA ON TD_FIL (FILPAG,SEQPAG,TIPPAG,CTCPAG)  ;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL0 ON TD_FIL (MUL_TIPENT0)  ;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL1 ON TD_FIL (MUL_TIPENT1)  ;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL2 ON TD_FIL (MUL_TIPENT2)  ;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL3 ON TD_FIL (MUL_TIPENT3)  ;

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL4 ON TD_FIL (MUL_TIPENT4)  ;

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL5 ON TD_FIL (MUL_TIPENT5)  ;

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL7 ON TD_FIL (MUL_TIPENT7)  ;

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DMOD_USUCOM ON TD_MOD (FILCOM,CODCOM)  ;

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DNAT_CTADEN ON TD_NAT (NATDEN_FIL,NATDEN_SEQ,NATDEN_TIP)  ;

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DNAT_CTAFOR ON TD_NAT (NATFOR_FIL,NATFOR_SEQ,NATFOR_TIP)  ;

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DRTT_CTAEST ON TD_RTT (FILCTA_EST_DRTT,SEQCTA_EST_DRTT,TIPCTA_EST_DRTT)  ;

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CCC_CMS ON TT_CCC (FILCMS,SEQCMS)  ;

/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_AMEX ON TT_CFG (ECOM_AMEX)  ;

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_CC_VALE_PRESENTE ON TT_CFG (CC_VALE_PRESENTE)  ;

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_CC_WOR_PROP ON TT_CFG (CC_WOR_PROP)  ;

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_DEVTRA_CFO ON TT_CFG (DEVTRA_CFO)  ;

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_PORMTV ON TT_CFG (PORMTV)  ;

/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_TIPLAN_INS ON TT_CFG (TIPLAN_INS)  ;

/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_TIPLAN_PPR ON TT_CFG (TIPLAN_PPR)  ;

/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_NAT_CONSIGNACAO ON TT_CFG (NAT_CONSIGNACAO)  ;

/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_DEVTRA_NAT ON TT_CFG (DEVTRA_NAT)  ;

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_MEIO_ESTAC ON TT_CFG (MEIO_ESTAC)  ;

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_ENT ON TT_CFG (GX_SIMPAN_ENT)  ;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_PER ON TT_CFG (GX_SIMPAN_PER)  ;

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_SAI ON TT_CFG (GX_SIMPAN_SAI)  ;

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_MASTER ON TT_CFG (ECOM_MASTER)  ;

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_PGT_WOR_PROP ON TT_CFG (FILPGT_WOR_PROP,CODPGT_WOR_PROP)  ;

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_VISA ON TT_CFG (ECOM_VISA)  ;

/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_COM_DCFE ON TT_COM (CODFCE)  ;

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_COM_DTRI ON TT_COM (CODTRI)  ;

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DOP_DTED ON TT_DOP (TIPTED)  ;

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_END_DPAI ON TT_END (CODPAI)  ;

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_FIS_MODNOT ON TT_FIS (MODNOT)  ;

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_GRA_NCM ON TT_GRA (CODNCM)  ;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEST_DEST ON TT_IPTXEST (SIGEST)  ;

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEXC_DEST ON TT_IPTXEXC ( SIGEST )  ;

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEXC_NCM ON TT_IPTXEXC ( CODNCM )  ;

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXNCM_NCM ON TT_IPTXNCM ( CODNCM )  ;

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPT_PRO_PRO ON TT_IPTXPRO ( FILMAT,CODMAT )  ;

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXCSG_FAT ON TT_IVEXCSG ( FILFAT,SEQFAT,ITEFAT )  ;

/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXCSG_REM ON TT_IVEXCSG ( FILREM,SEQREM,ITEREM )  ;

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXIPE_IPE_GRA ON TT_IVEXIPE ( FILIPE,NUMIPE,ITEIPE,FILMAT,CODMAT,CODCOR,CODTAM )  ;

/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LAC_DBOM ON TT_LAC ( CODBOM )  ;

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LAN_PPR ON TT_LAN ( FILPPR,SEQPPR )  ;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_ORC_CCC ON TT_ORC ( FILADI,SEQADI )  ;

/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_ORC_DECF ON TT_ORC ( CODFIL,CANPRE )  ;

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_PRO_FPS ON TT_PRO ( CODFPS )  ;

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_ECF_ECFEST ON TT_RTT ( CODFIL,ECFEST )  ;

/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_ECF_NUMECF ON TT_RTT ( CODFIL,NUMECF )  ;

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_USU_EST ON TT_RTT ( FILUSU_EST,CODUSU_EST )  ;

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_VENXOBS_OBS ON TT_VENXOBS ( CODOBS )  ;

/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_WCFG_CC_WOR_PROP ON TW_CFG ( CC_WOR_PROP )  ;

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_WCFG ON TW_CFG ( FILPGT_WOR_PROP,CODPGT_WOR_PROP )  ;


/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_VEN_FLGNFE_DATHOR ON TT_VEN (FLGNFE, DATHOR)  ;


/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;

/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83073 --
SELECT * FROM NADA;


/*-- SEQ 0131 --*/
-- Tarefa 83374 --
DROP FUNCTION EXCLUIITEM_DAV (TT_IOR.CODFIL%TYPE,TT_IOR.NUMPED%TYPE,TT_IOR.TIPPED%TYPE,TT_IOR.NUMITE%TYPE) CASCADE;


/*-- SEQ 0132 --*/
-- Tarefa 83064 --
ALTER TABLE TT_ASS ALTER COLUMN ASSINA DROP NOT NULL;

/*-- SEQ 0133 --*/
-- Tarefa 83064 --
ALTER TABLE TT_ASS ADD COLUMN CODUID Numeric ;


/*-- SEQ 0134 --*/
-- Tarefa 83064 --
ALTER TABLE TT_ASS ADD CONSTRAINT FK_ASS_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);


/*-- SEQ 0135 --*/
-- Tarefa 83073 --
ALTER TABLE TD_MED ADD COLUMN ASSINA VARCHAR(256) ;


/*-- SEQ 0136 --*/
-- Tarefa 83073 --
CREATE INDEX I_LC_DMED_ASSINA ON TD_MED (ASSINA)  ;

/*-- SEQ 0137 --*/
-- Tarefa 83073 --
ALTER TABLE TD_MED ADD COLUMN CODUID Numeric ;


/*-- SEQ 0138 --*/
-- Tarefa 83073 --
ALTER TABLE TD_MED ADD CONSTRAINT FK_DMED_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0139 --*/
-- Tarefa 83073 --
CREATE INDEX I_FK_DMED_UID ON TD_MED (CODUID)  ;

/*-- SEQ 0140 --*/
-- Tarefa 83073 --
ALTER TABLE TD_TAN ADD COLUMN ASSINA VARCHAR(256) ;


/*-- SEQ 0141 --*/
-- Tarefa 83073 --
CREATE INDEX I_LC_DTAN_ASSINA ON TD_TAN (ASSINA)  ;

/*-- SEQ 0142 --*/
-- Tarefa 83073 --
ALTER TABLE TD_TAN ADD COLUMN CODUID Numeric ;


/*-- SEQ 0143 --*/
-- Tarefa 83073 --
ALTER TABLE TD_TAN ADD CONSTRAINT FK_DTAN_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0144 --*/
-- Tarefa 83073 --
CREATE INDEX I_FK_DTAN_UID ON TD_TAN (CODUID)  ;

/*-- SEQ 0145 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BOM ADD COLUMN ASSINA VARCHAR(256) ;


/*-- SEQ 0146 --*/
-- Tarefa 83073 --
CREATE INDEX I_LC_DBOM_ASSINA ON TD_BOM (ASSINA)  ;

/*-- SEQ 0147 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BOM ADD COLUMN CODUID Numeric ;


/*-- SEQ 0148 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BOM ADD CONSTRAINT FK_DBOM_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0149 --*/
-- Tarefa 83073 --
CREATE INDEX I_FK_DBOM_UID ON TD_BOM (CODUID)  ;

/*-- SEQ 0150 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BIC ADD COLUMN ASSINA VARCHAR(256) ;


/*-- SEQ 0151 --*/
-- Tarefa 83073 --
CREATE INDEX I_LC_DBIC_ASSINA ON TD_BIC (ASSINA)  ;

/*-- SEQ 0152 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BIC ADD COLUMN CODUID Numeric ;


/*-- SEQ 0153 --*/
-- Tarefa 83073 --
ALTER TABLE TD_BIC ADD CONSTRAINT FK_DBIC_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0154 --*/
-- Tarefa 83073 --
CREATE INDEX I_FK_DBIC_UID ON TD_BIC (CODUID)  ;

/*-- SEQ 0155 --*/
-- Tarefa 83073 --
ALTER TABLE TT_ABA ADD COLUMN ASSINA VARCHAR(256) ;


/*-- SEQ 0156 --*/
-- Tarefa 83073 --
CREATE INDEX I_LC_ABA_ASSINA ON TT_ABA (ASSINA)  ;

/*-- SEQ 0157 --*/
-- Tarefa 83073 --
ALTER TABLE TT_ABA ADD COLUMN CODUID Numeric ;


/*-- SEQ 0158 --*/
-- Tarefa 83073 --
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0159 --*/
-- Tarefa 83073 --
CREATE INDEX I_FK_ABA_UID ON TT_ABA (CODUID)  ;


/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;


/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
SELECT * FROM NADA;


/*-- SEQ 0187 --*/
-- Tarefa 83465 --
ALTER TABLE TT_ORC ADD COLUMN COOORC Numeric(6) ;



/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83455 --
SELECT * FROM NADA;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83455 --
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83455 --
SELECT * FROM NADA;


/*-- SEQ 0191 --*/
-- Tarefa 83064 --
SELECT DISABLETRIGGERS(LOWER('TT_ASS'));

/*-- SEQ 0192 --*/
-- Tarefa 83064 --
DELETE FROM TT_ASS WHERE NOMTAB = 'TT_UID';

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83064 --
DROP FUNCTION TGUID_ASS() CASCADE;

/*-- SEQ 0194 --*/
-- Tarefa 83064 --
SELECT ENABLETRIGGERS(LOWER('TT_ASS'));


/*-- SEQ 0195 --*/
-- Tarefa 83478 --
ALTER TABLE TT_IOR ADD COLUMN NUMITE_PAF Numeric(5) ;


/*-- SEQ 0196 --*/
-- Tarefa 83478 --
/*-- IGNORE ERRO --*/
DROP FUNCTION ConcatenaIOR (TT_IOR.CODFIL%TYPE,TT_IOR.TIPPED%TYPE,TT_IOR.NUMPED%TYPE,TT_IOR.NUMITE%TYPE,TT_IOR.COOVEN%TYPE,TT_IOR.ECFVEN%TYPE,TT_IOR.QTDITE%TYPE,TT_IOR.VLRITE%TYPE,TT_IOR.DESCON%TYPE,TT_IOR.VLRPGT%TYPE,TT_IOR.FLGEST%TYPE) CASCADE;



/*-- SEQ 0197 --*/
-- Tarefa 83482 --
/*-- IGNORE ERRO --*/
DROP FUNCTION ConcatenaORC (TT_ORC.CODFIL%TYPE,TT_ORC.TIPPED%TYPE,TT_ORC.NUMPED%TYPE,TT_ORC.NUMPED_PAF%TYPE,TT_ORC.PED_EM%TYPE,TT_ORC.VLRTOT%TYPE,TT_ORC.CODEMP%TYPE) CASCADE;



/*-- SEQ 0198 --*/
-- Tarefa 83067 --
/*-- IGNORE ERRO --*/
DROP FUNCTION ConcatenaDMED (TD_MED.UNIMED%TYPE) CASCADE;

/*-- SEQ 0199 --*/
-- Tarefa 83067 --
/*-- IGNORE ERRO --*/
DROP FUNCTION ConcatenaDTAN (TD_TAN.TANQUE%TYPE) CASCADE;

/*-- SEQ 0200 --*/
-- Tarefa 83067 --
/*-- IGNORE ERRO --*/
DROP FUNCTION ConcatenaDBOM (TD_BOM.NUMBOM%TYPE) CASCADE;

/*-- SEQ 0201 --*/
-- Tarefa 83067 --
/*-- IGNORE ERRO --*/
DROP FUNCTION ConcatenaDBIC (TD_BIC.SEQFIL%TYPE) CASCADE;


/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;


/*-- SEQ 0206 --*/
-- Tarefa 83476 --
ALTER TABLE TT_CLI ADD COLUMN ASSINA VARCHAR(256) ;


/*-- SEQ 0207 --*/
-- Tarefa 83476 --
ALTER TABLE TT_CLI ADD COLUMN CODUID Numeric ;


/*-- SEQ 0208 --*/
-- Tarefa 83476 --
CREATE INDEX I_LC_CLI_ASSINA ON TT_CLI (ASSINA)  ;

/*-- SEQ 0209 --*/
-- Tarefa 83476 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_CODUID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0210 --*/
-- Tarefa 83476 --
CREATE INDEX I_FK_CLI_UID ON TT_CLI (CODUID)  ;



/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83455 --
DROP FUNCTION ConcatenaRMOV (TR_MOV.CODFIL%TYPE,TR_MOV.FILMAT%TYPE,TR_MOV.CODMAT%TYPE,TR_MOV.CODCOR%TYPE,TR_MOV.CODTAM%TYPE,TR_MOV.CODMUL%TYPE,TR_MOV.DATMOV%TYPE,TR_MOV.SAL_CM%TYPE) CASCADE;


/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83478 --
SELECT * FROM NADA;


/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0214 --*/
-- Tarefa 83478 --
UPDATE TT_IOR 
   SET NUMITE_PAF = NUMITE
 WHERE NUMITE IS NULL;   
 
/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));


/*-- SEQ 0216 --*/
-- Tarefa 83220 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83220 --
UPDATE TT_ICO
   SET ICO_VLRFRE = (SELECT ROUND(COM.VLRFRE*TT_ICO.VLRITE/COM.VLRNOT,2)
                       FROM TT_COM COM
                      WHERE TT_ICO.CODFIL=COM.CODFIL
                        AND TT_ICO.SEQUEN=COM.SEQUEN)
 WHERE COALESCE(ICO_VLRFRE,0) = 0
   AND (CODFIL, SEQUEN) IN (SELECT COM.CODFIL, COM.SEQUEN 
                              FROM TT_COM COM 
                             WHERE COM.VLRFRE > 0 )
   AND COM_DATOPE > TO_DATE('01/07/2011','DD/MM/YYYY');
   
/*-- SEQ 0218 --*/
-- Tarefa 83220 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));


/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83513 --
ALTER TABLE TT_SAL DROP COLUMN DATMOV CASCADE;


/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83513 --
DROP FUNCTION TGRMOV_ASS() CASCADE;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83513 --
DROP FUNCTION ConcatenaRMOV (TR_MOV.CODFIL%TYPE,TR_MOV.SEQUEN%TYPE,TR_MOV.SAL_CM%TYPE) CASCADE;

/*-- SEQ 0222 --*/
-- Tarefa 83513 --
SELECT DISABLETRIGGERS(LOWER('TT_ASS'));

/*-- SEQ 0223 --*/
-- Tarefa 83513 --
DELETE FROM TT_ASS WHERE NOMTAB = 'TR_MOV';

/*-- SEQ 0224 --*/
-- Tarefa 83513 --
SELECT ENABLETRIGGERS(LOWER('TT_ASS'));


/*-- SEQ 0225 --*/
-- Tarefa 83514 --
CREATE TABLE TT_EST (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODCOR Numeric(5),
  CODTAM Numeric(5),
  QTDEST Numeric(12,4),
  CODUID Numeric,
  ASSINA VARCHAR(256))  ;
  
/*-- SEQ 0226 --*/
-- Tarefa 83514 --  
ALTER TABLE TT_EST ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0227 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0228 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0229 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0230 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST ALTER COLUMN QTDEST SET NOT NULL;
  
/*-- SEQ 0231 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST ADD CONSTRAINT PK_EST PRIMARY KEY (CODFIL,SEQUEN);
  
/*-- SEQ 0232 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST ADD CONSTRAINT FK_EST_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0233 --*/
-- Tarefa 83514 --
ALTER TABLE TT_EST ADD CONSTRAINT FK_EST_GRA FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0234 --*/
-- Tarefa 83514 --
CREATE INDEX I_FK_EST_DFIL ON TT_EST (CODFIL)  ;  

/*-- SEQ 0235 --*/
-- Tarefa 83514 --
CREATE INDEX I_FK_EST_GRA ON TT_EST (FILMAT,CODMAT,CODCOR,CODTAM)  ;  

/*-- SEQ 0236 --*/
-- Tarefa 83514 --
CREATE UNIQUE INDEX I_UQ_FILIAL_GRADE ON TT_EST (CODFIL,FILMAT,CODMAT,CODCOR,CODTAM)  ;

/*-- SEQ 0237 --*/
-- Tarefa 83514 --
CREATE SEQUENCE SQEST INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0238 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_DTAN FOREIGN KEY (CODTAN) REFERENCES TD_TAN(CODTAB);

/*-- SEQ 0239 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_DBOM FOREIGN KEY (CODBOM) REFERENCES TD_BOM(CODTAB);

/*-- SEQ 0240 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_DBIC FOREIGN KEY (CODBIC) REFERENCES TD_BIC(CODTAB);

/*-- SEQ 0241 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_IVE FOREIGN KEY (FILIVE,SEQIVE,NUMIVE) REFERENCES TT_IVE(CODFIL,SEQUEN,NUMITE);


/*-- SEQ 0242 --*/
-- Tarefa 83552 --
ALTER TABLE TD_FIL ADD COLUMN ECFEST CHAR(3) ;


/*-- SEQ 0243 --*/
-- Tarefa 83552 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DECF FOREIGN KEY (CODFIL, ECFEST) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0244 --*/
-- Tarefa 83552 --
CREATE INDEX I_FK_DFIL_DECF ON TD_FIL (CODFIL, ECFEST)  ;


/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83485 --
select * from nada;

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION CONFERE_VERSAO_WIZARD () CASCADE;

/*-- SEQ 0247 --*/
CREATE OR REPLACE FUNCTION CONFERE_VERSAO_WIZARD ()
RETURNS VARCHAR AS '
DECLARE


  vVERSIS Integer;
  BEGIN

    SELECT CASE WHEN CAST(UPPER(rpad(VERSIS,4,'' '')) AS CHAR(4)) >= ''5.0G'' 
	            THEN 1 
                ELSE 0 
		   END
      INTO vVERSIS
      FROM TT_UID
     WHERE UPPER(NOMSiS) LIKE ''WIZARD%''
       AND SESSION_ID = USERENV(''SESSIONID'');
  
    IF vVERSIS = 0 THEN
     RAISE EXCEPTION ''PG-20002 Verso do Totall Wizard muito antiga. Para continuar a migrao  necessrio atualizar o programa. Verso: %'' , vVERSIS;	 
    END IF;
	
	RETURN ''OK'';

END;
' language 'plpgsql';



/*-- SEQ 0248 --*/
-- Tarefa 83485 --
select CONFERE_VERSAO_WIZARD() from dual;


/*-- SEQ 0249 --*/
-- Tarefa 83485 --  
DROP FUNCTION CONFERE_VERSAO_WIZARD () CASCADE;


/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83521 --
CREATE TABLE TOTALL_PRO_IMPKIT_F AS 
  SELECT FILMAT, CODMAT
    FROM TT_PRO
   WHERE IMPKIT = 'F'
     AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83521 --
CREATE TABLE TOTALL_IVE_IMPKIT_F AS
  SELECT CODFIL, SEQUEN, NUMITE
    FROM TT_IVE
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND IMPKIT = 'F'	 
	 AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');	 

/*-- SEQ 0252 --*/
-- Tarefa 83521 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0253 --*/
-- Tarefa 83521 --	 
UPDATE TT_IVE 
   SET IMPKIT = 'T'
 WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
   AND IMPKIT = 'F'   
   AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');
   
/*-- SEQ 0254 --*/
-- Tarefa 83521 --
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0255 --*/
-- Tarefa 83521 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));   
 
/*-- SEQ 0256 --*/
-- Tarefa 83521 --	 
UPDATE TT_PRO
   SET IMPKIT = 'T'
 WHERE IMPKIT = 'F'
   AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');

/*-- SEQ 0257 --*/
-- Tarefa 83521 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0258 --*/
-- Tarefa 83521 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN')); 

/*-- SEQ 0259 --*/
-- Tarefa 83521 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PROIMPKIT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT'));
					 
/*-- SEQ 0260 --*/
-- Tarefa 83521 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0261 --*/
-- Tarefa 83615 --
ALTER TABLE TT_IMU ADD COLUMN ASSINA VARCHAR(256) ;


/*-- SEQ 0262 --*/
-- Tarefa 83615 --
ALTER TABLE TT_IMU ADD COLUMN CODUID Numeric ;


/*-- SEQ 0263 --*/
-- Tarefa 83615 --
CREATE INDEX I_LC_IMU_ASSINA ON TT_IMU (ASSINA)  ;

/*-- SEQ 0264 --*/
-- Tarefa 83615 --
ALTER TABLE TT_IMU ADD CONSTRAINT FK_IMU_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0265 --*/
-- Tarefa 83615 --
CREATE INDEX I_FK_IMU_UID ON TT_IMU (CODUID)  ;

/*-- SEQ 0266 --*/
-- Tarefa 83615 --
ALTER TABLE TD_ISS ADD COLUMN ASSINA VARCHAR(256) ;


/*-- SEQ 0267 --*/
-- Tarefa 83615 --
ALTER TABLE TD_ISS ADD COLUMN CODUID Numeric ;


/*-- SEQ 0268 --*/
-- Tarefa 83615 --
CREATE INDEX I_LC_DISS_ASSINA ON TD_ISS (ASSINA)  ;

/*-- SEQ 0269 --*/
-- Tarefa 83615 --
ALTER TABLE TD_ISS ADD CONSTRAINT FK_DISS_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0270 --*/
-- Tarefa 83615 --
CREATE INDEX I_FK_DISS_UID ON TD_ISS (CODUID)  ;



/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ConcatenaCLI (TT_CLI.FILCLI%TYPE,TT_CLI.CODCLI%TYPE,TT_CLI.NOMCLI%TYPE,TT_CLI.NUMDOC%TYPE) CASCADE;


/*-- SEQ 0272 --*/
SELECT DISABLETRIGGERS(LOWER('TT_UID'));

/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_UID ADD COLUMN TERMIN VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0274 --*/
SELECT ENABLETRIGGERS(LOWER('TT_UID'));

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_UID_TERMIN ON TT_UID (TERMIN, SESSION_ID)  ;

/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_TERMIN CHECK (TERMIN IN ('F','T'));


/*-- SEQ 0277 --*/
-- Tarefa 83654 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0278 --*/
-- Tarefa 83654 --
UPDATE TT_VEN
   SET CHAVEA = NULL
 WHERE FLGNFE IS NOT NULL
   AND CHAVEA IS NOT NULL
   AND LENGTH(CHAVEA) <> 44;

/*-- SEQ 0279 --*/
-- Tarefa 83654 --
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0280 --*/
-- Tarefa 83654 --
SELECT DISABLETRIGGERS(LOWER('TT_VRT'));

/*-- SEQ 0281 --*/
-- Tarefa 83654 --
UPDATE TT_VRT
   SET CHAVEA = NULL
 WHERE CHAVEA IS NOT NULL
   AND LENGTH(CHAVEA) <> 44;  

/*-- SEQ 0282 --*/
-- Tarefa 83654 --
SELECT ENABLETRIGGERS(LOWER('TT_VRT'));


/*-- SEQ 0283 --*/
-- Tarefa 83730 --
CREATE TABLE TT_GRAXDCAR (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Timestamp,
  ATU_EM Timestamp,
  TIPCAR CHAR(1),
  FILMAT CHAR(1),
  CODMAT CHAR(5),
  CODCOR Numeric(5),
  CODTAM Numeric(5),
  PROTEF VARCHAR(6))  ;
  
/*-- SEQ 0284 --*/
-- Tarefa 83730 --
ALTER TABLE TT_GRAXDCAR ADD CONSTRAINT PK_GRAXDCAR PRIMARY KEY (CODFIL, SEQUEN);
  
/*-- SEQ 0285 --*/
-- Tarefa 83730 --
ALTER TABLE TT_GRAXDCAR ADD CONSTRAINT FK_GRAXDCAR_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);  

/*-- SEQ 0286 --*/
-- Tarefa 83730 --
CREATE INDEX I_FK_GRAXDCAR_GRA ON TT_GRAXDCAR (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0287 --*/
-- Tarefa 83730 --
CREATE UNIQUE INDEX I_UQ_GRAXDCAR ON TT_GRAXDCAR (TIPCAR, FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0288 --*/
-- Tarefa 83730 --
ALTER TABLE TT_GRAXDCAR ADD CONSTRAINT CK_GRAC_TIPCAR CHECK (TIPCAR IN ('T','V'));

/*-- SEQ 0289 --*/
-- Tarefa 83730 --
CREATE SEQUENCE SQGRAXDCAR INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0290 --*/
-- Tarefa 83539 --
ALTER TABLE TT_ICO ADD COLUMN CODCSTDIF VARCHAR(3) ;


/*-- SEQ 0291 --*/
-- Tarefa 83539 --
SELECT ExecAlteraTipoColuna('TT_ICO','CODCST','VARCHAR(3)');


/*-- SEQ 0292 --*/
-- Tarefa 83539 --
ALTER TABLE TW_ICO_FIS ADD COLUMN CODCST VARCHAR(3) ;


/*-- SEQ 0293 --*/
-- Tarefa 83539 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0294 --*/
-- Tarefa 83539 --
UPDATE TT_ICO
   SET CODCSTDIF = CASE WHEN VLRICMDIF = 0 THEN '40'
		           	        			   ELSE '00' END
 WHERE CODCST = '20'
   AND REDITEDIF = 0		  
   AND CODCSTDIF IS NULL
   AND COM_DATOPE >= TO_DATE('01/01/2011','DD/MM/YYYY');

/*-- SEQ 0295 --*/
-- Tarefa 83539 --
UPDATE TT_ICO
   SET CODCSTDIF = CASE WHEN VLRICMDIF = 0 THEN '40'
							               ELSE '10' END 
 WHERE CODCST = '70' 
   AND REDITEDIF = 0		  
   AND CODCSTDIF IS NULL
   AND COM_DATOPE >= TO_DATE('01/01/2011','DD/MM/YYYY');

/*-- SEQ 0296 --*/
-- Tarefa 83539 --   
UPDATE TT_ICO
   SET CODCSTDIF = '40'
 WHERE CODCST = '00' 
   AND VLRICMDIF = 0		  
   AND CODCSTDIF IS NULL
   AND COM_DATOPE >= TO_DATE('01/01/2011','DD/MM/YYYY');

/*-- SEQ 0297 --*/
-- Tarefa 83539 --   
UPDATE TT_ICO
   SET CODCSTDIF = TRIM(CODCST)
 WHERE CODCSTDIF IS NULL
   AND COM_DATOPE >= TO_DATE('01/01/2011','DD/MM/YYYY');

/*-- SEQ 0298 --*/
-- Tarefa 83539 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));


/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83777 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNCLNOSNUM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNCLNOSNUM'));


/*-- SEQ 0300 --*/
-- Tarefa 83446 --
ALTER TABLE TD_BIC ADD COLUMN FILLAC CHAR(3) ;


/*-- SEQ 0301 --*/
-- Tarefa 83446 --
ALTER TABLE TD_BIC ADD COLUMN SEQLAC CHAR(10) ;


/*-- SEQ 0302 --*/
-- Tarefa 83446 --
ALTER TABLE TD_BIC ADD CONSTRAINT FK_DBIC_LAC FOREIGN KEY (FILLAC,SEQLAC) REFERENCES TT_LAC (CODFIL,SEQUEN);


/*-- SEQ 0303 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0304 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0305 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0310 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0311 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0312 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0313 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0315 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;
 
/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0317 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0318 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0319 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0320 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0328 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0339 --*/        
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;

/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
SELECT * FROM NADA;


/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD COLUMN FCCFIL CHAR(3) ;


/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD COLUMN FCC_FILMAT CHAR(3) ;


/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD COLUMN FCC_CODMAT CHAR(5) ;

 
/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD COLUMN FCC_CODCOR Numeric(5) ;

 
/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD COLUMN FCC_CODTAM Numeric(5) ;
 
 
/*-- SEQ 0348 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 -- 
ALTER TABLE TD_FCC ADD CONSTRAINT FK_DFCC_DFIL FOREIGN KEY (FCCFIL) REFERENCES TD_FIL (CODFIL);
 
/*-- SEQ 0349 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 -- 
ALTER TABLE TD_FCC ADD CONSTRAINT FK_DFCC_GRA FOREIGN KEY (FCC_FILMAT,FCC_CODMAT,FCC_CODCOR,FCC_CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0350 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD COLUMN FCCFIL CHAR(3) ;


/*-- SEQ 0351 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD COLUMN FCC_FILMAT CHAR(3) ;


/*-- SEQ 0352 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD COLUMN FCC_CODMAT CHAR(5) ;

 
/*-- SEQ 0353 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD COLUMN FCC_CODCOR Numeric(5) ;

 
/*-- SEQ 0354 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD COLUMN FCC_CODTAM Numeric(5) ;
 

/*-- SEQ 0355 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
SELECT * FROM NADA;


/*-- SEQ 0356 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83947 --
ALTER TABLE TT_PRO ADD COLUMN NATBCC CHAR(2) ;


/*-- SEQ 0357 --*/
-- Tarefa 83947
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0358 --*/
-- Tarefa 83947 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NATBCC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NATBCC'));

/*-- SEQ 0359 --*/
-- Tarefa 83947 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0360 --*/
-- Tarefa 83958
SELECT DISABLETRIGGERS(LOWER('TT_FUN')); 

/*-- SEQ 0361 --*/
-- Tarefa 83958 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FCC_FILIAL', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FCC_FILIAL'));
					 
/*-- SEQ 0362 --*/
-- Tarefa 83958 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0363 --*/
-- Tarefa 83868
SELECT DISABLETRIGGERS(LOWER('TT_FUN')); 

/*-- SEQ 0364 --*/
-- Tarefa 83868 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DIAFEC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DIAFEC'));
					 
/*-- SEQ 0365 --*/
-- Tarefa 83868 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));
		
/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83868 --
DROP FUNCTION DiaFechado(bpchar,bpchar,Timestamp);

/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83868 --
DROP FUNCTION DiaFechado(bpchar,bpchar,timestamp);



/*-- SEQ 0368 --*/
-- Tarefa 83445
SELECT DISABLETRIGGERS(LOWER('TT_LAC')); 

/*-- SEQ 0369 --*/
-- Tarefa 83445 --
SELECT DISABLETRIGGERS(LOWER('TT_LAC'));

/*-- SEQ 0370 --*/
ALTER TABLE TT_LAC ADD COLUMN TIPMAN CHAR(1) DEFAULT 'O';

/*-- SEQ 0371 --*/
SELECT ENABLETRIGGERS(LOWER('TT_LAC'));

/*-- SEQ 0372 --*/
-- Tarefa 83445 --
SELECT ENABLETRIGGERS(LOWER('TT_LAC'));

/*-- SEQ 0373 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0374 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0375 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN NUMLAU VARCHAR(20) ;


/*-- SEQ 0376 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN CODBIC Numeric(5) ;


/*-- SEQ 0377 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN MOTAPL VARCHAR(50) ;


/*-- SEQ 0378 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN CNPRES VARCHAR(14) ;


/*-- SEQ 0379 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN CPFTEC VARCHAR(11) ;


/*-- SEQ 0380 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN ENCINI Numeric(10,2) ;


/*-- SEQ 0381 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN ENCFIM Numeric(10,2) ;


/*-- SEQ 0382 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN FILLAC CHAR(3) ;


/*-- SEQ 0383 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN SEQLAC CHAR(10) ;


/*-- SEQ 0384 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN FILUSU CHAR(3) ;

 
/*-- SEQ 0385 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD COLUMN CODUSU CHAR(3) ;


/*-- SEQ 0386 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN TIPMAN SET NOT NULL;

/*-- SEQ 0387 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0388 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0389 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN CODBIC SET NOT NULL;

/*-- SEQ 0390 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN MOTAPL SET NOT NULL;

/*-- SEQ 0391 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN CNPRES SET NOT NULL;

/*-- SEQ 0392 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN CPFTEC SET NOT NULL;

/*-- SEQ 0393 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN ENCINI SET NOT NULL;

/*-- SEQ 0394 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN ENCFIM SET NOT NULL;

/*-- SEQ 0395 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN FILLAC SET NOT NULL;

/*-- SEQ 0396 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN SEQLAC SET NOT NULL;

/*-- SEQ 0397 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0398 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0399 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CONSTRAINT FK_LAC_BIC FOREIGN KEY (CODBIC) REFERENCES TD_BIC (CODTAB);

/*-- SEQ 0400 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CONSTRAINT FK_LAC_LAC FOREIGN KEY (FILLAC,SEQLAC) REFERENCES TT_LAC (CODFIL,SEQUEN);

/*-- SEQ 0401 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CONSTRAINT FK_LAC_USU FOREIGN KEY (FILUSU,CODUSU) REFERENCES TT_USU (FILUSU,CODUSU);

/*-- SEQ 0402 --*/
-- Tarefa 83445 --
CREATE INDEX I_FK_LAC_BIC ON TT_LAC (CODBIC)  ;

/*-- SEQ 0403 --*/
-- Tarefa 83445 --
CREATE INDEX I_FK_LAC_LAC ON TT_LAC (FILLAC,SEQLAC)  ;

/*-- SEQ 0404 --*/
-- Tarefa 83445 --
CREATE INDEX I_FK_LAC_USU ON TT_LAC (FILUSU,CODUSU)  ;

/*-- SEQ 0405 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC DROP CONSTRAINT CK_LAC_DATAPL CASCADE; 

/*-- SEQ 0406 --*/
-- Tarefa 83445 --
CREATE INDEX I_LC_LAC_DATAPL ON TT_LAC (DATAPL, CODFIL)  ;

/*-- SEQ 0407 --*/        
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN LACATI DROP NOT NULL;

/*-- SEQ 0408 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ALTER COLUMN CODBOM DROP NOT NULL;

/*-- SEQ 0409 --*/
-- Tarefa 83445 --
ALTER TABLE TT_LAC ADD CONSTRAINT CK_LAC_TIPMAN CHECK (TIPMAN IN ('P','O'));

/*-- SEQ 0410 --*/
-- Tarefa 83445 --
CREATE UNIQUE INDEX I_UQ_LAC ON TT_LAC (CODFIL,NUMLAC,TIPMAN)  ;


/*-- SEQ 0411 --*/
-- Tarefa 83977 --
ALTER TABLE TT_COM ADD COLUMN SITPIS CHAR(2) ;


/*-- SEQ 0412 --*/
-- Tarefa 83977 --
ALTER TABLE TT_COM ADD COLUMN SITCOF CHAR(2) ;



/*-- SEQ 0413 --*/
-- Tarefa 83977 --
ALTER TABLE TT_COM ADD COLUMN CODFPS VARCHAR(2) ;


/*-- SEQ 0414 --*/
-- Tarefa 83977 --
ALTER TABLE TT_COM ADD CONSTRAINT FK_COM_DFPS_CODFPS FOREIGN KEY (CODFPS) REFERENCES TD_FPS (CODFPS);


/*-- SEQ 0415 --*/
-- Tarefa 83977 --
ALTER TABLE TT_COM ADD COLUMN NATFRE CHAR(1) ;



/*-- SEQ 0416 --*/
-- Tarefa 83777 --
DELETE FROM TT_FUN
 WHERE NOMFUN = 'FNCLNOSNUM';
 
 /*-- SEQ 0417 --*/
-- Tarefa 83777 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNFTNOSNUM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNFTNOSNUM'));


/*-- SEQ 0418 --*/
-- Tarefa 84219 --
ALTER TABLE TT_LID ADD COLUMN BUILD Numeric(8) ;


/*-- SEQ 0419 --*/
-- Tarefa 84219 --
ALTER TABLE TT_LCF ADD COLUMN BUILD Numeric(8) ;



/*-- SEQ 0420 --*/
-- Tarefa 84228 --
ALTER TABLE TT_CTAXFIL ADD COLUMN CODEXT VARCHAR(20) ;



/*-- SEQ 0421 --*/
-- Tarefa 84222 --
SELECT DISABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0422 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ADD COLUMN PELAFD VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0423 --*/
SELECT ENABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0424 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84222 --
ALTER TABLE TR_ECF ADD CONSTRAINT CK_RECF_PELAFD CHECK (PELAFD IN ('T','F'));

/*-- SEQ 0425 --*/
-- Tarefa 84222
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0426 --*/
-- Tarefa 84222 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VAL_FD', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VAL_FD'));

/*-- SEQ 0427 --*/
-- Tarefa 84222 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0428 --*/
-- Tarefa 83824 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0429 --*/
-- Tarefa 83824 --
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,353)||'S'||SUBSTR(PERMIS,355,9999);
										
/*-- SEQ 0430 --*/
-- Tarefa 83824 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0431 --*/
-- Tarefa 83824 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0432 --*/
-- Tarefa 83824 --
UPDATE TT_PAP
   SET PERMIS = SUBSTR(PERMIS,1,353)||'S'||SUBSTR(PERMIS,355,9999);
										
/*-- SEQ 0433 --*/
-- Tarefa 83824 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0434 --*/
-- Tarefa 84239 --
ALTER TABLE TT_CFG ADD COLUMN DSER_NFCOMPL CHAR(2) ;
 

/*-- SEQ 0435 --*/
-- Tarefa 84239 --  
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DSER_NFCOMPL FOREIGN KEY (DSER_NFCOMPL) REFERENCES TD_SER(CODSER);

/*-- SEQ 0436 --*/
-- Tarefa 84239 --  
CREATE INDEX I_FK_CFG_DSER_NFCOMPL ON TT_CFG (DSER_NFCOMPL)  ;

/*-- SEQ 0437 --*/
-- Tarefa 84239 --
ALTER TABLE TW_CFG ADD COLUMN DSER_NFCOMPL CHAR(2) ;
 


/*-- SEQ 0438 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0439 --*/
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '5.2',
       CHECKOUT_RELMIN = 0;
										
/*-- SEQ 0440 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0441 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0442 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN PERCOM_FPV VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0443 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG')); 

/*-- SEQ 0444 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PERCOM_FPV CHECK (PERCOM_FPV IN ('T','F'));

/*-- SEQ 0445 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TT_CFG ALTER COLUMN PERCOM_FPV SET NOT NULL;

/*-- SEQ 0446 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0447 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN PERCOM_FPV VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0448 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG')); 


/*-- SEQ 0449 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PRO ADD TIPMPB CHAR(1);

/*-- SEQ 0450 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_PRO_TIPMPB ON TT_PRO (TIPMPB)  ;

/*-- SEQ 0451 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_TIPMPB CHECK (TIPMPB IN ('C','T'));

/*-- SEQ 0452 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ;

/*-- SEQ 0453 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ CHECK (TIPCONJ IN (1,2,3,4,5,6));


/*-- SEQ 0454 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83947 --
alter table tt_ive add kitori Numeric(5);


/*-- SEQ 0455 --*/
-- Tarefa 84337 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0456 --*/
ALTER TABLE TT_CFG ADD COLUMN BLQ_SEM_UID VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0457 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0458 --*/
-- Tarefa 84337 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BLQ_SEM_UID CHECK (BLQ_SEM_UID IN ('T','F'));

/*-- SEQ 0459 --*/
-- Tarefa 84337 --
ALTER TABLE TT_CFG ALTER COLUMN BLQ_SEM_UID SET NOT NULL;

/*-- SEQ 0460 --*/
-- Tarefa 84337 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0461 --*/
ALTER TABLE TW_CFG ADD COLUMN BLQ_SEM_UID VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0462 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0463 --*/
-- Tarefa 84338 --
ALTER TABLE TW_ICO_FIS ADD COLUMN CODORI Numeric(1) ;



/*-- SEQ 0464 --*/
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0465 --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'MARCA_FRE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'MARCA_FRE'));

/*-- SEQ 0466 --*/
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0467 --*/
/*-- IGNORE ERRO --*/
drop view tv_ven_fis cascade;

/*-- SEQ 0468 --*/
/*-- IGNORE ERRO --*/
drop view tv_ven cascade;

/*-- SEQ 0469 --*/
/*-- IGNORE ERRO --*/
drop view tv_luc cascade;

/*-- SEQ 0470 --*/
/*-- IGNORE ERRO --*/
drop view tv_fat cascade;

/*-- SEQ 0471 --*/
/*-- IGNORE ERRO --*/
drop view tv_even cascade;

/*-- SEQ 0472 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_VEN','MARCAS ','VARCHAR(30)');



/*-- SEQ 0473 --*/
-- Tarefa 84378 --
CREATE TABLE TD_ENT (
  CODTAB Numeric(5),
  TIPENT CHAR(1),
  DESENT VARCHAR(20),
  PRZENT Numeric(2))  ;

/*-- SEQ 0474 --*/
-- Tarefa 84378 -- 
ALTER TABLE TD_ENT ADD CONSTRAINT PK_DENT PRIMARY KEY (CODTAB);

/*-- SEQ 0475 --*/
-- Tarefa 84378 -- 
ALTER TABLE TD_ENT ADD CONSTRAINT AK_DENT_TIPENT  UNIQUE (TIPENT);

/*-- SEQ 0476 --*/
-- Tarefa 84378 -- 
ALTER TABLE TD_ENT ALTER COLUMN TIPENT SET NOT NULL;

/*-- SEQ 0477 --*/
-- Tarefa 84378 -- 
ALTER TABLE TD_ENT ALTER COLUMN DESENT SET NOT NULL;

/*-- SEQ 0478 --*/
-- Tarefa 84378 -- 
ALTER TABLE TD_ENT ADD CONSTRAINT CK_DENT_PRZENT CHECK ((PRZENT IS NULL) OR (PRZENT > 0));

/*-- SEQ 0479 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (0,'0','Cliente Leva');

/*-- SEQ 0480 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (1,'1','Entrega Direta');

/*-- SEQ 0481 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (2,'2','Loja Entrega');

/*-- SEQ 0482 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (3,'3','Retira no Depsito');

/*-- SEQ 0483 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (4,'4','Em Outra Loja');

/*-- SEQ 0484 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (5,'5','Entrega Futura');

/*-- SEQ 0485 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (6,'6','Apenas Oramento');

/*-- SEQ 0486 --*/
-- Tarefa 84378 -- 
INSERT INTO TD_ENT (CODTAB, TIPENT, DESENT) VALUES (7,'7','Venda sob Encomenda');

/*-- SEQ 0487 --*/
-- Tarefa 84378 -- 
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_DENT_TIPENT FOREIGN KEY (TIPENT) REFERENCES TD_ENT (TIPENT);

/*-- SEQ 0488 --*/
-- Tarefa 84378 -- 
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_DENT_TIPENT FOREIGN KEY (TIPENT) REFERENCES TD_ENT (TIPENT);

/*-- SEQ 0489 --*/
-- Tarefa 84378 --  
CREATE INDEX I_FK_IOR_DENT_TIPENT ON TT_IOR (TIPENT)  ;

/*-- SEQ 0490 --*/
-- Tarefa 84378 --  
CREATE INDEX I_FK_ORC_DENT_TIPENT ON TT_ORC (TIPENT)  ;


/*-- SEQ 0491 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0492 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TD_FIL','E_MAIL','VARCHAR(254)');


/*-- SEQ 0493 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0494 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0495 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TI_CLI','E_MAIL','VARCHAR(254)');


/*-- SEQ 0496 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0497 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0498 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TT_CLI','E_MCON','VARCHAR(254)');


/*-- SEQ 0499 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0500 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TT_CON'));

/*-- SEQ 0501 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TT_CON','E_MAIL','VARCHAR(254)');


/*-- SEQ 0502 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TT_CON'));

/*-- SEQ 0503 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TT_INT'));

/*-- SEQ 0504 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TT_INT','E_MAIL','VARCHAR(254)');


/*-- SEQ 0505 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TT_INT'));

/*-- SEQ 0506 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT DISABLETRIGGERS(LOWER('TT_SPC'));

/*-- SEQ 0507 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ExecAlteraTipoColuna('TT_SPC','E_MAIL','VARCHAR(254)');


/*-- SEQ 0508 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82830 --
SELECT ENABLETRIGGERS(LOWER('TT_SPC'));


/*-- SEQ 0509 --*/
-- Tarefa 84186
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0510 --*/
-- Tarefa 84186 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NATBCC2', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NATBCC2'));

/*-- SEQ 0511 --*/
-- Tarefa 84186 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0512 --*/
-- Tarefa 83540 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0513 --*/
-- Tarefa 83540 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODCST CASCADE;

/*-- SEQ 0514 --*/
-- Tarefa 83540 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODCST CHECK (CODCST IN ('00','10','20','30','40','41','50','51','60','70','90','101','102','103','201','202','203','300','400','500','900'));

/*-- SEQ 0515 --*/
-- Tarefa 83540 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));


/*-- SEQ 0516 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78786
DROP VIEW TV_FIN_RTT CASCADE;



/*-- SEQ 0517 --*/
-- Tarefa 84570 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
  (SELECT 'Discos para sistema de leitura por raios laser com possibilidade de serem gravados uma nica vez',3,16,'T','85234110' 
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '85234110'));	 


/*-- SEQ 0518 --*/
-- Tarefa 84596 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0519 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN ST_NO_FRETE VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0520 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0521 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ST_NO_FRETE CHECK (ST_NO_FRETE IN ('T','F'));

/*-- SEQ 0522 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG ALTER COLUMN ST_NO_FRETE SET NOT NULL;

/*-- SEQ 0523 --*/
-- Tarefa 84596 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0524 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN ST_NO_FRETE VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0525 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0526 --*/
-- Tarefa 84596 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ST_NO_FRE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ST_NO_FRE'));


/*-- SEQ 0527 --*/
-- Tarefa 84601 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_AUT ADD COLUMN FLGEST CHAR(1) ;


/*-- SEQ 0528 --*/
-- Tarefa 84601 --
ALTER TABLE TT_AUT ADD CONSTRAINT CK_AUT_FLGEST CHECK (FLGEST IN ('P','A'));


/*-- SEQ 0529 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84179 --
SELECT * FROM NADA;

/*-- SEQ 0530 --*/
-- Tarefa 84179 --
SELECT DISABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0531 --*/
-- Tarefa 84179 --
update tt_end
   set insest = null
 where (tt_end.filcli, tt_end.codcli) in
       (select cli.filcli, cli.codcli
          from tt_cli cli inner join tt_end ende on ende.filcli = cli.filcli
                                                and ende.codcli = cli.codcli
         where cli.flgtip = '0'
		   and cli.tipdoc <> 'IE'
           and cli.insest = ende.insest)
   and tt_end.insest is not null;
   
/*-- SEQ 0532 --*/
-- Tarefa 84179 --  
SELECT ENABLETRIGGERS(LOWER('TT_END'));


/*-- SEQ 0533 --*/
-- Tarefa 84635 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0534 --*/
-- Tarefa 84635 --
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,355)||SUBSTR(PERMIS,279,1)||SUBSTR(PERMIS,357,9999);
										
/*-- SEQ 0535 --*/
-- Tarefa 84635 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0536 --*/
-- Tarefa 84635 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0537 --*/
-- Tarefa 84635 --
UPDATE TT_PAP
   SET PERMIS = SUBSTR(PERMIS,1,355)||SUBSTR(PERMIS,279,1)||SUBSTR(PERMIS,357,9999);
										
/*-- SEQ 0538 --*/
-- Tarefa 84635 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0539 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN TIPCAR SET NOT NULL;

/*-- SEQ 0540 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0541 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0542 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0543 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0544 --*/
-- Tarefa 84637 --
ALTER TABLE TT_GRAXDCAR ALTER COLUMN PROTEF SET NOT NULL;


/*-- SEQ 0545 --*/
-- Tarefa 84636 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PRODCART', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PRODCART'));
                     
/*-- SEQ 0546 --*/
-- Tarefa 84636 --        
ALTER TABLE TT_GRAXDCAR ALTER COLUMN FILMAT TYPE CHAR(3);


/*-- SEQ 0547 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84636 --
SELECT * FROM NADA;


/*-- SEQ 0548 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ADD COLUMN FILEND CHAR(3) ;


/*-- SEQ 0549 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ADD COLUMN NUMEND Numeric(4) ;


/*-- SEQ 0550 --*/
-- Tarefa 84801 --
CREATE TABLE TEMP_PRI_END AS
SELECT FILCLI, CODCLI, MIN(CODFIL||NUMEND) AS CHVEND
  FROM TT_END ENDE
 WHERE SIGNAT >= 0  
 GROUP BY FILCLI, CODCLI;
 
/*-- SEQ 0551 --*/
-- Tarefa 84801 --
CREATE INDEX I_LC_TEMP_PRI_END ON TEMP_PRI_END (FILCLI, CODCLI)  ; 
 
/*-- SEQ 0552 --*/
-- Tarefa 84801 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));
 
/*-- SEQ 0553 --*/
-- Tarefa 84801 --
UPDATE TT_CLI CLI
   SET FILEND = (SELECT SUBSTR(TMP.CHVEND,1,3)
                   FROM TEMP_PRI_END TMP
                  WHERE TMP.FILCLI = CLI.FILCLI
                    AND TMP.CODCLI = CLI.CODCLI),
       NUMEND = (SELECT TO_NUMBER(SUBSTR(TMP.CHVEND,4,4))
                   FROM TEMP_PRI_END TMP
                  WHERE TMP.FILCLI = CLI.FILCLI
                    AND TMP.CODCLI = CLI.CODCLI)
 WHERE FILEND IS NULL;                       

/*-- SEQ 0554 --*/
-- Tarefa 84801 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));                    

/*-- SEQ 0555 --*/
-- Tarefa 84801 --
DROP TABLE TEMP_PRI_END CASCADE;

/*-- SEQ 0556 --*/
-- Tarefa 84801 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ENDCLI', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ENDCLI'));


/*-- SEQ 0557 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84403 --
ALTER TABLE TI_ICO ADD COLUMN BASIPI Numeric(12,2) ;



/*-- SEQ 0558 --*/
-- Tarefa 84376 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0559 --*/
-- Tarefa 84376 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,354)||SUBSTR(PERMIS,194,1)||SUBSTR(PERMIS,356,9999);

/*-- SEQ 0560 --*/
-- Tarefa 84376 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0561 --*/
-- Tarefa 84376 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0562 --*/
-- Tarefa 84376 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,354)||SUBSTR(PERMIS,194,1)||SUBSTR(PERMIS,356,9999);

/*-- SEQ 0563 --*/
-- Tarefa 84376 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0564 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84668 --
ALTER TABLE TL_SUP DROP CONSTRAINT FK_LSUP_SUP CASCADE;


/*-- SEQ 0565 --*/
-- Tarefa 83644 --
SELECT DISABLETRIGGERS(LOWER('TL_CFG'));

/*-- SEQ 0566 --*/
-- Tarefa 83644 --
DELETE FROM TL_CFG 
 WHERE TABELA = 'TT_CFG'
   AND COLUNA = 'gx_simpan_env';

/*-- SEQ 0567 --*/
-- Tarefa 83644 --
SELECT ENABLETRIGGERS(LOWER('TL_CFG'));


/*-- SEQ 0568 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE TABLE GX_CFG (
  GX_CFGId                  Numeric(10),
  GX_CFGSimPanBaseURL       VARCHAR(40),
  GX_CFGSimPanHost          VARCHAR(40),
  GX_CFGSimPanPort          Numeric(10),
  GX_CFGTotallCreditBaseURL VARCHAR(40),
  GX_CFGTotallCreditHost    VARCHAR(40),
  GX_CFGTotallCreditPort    Numeric(10),
  GX_CFGTotallCargaBaseURL  CHAR(50),
  GX_CFGTotallCargaHost     VARCHAR(40),
  GX_CFGTotallCargaPort     Numeric(10),
  GX_CFGLog                 BOOLEAN) 
   ;
  
/*-- SEQ 0569 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ADD CONSTRAINT PK_GX_CFG PRIMARY KEY (GX_CFGId);

/*-- SEQ 0570 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ALTER COLUMN GX_CFGLog SET NOT NULL;

/*-- SEQ 0571 --*/
-- Tarefa 84638 --
INSERT INTO GX_CFG
(GX_CFGId, 
 GX_CFGSimPanBaseURL, 
 GX_CFGSimPanHost, 
 GX_CFGSimPanPort, 
 GX_CFGTotallCreditBaseURL, 
 GX_CFGTotallCreditHost, 
 GX_CFGTotallCreditPort, 
 GX_CFGTotallCargaBaseURL, 
 GX_CFGTotallCargaHost, 
 GX_CFGTotallCargaPort, 
 GX_CFGLog)
SELECT 1, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       False  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM GX_CFG
                    WHERE GX_CFGId = 1);

/*-- SEQ 0572 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGNfeAtu Timestamp ;
 

/*-- SEQ 0573 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGNfeLog BOOLEAN ;
 
       
/*-- SEQ 0574 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT DISABLETRIGGERS(LOWER('GX_CFG'));       
       
/*-- SEQ 0575 --*/
-- Tarefa 84638 --
UPDATE GX_CFG
   SET GX_CFGNfeAtu = TO_DATE('31/12/2011 00:00:00','DD/MM/YYYY HH24:MI:SS')
 WHERE GX_CFGId = 1
   AND GX_CFGNfeAtu IS NULL;
       
/*-- SEQ 0576 --*/
-- Tarefa 84638 --
UPDATE GX_CFG
   SET GX_CFGNfeLog = False WHERE GX_CFGId = 1
   AND GX_CFGNfeLog IS NULL;

/*-- SEQ 0577 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT ENABLETRIGGERS(LOWER('GX_CFG'));

/*-- SEQ 0578 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ALTER COLUMN GX_CFGNfeAtu SET NOT NULL;

/*-- SEQ 0579 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ALTER COLUMN GX_CFGNfeLog SET NOT NULL;

/*-- SEQ 0580 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE TABLE GX_LOG (
  GX_LogId        Numeric(10),
  GX_LogDescricao VARCHAR(4000),
  GX_LogData      Timestamp,
  GX_LogErro      BOOLEAN)
   ;
  
/*-- SEQ 0581 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE SEQUENCE GX_LogId INCREMENT 1 START 1 MINVALUE 1;

  
/*-- SEQ 0582 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ADD CONSTRAINT PK_GX_LogId PRIMARY KEY (GX_LogId);

/*-- SEQ 0583 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ALTER COLUMN GX_LogDescricao SET NOT NULL;

/*-- SEQ 0584 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ALTER COLUMN GX_LogData SET NOT NULL;

/*-- SEQ 0585 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ALTER COLUMN GX_LogErro SET NOT NULL;

/*-- SEQ 0586 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
DROP FUNCTION GXProximoCodigo(Tabela in VARCHAR, Filial in CHAR, Retorno out VARCHAR);

/*-- SEQ 0587 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT * FROM NADA;


/*-- SEQ 0588 --*/
-- Tarefa 84700 --
SELECT DISABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0589 --*/
-- Tarefa 84700 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0590 --*/
-- Tarefa 84700 --
SELECT DISABLETRIGGERS(LOWER('TW_ICO_FIS'));

/*-- SEQ 0591 --*/
-- Tarefa 84700 --
SELECT ExecAlteraTipoColuna('TT_SAL','PRECMP','Numeric(14,4)');


/*-- SEQ 0592 --*/
-- Tarefa 84700 --
SELECT ExecAlteraTipoColuna('TT_SAL','REPCMP','Numeric(14,4)');


/*-- SEQ 0593 --*/
-- Tarefa 84700 --
SELECT ExecAlteraTipoColuna('TT_ICO','CUSREP','Numeric(14,4)');


/*-- SEQ 0594 --*/
-- Tarefa 84700 --
SELECT ExecAlteraTipoColuna('TW_ICO_FIS','CUSREP','Numeric(14,4)');


/*-- SEQ 0595 --*/
-- Tarefa 84700 --
SELECT ENABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0596 --*/
-- Tarefa 84700 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0597 --*/
-- Tarefa 84700 --
SELECT ENABLETRIGGERS(LOWER('TW_ICO_FIS'));


/*-- SEQ 0598 --*/
-- Tarefa 85042 --
SELECT ExecAlteraTipoColuna('TT_ICO','VALCON','Numeric(14,4)');



/*-- SEQ 0599 --*/
-- Tarefa 83344 --
SELECT DISABLETRIGGERS(LOWER('TL_VEN'));

/*-- SEQ 0600 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83344 --
CREATE INDEX I_LVEN_MSGLOG ON TL_VEN (MSGLOG)  ;

/*-- SEQ 0601 --*/
-- Tarefa 83344 --
DELETE 
  FROM TL_VEN
 WHERE MSGLOG LIKE 'Estado: de I%';

/*-- SEQ 0602 --*/
-- Tarefa 83344 --
DROP INDEX I_LVEN_MSGLOG;
					  
/*-- SEQ 0603 --*/
-- Tarefa 83344 --
SELECT ENABLETRIGGERS(LOWER('TL_VEN'));



/*-- SEQ 0604 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85164 --
ALTER TABLE TI_CLI ADD COLUMN ISENTO VARCHAR(1) ;



/*-- SEQ 0605 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
SELECT DISABLETRIGGERS(LOWER('TL_CFG'));

/*-- SEQ 0606 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ADD COLUMN OPERAD CHAR(1) ;


/*-- SEQ 0607 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'A'
 WHERE COLUNA = '--Alteracao--';
 
/*-- SEQ 0608 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'E'
 WHERE COLUNA = '--Exclusao--';

/*-- SEQ 0609 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'I'
 WHERE COLUNA = '--Inclusao--';
 
/*-- SEQ 0610 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'A'
 WHERE COLUNA <> '--Inclusao--'
   AND COLUNA <> '--Exclusao--'
   AND COLUNA <> '--Alteracao--';

/*-- SEQ 0611 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ADD CONSTRAINT CK_CFG_OPERAD CHECK (OPERAD IN ('A','E','I'));

/*-- SEQ 0612 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ALTER COLUMN OPERAD SET NOT NULL;

/*-- SEQ 0613 --*/
-- Tarefa 82965 --
SELECT ENABLETRIGGERS(LOWER('TL_CFG')); 


/*-- SEQ 0614 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84500 --
SELECT ExecAlteraTipoColuna('TT_GRA','CUSFRE','Numeric(14,4)');



/*-- SEQ 0615 --*/
-- Tarefa 85136 --
SELECT DISABLETRIGGERS(LOWER('TT_UID'));

/*-- SEQ 0616 --*/
ALTER TABLE TT_UID ADD COLUMN ASSINS VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0617 --*/
SELECT ENABLETRIGGERS(LOWER('TT_UID'));

/*-- SEQ 0618 --*/
-- Tarefa 85136 --  
ALTER TABLE TT_UID ALTER COLUMN ASSINS SET NOT NULL;

/*-- SEQ 0619 --*/
-- Tarefa 85136 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ASSINS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ASSINS'));
                     
CREATE TABLE TM_ASS (
  MASSID Numeric(10),
  TABELA VARCHAR(6),
  FLGEST CHAR(1),
  CODUID Numeric,
  ASSINA VARCHAR(256)
)  ;

/*-- SEQ 0620 --*/
-- Tarefa 85136 --  
ALTER TABLE TM_ASS ALTER COLUMN TABELA SET NOT NULL;

/*-- SEQ 0621 --*/
-- Tarefa 85136 --  
ALTER TABLE TM_ASS ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0622 --*/
-- Tarefa 85136 --  
ALTER TABLE TM_ASS ADD CONSTRAINT PK_MASS PRIMARY KEY (MASSID);

/*-- SEQ 0623 --*/
-- Tarefa 85136 --
CREATE SEQUENCE SQMASS INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0624 --*/
-- Tarefa 85136 --
ALTER TABLE TM_ASS ALTER COLUMN FLGEST SET DEFAULT 'N';


/*-- SEQ 0625 --*/
-- Tarefa 85139 --
CREATE TABLE TT_CEE (
	CODFIL CHAR(3),
	SEQUEN CHAR(10),
	DATINC Timestamp,
	INDEMI CHAR(1),
	TEXTOC VARCHAR(1000),
	DATREG Timestamp,
	PROTOC Numeric(15),
	FILVEN CHAR(3),
	SEQVEN CHAR(10)
	);

/*-- SEQ 0626 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN INDEMI SET NOT NULL;

/*-- SEQ 0627 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0628 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN TEXTOC SET NOT NULL;

/*-- SEQ 0629 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN DATREG SET NOT NULL;

/*-- SEQ 0630 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN PROTOC SET NOT NULL;

/*-- SEQ 0631 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN FILVEN SET NOT NULL;

/*-- SEQ 0632 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ALTER COLUMN SEQVEN SET NOT NULL;

/*-- SEQ 0633 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT PK_CEE PRIMARY KEY (CODFIL,SEQUEN);
	
/*-- SEQ 0634 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT FK_CEE_FILVENSEQVEN FOREIGN KEY (FILVEN,SEQVEN) REFERENCES TT_VEN(CODFIL,SEQUEN);

/*-- SEQ 0635 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT CK_CEE_INDEMI CHECK (INDEMI IN ('S','R'));

/*-- SEQ 0636 --*/
-- Tarefa 85139 --
CREATE INDEX I_FK_CEE_VEN ON TT_CEE (FILVEN,SEQVEN)  ;

/*-- SEQ 0637 --*/
-- Tarefa 85139 --
CREATE SEQUENCE SQCEE INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0638 --*/
-- Tarefa 85139 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CEE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CEE'));


/*-- SEQ 0639 --*/
-- Tarefa 85235 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT '-De outras matrias',4,12,'T','640690' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '640690'));	 
/*-- SEQ 0640 --*/
-- Tarefa 85235 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT '--Partes de calados Palmilhas',4,12,'T','64069020' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '64069020'));	 
	 


/*-- SEQ 0641 --*/
-- Tarefa 85425 -- 
SELECT DISABLETRIGGERS(LOWER('TD_ENT'));

/*-- SEQ 0642 --*/
-- Tarefa 85425 -- 
UPDATE TD_ENT
   SET DESENT = 'Em Outra Loja'
 WHERE CODTAB = 4;
 
/*-- SEQ 0643 --*/
-- Tarefa 85425 -- 
SELECT ENABLETRIGGERS(LOWER('TD_ENT'));


/*-- SEQ 0644 --*/
-- Tarefa 85329 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0645 --*/
-- Tarefa 85329 --
UPDATE TT_ORC ORC
   SET VLRTOT = NVLZ((SELECT SUM(IOR.VLRPGT)
                   FROM TT_IOR IOR
                  WHERE IOR.CODFIL = ORC.CODFIL
                    AND IOR.TIPPED = ORC.TIPPED
                    AND IOR.NUMPED = ORC.NUMPED
                    AND IOR.FLGEST <> 'C'),0.01)
 WHERE ORC.VLRTOT = 0;
 
/*-- SEQ 0646 --*/
-- Tarefa 85329 --
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0647 --*/
-- Tarefa 85329 -- 
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_VLRTOT CHECK (VLRTOT <> 0 OR FLGEST = 'C');


/*-- SEQ 0648 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE DROP CONSTRAINT FK_CEE_FILVENSEQVEN;

/*-- SEQ 0649 --*/
-- Tarefa 85139 --
DROP INDEX I_FK_CEE_VEN;

/*-- SEQ 0650 --*/
-- Tarefa 85139 --
ALTER TABLE TT_CEE ADD CONSTRAINT FK_CEE_VEN FOREIGN KEY (FILVEN,SEQVEN) REFERENCES TT_VEN(CODFIL,SEQUEN);

/*-- SEQ 0651 --*/
-- Tarefa 85139 --
CREATE INDEX I_FK_CEE_VEN ON TT_CEE (FILVEN,SEQVEN)  ;


/*-- SEQ 0652 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 --
SELECT * FROM NADA;

/*-- SEQ 0653 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 --
SELECT * FROM NADA;
 
/*-- SEQ 0654 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 --
SELECT * FROM NADA;

/*-- SEQ 0655 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85486 -- 
SELECT * FROM NADA;


/*-- SEQ 0656 --*/
-- Tarefa 85467 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,356)||'N'||SUBSTR(PERMIS,358,9999);


/*-- SEQ 0657 --*/
-- Tarefa 85526 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0658 --*/
-- Tarefa 85526 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--FIO TEXTURIZADO DE OUTS.FILAMENTOS SINTETICOS',4,12,'T','54023990'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '54023990'));
                     
/*-- SEQ 0659 --*/
-- Tarefa 85526 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--FIO DE OUTS.POLIESTERES,SIMPLES,TORCAO<=50VOLTAS/METRO',4,11,'T','54024300'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '54023990'));

/*-- SEQ 0660 --*/
-- Tarefa 85526 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--TAILLEURS" DE MALHA DE ALGODAO',4,11,'T','61041200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '54023990'));


/*-- SEQ 0661 --*/
-- Tarefa 85526 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0662 --*/
-- Tarefa 85615 --
SELECT DISABLETRIGGERS(LOWER('TD_CFO'));

/*-- SEQ 0663 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada Transf. Subst. Tribu.',
        'T',
        '540900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '540900'));

/*-- SEQ 0664 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada via Transferencia',
        'T',
        '515200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '515200'));

/*-- SEQ 0665 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada Transf ST Fora do Estado',
        'T',
        '640900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '640900'));

/*-- SEQ 0666 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Sada Transf. Fora do Estado',
        'T',
        '615200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '615200'));

/*-- SEQ 0667 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada Transf. Subst. Tribu.',
        'T',
        '140900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '140900'));

/*-- SEQ 0668 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada via Transferencia',
        'T',
        '115200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '115200'));

/*-- SEQ 0669 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada Transf ST F/Estado',
        'T',
        '240900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '240900'));

/*-- SEQ 0670 --*/
-- Tarefa 85615 --
INSERT INTO TD_CFO
(CODTAB, DESCFO, CFOATI, CODCFO)
(SELECT (SELECT MAX(DCFO.CODTAB)+1 FROM TD_CFO DCFO), 
        'Entrada Transf Fora do Estado',
        'T',
        '215200'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_CFO
                     WHERE CODCFO = '215200'));

/*-- SEQ 0671 --*/
-- Tarefa 85615 --
SELECT ENABLETRIGGERS(LOWER('TD_CFO'));


/*-- SEQ 0672 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85666 --
ALTER TABLE TT_GRAXDCAR DROP CONSTRAINT CK_GRAC_TIPCAR CASCADE;

/*-- SEQ 0673 --*/
-- Tarefa 85666 --
ALTER TABLE TT_GRAXDCAR ADD CONSTRAINT CK_GRAC_TIPCAR CHECK (TIPCAR IN ('T','V','R','S','G','N','P','C','L','D','F','M','E'));



/*-- SEQ 0674 --*/
-- Tarefa 85729 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0675 --*/
-- Tarefa 85729 --
UPDATE TT_ORC ORC
   SET FLGEST = 'C'
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_IOR IOR
                    WHERE IOR.CODFIL = ORC.CODFIL
                      AND IOR.TIPPED = ORC.TIPPED
                      AND IOR.NUMPED = ORC.NUMPED
                      AND IOR.FLGEST <> 'C');
 
/*-- SEQ 0676 --*/
-- Tarefa 85729 --
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));


/*-- SEQ 0677 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85763 --
DROP FUNCTION TGEST_ASS() CASCADE;


/*-- SEQ 0678 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 85370 --
CREATE TABLE TW_SAL (
  USERID Numeric,
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODCOR Numeric(5),
  CODTAM Numeric(5),
  CODMUL Numeric(5),
  VLR_CM_UNI Numeric(16,4), 
  VLRCMG_UNI Numeric(16,4), 
  CUSREP Numeric(12,4), 
  SALDO  Numeric(12,4)
  )  ;
  
/*-- SEQ 0679 --*/
-- Tarefa 85370 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCK_SAL', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCK_SAL'));


/*-- SEQ 0680 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84617 --
UPDATE TT_AUT 
   SET FLGEST = 'A'
 WHERE FLGEST IS NULL;


/*-- SEQ 0681 --*/
-- Tarefa 85943 -- 
SELECT DISABLETRIGGERS(LOWER('TI_SAL'));

/*-- SEQ 0682 --*/
-- Tarefa 85943 -- 
UPDATE TI_SAL
   SET STATUS = 0, MOTREJ = NULL, DATIMP = NULL
 WHERE STATUS IS NULL;

/*-- SEQ 0683 --*/
-- Tarefa 85943 --  
SELECT ENABLETRIGGERS(LOWER('TI_SAL'));

/*-- SEQ 0684 --*/
-- Tarefa 85943 -- 
ALTER TABLE TI_SAL ALTER COLUMN STATUS SET DEFAULT '0';

/*-- SEQ 0685 --*/
-- Tarefa 85943 -- 
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ALTER COLUMN STATUS SET NOT NULL;



/*-- SEQ 0686 --*/
-- Tarefa 85957 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0687 --*/
-- Tarefa 85957 --
UPDATE TT_CLI 
   SET CELCON = '9'||CELCON
 WHERE DDCCON = '11'
   AND CELCON IS NOT NULL
   AND CHAR_LENGTH(CELCON) = 8;
      
 
/*-- SEQ 0688 --*/
-- Tarefa 85957 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0689 --*/
-- Tarefa 85957 --
SELECT DISABLETRIGGERS(LOWER('TT_SPC'));

/*-- SEQ 0690 --*/
-- Tarefa 85957 --
SELECT ExecAlteraTipoColuna('TT_SPC','NUMCEL','VARCHAR(10)');


/*-- SEQ 0691 --*/
-- Tarefa 85957 --
UPDATE TT_SPC 
   SET NUMCEL = '9'||NUMCEL
 WHERE DDDCEL = '11'
   AND NUMCEL IS NOT NULL 
   AND CHAR_LENGTH(NUMCEL) = 8;
   
 
/*-- SEQ 0692 --*/
-- Tarefa 85957 --
SELECT ENABLETRIGGERS(LOWER('TT_SPC'));

/*-- SEQ 0693 --*/
-- Tarefa 85957 --
SELECT DISABLETRIGGERS(LOWER('TT_CON'));

/*-- SEQ 0694 --*/
-- Tarefa 85957 --
UPDATE TT_CON 
   SET CELCON = '9'||CELCON
 WHERE DDDCEL = '11'
   AND CELCON IS NOT NULL
   AND CHAR_LENGTH(CELCON) = 8;
   
 
/*-- SEQ 0695 --*/
-- Tarefa 85957 --
SELECT ENABLETRIGGERS(LOWER('TT_CON'));


/*-- SEQ 0696 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD COLUMN ORIPRO CHAR(1) ;


/*-- SEQ 0697 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD COLUMN NATBCC CHAR(2) ;


/*-- SEQ 0698 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD COLUMN MVAVEN Numeric(12,2) ;


/*-- SEQ 0699 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD COLUMN MVAC07 Numeric(12,2) ;


/*-- SEQ 0700 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD COLUMN MVAC12 Numeric(12,2) ;


/*-- SEQ 0701 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_ORIPRO CHECK (ORIPRO IN ('0','1','2'));

/*-- SEQ 0702 --*/
-- Tarefa 85679 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_NATBCC CHECK (NATBCC IN ('01','01','02','03','04','05','06','07','08','09','10','11','12','13','14','15','16','17','18'));


/*-- SEQ 0703 --*/
-- Tarefa 81294 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CBX_END_CD', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CBX_END_CD'));


/*-- SEQ 0704 --*/
-- Tarefa 86307 --
ALTER TABLE TT_UID DROP CONSTRAINT CK_UID_CODEMP CASCADE;
 
/*-- SEQ 0705 --*/
-- Tarefa 86307 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_CODEMP CASCADE;
 
/*-- SEQ 0706 --*/
-- Tarefa 86307 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_CODEMP CHECK (CODEMP >= 0);
 
/*-- SEQ 0707 --*/
-- Tarefa 86307 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_CODEMP CHECK (CODEMP >= 0);


/*-- SEQ 0708 --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CUSFIL_TRA', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CUSFIL_TRA'));


/*-- SEQ 0709 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Outros - Achocolatados, assim entendidos os produtos  base de chocolate, em p ou em grnulos, destinados  mistura com gua ou leite',
            3,4,'T','18069001' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '18069001'));	 
                         
/*-- SEQ 0710 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT ' Cogumelos e trufas, preparados ou conservados, exceto em vinagre ou em cido actico',
            3,4,'T','20030000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '20030000'));	

/*-- SEQ 0711 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Doces, geleias, marmelades, purs e pastas de frutas, obtidos por cozimento, com ou sem adio de acar ou de outros edulcorantes',
            3,4,'T','20070000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '20070000'));
                         
/*-- SEQ 0712 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Outros produtos hortcolas preparados ou conservados, exceto em vinagre ou em cido actico, no congelados, com exceo dos produtos da posio 20.06',
            3,4,'T','20050000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '20050000'));
                         
/*-- SEQ 0713 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86567 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT 'Caviar',
            3,4,'T','16043100' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '16043100'));


/*-- SEQ 0714 --*/
-- Tarefa 82005 --
SELECT DISABLETRIGGERS(LOWER('TT_IDF'));

/*-- SEQ 0715 --*/
-- Tarefa 82005 --
UPDATE TT_IDF
   SET VERSEG = 2.8;
   
/*-- SEQ 0716 --*/
-- Tarefa 82005 --
SELECT ENABLETRIGGERS(LOWER('TT_IDF'));   


/*-- SEQ 0717 --*/
-- Tarefa 85955 --
ALTER TABLE TW_CLI ADD COLUMN DDDCEL CHAR(2) ;


/*-- SEQ 0718 --*/
-- Tarefa 85955 --
ALTER TABLE TW_CLI ADD COLUMN NUMCEL VARCHAR(8) ;



/*-- SEQ 0719 --*/
-- Tarefa 86573 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0720 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN GRAVALOG  Numeric(1) DEFAULT '0';

/*-- SEQ 0721 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0722 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 86573 --
ALTER TABLE TT_CFG ALTER COLUMN GRAVALOG SET NOT NULL;

/*-- SEQ 0723 --*/
-- Tarefa 86573 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0724 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN GRAVALOG Numeric(1) DEFAULT '0';

/*-- SEQ 0725 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0726 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN TOTALLECBASE VARCHAR(40) ;


/*-- SEQ 0727 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN TOTALLECBASE VARCHAR(40) ;


/*-- SEQ 0728 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN TOTALLECHOST VARCHAR(40) ;


/*-- SEQ 0729 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN TOTALLECHOST VARCHAR(40) ;


/*-- SEQ 0730 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN TOTALLECPORT VARCHAR(10) ;


/*-- SEQ 0731 --*/
-- Tarefa 86573 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN TOTALLECPORT VARCHAR(10) ;



/*-- SEQ 0732 --*/
-- Tarefa 86320 --
ALTER TABLE TL_FIN DROP CONSTRAINT CK_LFIN_MOTINC CASCADE;

/*-- SEQ 0733 --*/
-- Tarefa 86320 --
ALTER TABLE TL_FIN ADD CONSTRAINT CK_LFIN_MOTINC CHECK (MOTINC IN ('+','D','L','V','F','C'));


/*-- SEQ 0734 --*/
-- Tarefa 85610 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0735 --*/
-- Tarefa 85610 --
/*-- SEQ 0736 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_ven_canc () CASCADE;

/*-- SEQ 0737 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_ven_canc ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;  
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = ''VENDAS_CANCELADAS'';

  IF iEXISTE = 0 THEN 
      -- Cria novas contas financeiras para usos fixos
      SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
      cSEQFIN := ProximaConta(cCODFIL,''Vendas Canceladas'',''G'',''O'',''G''); 
      
      -- Descobre o proximo CODTAB da TD_CTA
      SELECT MAX(CODTAB)+1 INTO cCODTAB
        FROM TD_CTA;   
      
      -- Insere as novas contas na tabela 
      INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
      (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''VENDAS_CANCELADAS'' AS CFGCOL, ''O'' AS USOCTA
       FROM TT_CTA
       WHERE CODFIL = cCODFIL
         AND SEQUEN = cSEQFIN);
  END IF;
  
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0738 --*/
-- Tarefa 85610 --
select temp_cria_conta_ven_canc() from dual;
;

/*-- SEQ 0739 --*/
-- Tarefa 85610 --
DROP FUNCTION temp_cria_conta_ven_canc () CASCADE;

/*-- SEQ 0740 --*/
-- Tarefa 85610 --
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0741 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN MVACOM Numeric(14,4) ;


/*-- SEQ 0742 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN ALTURA Numeric(10,2) ;


/*-- SEQ 0743 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN PROFUN Numeric(10,2) ;


/*-- SEQ 0744 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN LARGUR Numeric(10,2) ;


/*-- SEQ 0745 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN DESDET VARCHAR(4000) ;


/*-- SEQ 0746 --*/
-- Tarefa 86791 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN ICMISE VARCHAR(1) ;



/*-- SEQ 0747 --*/
-- Tarefa 86573 --
SELECT ExecAlteraTipoColuna('TT_CFG','TOTALLECPORT','VARCHAR(10)');


/*-- SEQ 0748 --*/
-- Tarefa 86573 --
SELECT ExecAlteraTipoColuna('TW_CFG','TOTALLECPORT','VARCHAR(10)');



/*-- SEQ 0749 --*/
-- Tarefa 86937 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SER ADD COLUMN SERREM CHAR(2) ;


/*-- SEQ 0750 --*/
-- Tarefa 86937 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SERREM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SERREM'));


/*-- SEQ 0751 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83115 --
SELECT * FROM NADA;


/*-- SEQ 0752 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
CREATE TABLE TI_EAN (
	CODEXT VARCHAR(20),
	CODFIL CHAR(3),
	CODEAN VARCHAR(20),
	REFATI VARCHAR(1),
    STATUS Numeric(1) DEFAULT 0,
    MOTREJ VARCHAR(255),
    DATIMP Timestamp
	);

/*-- SEQ 0753 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN ALTER COLUMN CODEXT SET NOT NULL;

/*-- SEQ 0754 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN ALTER COLUMN CODEAN SET NOT NULL;

/*-- SEQ 0755 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0756 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN ALTER COLUMN REFATI SET NOT NULL;

/*-- SEQ 0757 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN ALTER COLUMN STATUS SET NOT NULL;


/*-- SEQ 0758 --*/
-- Tarefa 84617 --
SELECT DISABLETRIGGERS(LOWER('TT_AUT'));

/*-- SEQ 0759 --*/
-- Tarefa 84617 --
UPDATE TT_AUT 
   SET FLGEST = 'A'
 WHERE FLGEST IS NULL;
 
 /*-- SEQ 0760 --*/
-- Tarefa 84617 --
SELECT ENABLETRIGGERS(LOWER('TT_AUT'));


/*-- SEQ 0761 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87301 --
DROP FUNCTION TGR_PopulaSPC (TT_SPC.FILCLI%TYPE,TT_SPC.CODCLI%TYPE,TT_SPC.E_MAIL%TYPE) CASCADE;



/*-- SEQ 0762 --*/
-- Tarefa 87135 --
SELECT ExecAlteraTipoColuna('TT_CTBXCCB','RECSAC','TEXT');


/*-- SEQ 0763 --*/
-- Tarefa 87135 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0764 --*/
-- Tarefa 87135 --
DELETE FROM TT_FUN
 WHERE NOMFUN = 'CBX_END_CD'
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TD_FIL FIL
                    WHERE FIL.CODFIL = '001' -- PAVIN
                      AND FIL.CGCFIL = '76193713000180');
                      
/*-- SEQ 0765 --*/
-- Tarefa 87135 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0766 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87028 --
SELECT ExecAlteraTipoColuna('TT_CFG','PRE_PSI_PERCENTUAL','Numeric(12,4)');


/*-- SEQ 0767 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87028 --
SELECT ExecAlteraTipoColuna('TW_CFG','PRE_PSI_PERCENTUAL','Numeric(12,4)');



/*-- SEQ 0768 --*/
-- Tarefa 85617 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0769 --*/
-- Tarefa 85617 --
/*-- SEQ 0770 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0771 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;  
  cFILCAI TD_CAI.FILCAI%TYPE;
  cSEQCAI TD_CAI.SEQCAI%TYPE;
  cTIPCAI TD_CAI.TIPCAI%TYPE;
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = ''CHEQUE_MAIOR'';

  IF iEXISTE = 0 THEN 
      -- Cria novas contas financeiras para usos fixos
      SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
      cSEQFIN := ProximaConta(cCODFIL,''Cheque Maior'',''G'',''O'',''G''); 
      
      -- Descobre o proximo CODTAB da TD_CTA
      SELECT MAX(CODTAB)+1 INTO cCODTAB
        FROM TD_CTA;   
      
      -- Insere as novas contas na tabela 
      INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
      (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''CHEQUE_MAIOR'' AS CFGCOL, ''O'' AS USOCTA
       FROM TT_CTA
       WHERE CODFIL = cCODFIL
         AND SEQUEN = cSEQFIN);
  END IF;
  
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = ''SANG_CHEQUE_MAIOR'';  
   
  IF iEXISTE = 0 THEN 
      -- Cria novas contas financeiras para usos fixos
      --SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
      --cSEQFIN := ProximaConta(cCODFIL,''Sangria Cheque Maior'',''G'',''O'',''G''); 
      
      SELECT FILCAI, SEQCAI, TIPCAI
        INTO cFILCAI, cSEQCAI, cTIPCAI
        FROM TD_CAI
       WHERE CODTAB = 0;
      
      -- Descobre o proximo CODTAB da TD_CTA
      SELECT MAX(CODTAB)+1 INTO cCODTAB
        FROM TD_CTA;   
      
      -- Insere as novas contas na tabela 
      INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
      (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''SANG_CHEQUE_MAIOR'' AS CFGCOL, ''O'' AS USOCTA
       FROM TT_CTA
       WHERE CODFIL = cFILCAI
         AND SEQUEN = cSEQCAI
         AND TIPCTA = cTIPCAI);
  END IF;   
  
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0772 --*/
-- Tarefa 85617 --
select temp_cria_conta() from dual;
;

/*-- SEQ 0773 --*/
-- Tarefa 85617 --
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0774 --*/
-- Tarefa 85617 --
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0775 --*/
-- Tarefa 86081 --
ALTER TABLE TT_IOR ADD COLUMN FLGEST_PAF CHAR(1) ;


/*-- SEQ 0776 --*/
-- Tarefa 86081 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0777 --*/
-- Tarefa 86081 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FLGEST_PAF', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FLGEST_PAF'));
                      
/*-- SEQ 0778 --*/
-- Tarefa 86081 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0779 --*/
-- Tarefa 87223 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0780 --*/
-- Tarefa 87223 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--OUTS.FREIOS E SUAS PARTES,P/TRATORES/VEIC.AUTOMOVEIS',4,17,'T','87083900'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87083900'));
                     
/*-- SEQ 0781 --*/
-- Tarefa 87223 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--EIXOS DE TRANSMISSAO C/DIFERENCIAL P/VEIC.AUTOMOVEIS',5,17,'T','87085090'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87085090'));

/*-- SEQ 0782 --*/
-- Tarefa 87223 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT '--BARRAS DE DIRECAO P/VEICULOS AUTOMOVEIS',5,17,'T','87089492'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '87089492'));


/*-- SEQ 0783 --*/
-- Tarefa 87223 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0784 --*/
CREATE INDEX I_FK_LC_IVEN_AK ON TI_VEN (CODFIL, NUMECF, CODSER, NUMNOT)  ;

/*-- SEQ 0785 --*/
CREATE INDEX I_FK_LC_IREC_AK ON TI_REC (CODFIL, NUMECF, CODSER, NUMNOT)  ;


/*-- SEQ 0786 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Outs.freios e suas partes,p/tratores/veic.automoveis'
 WHERE CODNCM = '87083900';
                     
/*-- SEQ 0787 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Eixos de transmissao c/diferencial p/veic.automoveis'
 WHERE CODNCM = '87085090';

/*-- SEQ 0788 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Barras de direcao p/veiculos automoveis'
 WHERE CODNCM = '87089492';


/*-- SEQ 0789 --*/
-- Tarefa 87438 --  
CREATE INDEX I_LC_RFIN_ATU_EM ON TR_FIN (ATU_EM)  ;


/*-- SEQ 0790 --*/
-- Tarefa 87805 --
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_ORIPRO CASCADE;

/*-- SEQ 0791 --*/
-- Tarefa 87805 --
ALTER TABLE TI_PRO DROP CONSTRAINT CK_IPRO_ORIPRO CASCADE;

/*-- SEQ 0792 --*/
-- Tarefa 87805 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODORI CASCADE;

/*-- SEQ 0793 --*/
-- Tarefa 87805 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_CODORI CASCADE;

/*-- SEQ 0794 --*/
-- Tarefa 87805 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0795 --*/
-- Tarefa 87805 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0796 --*/
-- Tarefa 87805 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0797 --*/
-- Tarefa 87805 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7'));

