
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97434 --
ALTER TABLE TT_NFE ALTER COLUMN NFE_DS_UFDEST DROP NOT NULL;


/*-- SEQ 0002 --*/
-- Tarefa 97390 --
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_FLGEST CASCADE;

/*-- SEQ 0003 --*/
-- Tarefa 97390 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_FLGEST CHECK (FLGEST IN ('A','F','C','D'));


/*-- SEQ 0004 --*/
-- Tarefa 97411 --
ALTER TABLE TT_VEN ADD COLUMN VLRSADCAN Numeric(12,2) ;



/*-- SEQ 0005 --*/
-- Tarefa 97413 --
ALTER TABLE TT_SAV ADD COLUMN DATCAN Timestamp ;


/*-- SEQ 0006 --*/
-- Tarefa 97413 --
ALTER TABLE TT_SAV ADD COLUMN VLRCAN Numeric(12,2) ;



/*-- SEQ 0007 --*/
-- Tarefa 97422 --
ALTER TABLE TD_SAD ADD COLUMN DIARES Numeric(5,0) ;



/*-- SEQ 0008 --*/
-- Tarefa 97405 --
CREATE TABLE TD_SAD_CAN (
    CODTAB Numeric(5),
    FORCAN TEXT)  ;

/*-- SEQ 0009 --*/
-- Tarefa 97405 --
ALTER TABLE TD_SAD_CAN ADD CONSTRAINT PK_DSAD_CAN PRIMARY KEY (CODTAB);

/*-- SEQ 0010 --*/
-- Tarefa 97405 --
ALTER TABLE TD_SAD_CAN ADD CONSTRAINT FK_DSAD_CAN_DSAD FOREIGN KEY (CODTAB) REFERENCES TD_SAD(CODTAB);


/*-- SEQ 0011 --*/
-- Tarefa 97422 --
ALTER TABLE TD_SAD ADD CONSTRAINT CK_DSAD_DIARES CHECK (DIARES > 0);


/*-- SEQ 0012 --*/
-- Tarefa 97408 --
INSERT INTO TD_SAD_CAN(CODTAB)
SELECT DSAD.CODTAB
  FROM TD_SAD DSAD
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TD_SAD_CAN DSAD_CAN
                    WHERE DSAD_CAN.CODTAB = DSAD.CODTAB);


/*-- SEQ 0013 --*/
-- Tarefa 97445 --
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_FILPED CASCADE;

/*-- SEQ 0014 --*/
-- Tarefa 97445 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_FILPED CHECK ((FILPED IS NOT NULL AND CODAVU IS NULL) OR (CODAVU IS NOT NULL AND FILPED IS NULL));

/*-- SEQ 0015 --*/
-- Tarefa 97445 --
SELECT DISABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0016 --*/
-- Tarefa 97445 --
UPDATE TT_SAV SAV
   SET FILVEN = IVE.CODFIL,
       SEQVEN = IVE.SEQUEN,
       NUMIVE = IVE.NUMITE
  FROM TT_IOR IOR INNER JOIN TT_IVE IVE ON IVE.CODFIL = IOR.FILIVE
                                       AND IVE.SEQUEN = IOR.SEQIVE
                                       AND IVE.NUMITE = IOR.NUMITE
 WHERE SAV.FILPED = IOR.CODFIL
   AND SAV.TIPPED = IOR.TIPPED
   AND SAV.NUMPED = IOR.NUMPED
   AND SAV.NUMITE = IOR.NUMITE;

/*-- SEQ 0017 --*/
-- Tarefa 97445 --
/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_CancelaSAV () CASCADE;

/*-- SEQ 0019 --*/
CREATE OR REPLACE FUNCTION temp_CancelaSAV ()
RETURNS VARCHAR AS $$
DECLARE


-- Declarao de variveis e cursores
  CR_SAV_IVE CURSOR FOR
  SELECT SAV.CODFIL,
         SAV.SEQUEN,
         CAST('C' AS CHAR(1)) AS FLGEST,
         SAV.VALSAD AS VLRCAN,
         CASE WHEN VEN.FLGEST = 'C' THEN (SELECT MAX(REC.ESTCAN)
                                            FROM TT_REC REC
                                           WHERE REC.CODFIL = VEN.CODFIL
                                             AND REC.SEQUEN = VEN.SEQUEN)
              WHEN IVE.SITMOV = 'C' THEN IVE.VEN_DATHOR
         END AS DATCAN
    FROM TT_SAV SAV INNER JOIN TT_IOR IOR ON IOR.CODFIL = SAV.FILPED
                                         AND IOR.TIPPED = SAV.TIPPED
                                         AND IOR.NUMPED = SAV.NUMPED
                                         AND IOR.NUMITE = SAV.NUMITE
                    INNER JOIN TT_IVE IVE ON IVE.CODFIL = IOR.FILIVE
                                         AND IVE.SEQUEN = IOR.SEQIVE
                                         AND IVE.NUMITE = IOR.NUMIVE
                    INNER JOIN TT_VEN VEN ON VEN.CODFIL = IVE.CODFIL
                                         AND VEN.SEQUEN = IVE.SEQUEN
   WHERE (IVE.SITMOV = 'C') OR (VEN.FLGEST = 'C')
   ORDER BY SAV.CODFIL,SAV.SEQUEN;


  cCODFIL                        TT_SAV.CODFIL%TYPE;
  cSEQUEN                        TT_SAV.SEQUEN%TYPE;
  cFLGEST                        TT_SAV.FLGEST%TYPE;
  nVLRCAN                        TT_SAV.VLRCAN%TYPE;
  dDATCAN                        TT_SAV.DATCAN%TYPE;

-- Incio da funo
BEGIN

   OPEN CR_SAV_IVE;
   LOOP
      FETCH CR_SAV_IVE INTO cCODFIL,cSEQUEN,cFLGEST,nVLRCAN,dDATCAN;
       EXIT WHEN NOT FOUND;

      UPDATE TT_SAV SET FLGEST = cFLGEST,
                        VLRCAN = nVLRCAN,
                        DATCAN = dDATCAN
       WHERE CODFIL = cCODFIL
         AND SEQUEN = cSEQUEN;

   END LOOP;
   CLOSE CR_SAV_IVE;

   RETURN 'OK';

END;
$$ language 'plpgsql';



/*-- SEQ 0020 --*/
-- Tarefa 97445 --
select temp_CancelaSAV() from dual;


/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97445 --
DROP FUNCTION temp_CancelaSAV () CASCADE;

/*-- SEQ 0022 --*/
-- Tarefa 97445 --
SELECT ENABLETRIGGERS(LOWER('TT_SAV'));


/*-- SEQ 0023 --*/
-- Tarefa 97456 --
ALTER TABLE TT_SAV ADD COLUMN CDIMEI VARCHAR(20) ;



/*-- SEQ 0024 --*/
-- Tarefa 97457 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0025 --*/
ALTER TABLE TT_PRO ADD COLUMN OBIMEI VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0026 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0027 --*/
-- Tarefa 97457 --
ALTER TABLE TT_PRO ALTER COLUMN OBIMEI SET NOT NULL;

/*-- SEQ 0028 --*/
-- Tarefa 97457 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_OBIMEI CHECK (OBIMEI IN ('T', 'F'));


/*-- SEQ 0029 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IDF ADD COLUMN DATCUS_VEN Timestamp ;


/*-- SEQ 0030 --*/
-- Tarefa 97499 --
SELECT DISABLETRIGGERS(LOWER('TT_IDF'));

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97499 --
UPDATE TT_IDF SET DATCUS_VEN = TRUNC(Agora());

/*-- SEQ 0032 --*/
-- Tarefa 97499 --
SELECT ENABLETRIGGERS(LOWER('TT_IDF'));

/*-- SEQ 0033 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN CUSREP_FREFIS Numeric(14,4) ;


/*-- SEQ 0034 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN CUSMED_FIS Numeric(14,4) ;


/*-- SEQ 0035 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN CUSSIM Numeric(14,4) ;


/*-- SEQ 0036 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN INF_CUSREP_FREFIS Numeric(14,4) ;


/*-- SEQ 0037 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN INF_CUSMED_FIS Numeric(14,4) ;


/*-- SEQ 0038 --*/
-- Tarefa 97499 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN INF_CUSSIM Numeric(14,4) ;


/*-- SEQ 0039 --*/
-- Tarefa 97499 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));
 
/*-- SEQ 0040 --*/
-- Tarefa 97499 --
INSERT INTO TT_JOB (NOMJOB, DESJOB, ULTEXE, QTDERR, ULTERR)
SELECT 'JOB_MATERIALIZACUSTOVENDA', 'Rotina para calcular o Custo dos produtos vendidos', Agora(), 0, NULL
  FROM DUAL
 WHERE NOT EXISTS (
       SELECT 1 AS OK
         FROM TT_JOB
        WHERE NOMJOB = 'JOB_MATERIALIZACUSTOVENDA'
       );
 
/*-- SEQ 0041 --*/
-- Tarefa 97499 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0042 --*/
-- Tarefa 97577 --
SELECT DISABLETRIGGERS(LOWER('TT_LCF'));

/*-- SEQ 0043 --*/
ALTER TABLE TT_LCF ADD COLUMN SISORI VARCHAR(1) DEFAULT 'C';

/*-- SEQ 0044 --*/
SELECT ENABLETRIGGERS(LOWER('TT_LCF'));

/*-- SEQ 0045 --*/
-- Tarefa 97577 --
ALTER TABLE TT_LCF ALTER COLUMN SISORI SET NOT NULL;

/*-- SEQ 0046 --*/
-- Tarefa 97577 --
ALTER TABLE TT_LCF ADD CONSTRAINT CK_LCF_SISORI CHECK (SISORI IN ('C', 'M'));

/*-- SEQ 0047 --*/
-- Tarefa 97577 --
DROP INDEX I_LC_LCF_FLGCAN;

/*-- SEQ 0048 --*/
-- Tarefa 97577 --
DROP INDEX I_LC_LCF_FLGEST;

/*-- SEQ 0049 --*/
-- Tarefa 97577 --
DROP INDEX I_LC_LCF_FLGEXE;

/*-- SEQ 0050 --*/
-- Tarefa 97577 --
DROP INDEX I_LC_LCF_FLGHIS;

/*-- SEQ 0051 --*/
-- Tarefa 97577 --
DROP INDEX I_LC_LCF_FLGPRO;

/*-- SEQ 0052 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_FLGCAN ON TT_LCF (FLGCAN,SISORI)  ;

/*-- SEQ 0053 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_FLGEST ON TT_LCF (FLGEST,SISORI)  ;

/*-- SEQ 0054 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_FLGEXE ON TT_LCF (FLGEXE,SISORI)  ;

/*-- SEQ 0055 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_FLGHIS ON TT_LCF (FLGHIS,SISORI)  ;

/*-- SEQ 0056 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_FLGPRO ON TT_LCF (FLGPRO,SISORI)  ;

/*-- SEQ 0057 --*/
-- Tarefa 97577 --
CREATE INDEX I_LC_LCF_SISORI ON TT_LCF (SISORI)  ;


/*-- SEQ 0058 --*/
-- Tarefa 97560 --
CREATE TABLE TT_ERR (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  SEQLCF CHAR(10),
  TXTERR VARCHAR(254),
  DATINC Timestamp
  )  ;
  
/*-- SEQ 0059 --*/ 
-- Tarefa 97560 --
ALTER TABLE TT_ERR ADD CONSTRAINT PK_ERR PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0060 --*/
-- Tarefa 97560 --
ALTER TABLE TT_ERR ALTER COLUMN SEQLCF SET NOT NULL;

/*-- SEQ 0061 --*/
-- Tarefa 97560 --
ALTER TABLE TT_ERR ALTER COLUMN TXTERR SET NOT NULL;

/*-- SEQ 0062 --*/
-- Tarefa 97560 --
ALTER TABLE TT_ERR ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0063 --*/
-- Tarefa 97560 --
ALTER TABLE TT_ERR ADD CONSTRAINT FK_ERR_LCF FOREIGN KEY (CODFIL,SEQLCF) REFERENCES TT_LCF (CODFIL,SEQUEN);

/*-- SEQ 0064 --*/
-- Tarefa 97560 --
CREATE INDEX I_FK_ERR_LCF ON TT_ERR (CODFIL,SEQLCF)  ;

/*-- SEQ 0065 --*/
-- Tarefa 97560 --
CREATE INDEX I_LC_ERR_DATINC ON TT_ERR (DATINC)  ;

/*-- SEQ 0066 --*/
-- Tarefa 97560 --
CREATE SEQUENCE SQERR INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0067 --*/
-- Tarefa 92272 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGTOTALLCREDITDATULTATU Timestamp ;



/*-- SEQ 0068 --*/
-- Tarefa 97603 --
ALTER TABLE TD_SER DROP CONSTRAINT CK_DSER_MODNOT CASCADE;

/*-- SEQ 0069 --*/
-- Tarefa 97603 --
ALTER TABLE TD_SER ADD CONSTRAINT CK_DSER_MODNOT CHECK (MODNOT IN (0,1,2,3,4,55,59,65));


/*-- SEQ 0070 --*/
-- Tarefa 97424 --
ALTER TABLE TT_IVE ADD COLUMN FILDEV CHAR(3) ;


/*-- SEQ 0071 --*/
-- Tarefa 97424 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_DFIL_DEV FOREIGN KEY (FILDEV) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0072 --*/
-- Tarefa 97424 --
CREATE INDEX I_FK_IVE_DFIL_DEV ON TT_IVE (FILDEV)  ;


/*-- SEQ 0073 --*/
-- Tarefa 97425 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0074 --*/
ALTER TABLE TT_CFG ADD COLUMN DEVFIL VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0075 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0076 --*/
-- Tarefa 97425 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DEVFIL CHECK (DEVFIL IN ('T','F'));

/*-- SEQ 0077 --*/
-- Tarefa 97425 --
ALTER TABLE TT_CFG ALTER COLUMN DEVFIL SET NOT NULL;

/*-- SEQ 0078 --*/
-- Tarefa 97425 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0079 --*/
ALTER TABLE TW_CFG ADD COLUMN DEVFIL VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0080 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0081 --*/
-- Tarefa 97615 --
ALTER TABLE TD_FIL ADD COLUMN SERDEV CHAR(2) ;


/*-- SEQ 0082 --*/
-- Tarefa 97615 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_DEV FOREIGN KEY (SERDEV) REFERENCES TD_SER (CODSER);

/*-- SEQ 0083 --*/
-- Tarefa 97615 --
CREATE INDEX I_FK_DFIL_DSER_DEV ON TD_FIL (SERDEV)  ;


/*-- SEQ 0084 --*/
-- Tarefa 97654 --
ALTER TABLE TT_END ADD COLUMN CLI_CK Numeric(10,0) ;


/*-- SEQ 0085 --*/
-- Tarefa 97654 --
ALTER TABLE TT_END DROP COLUMN CHVCHK CASCADE;

/*-- SEQ 0086 --*/
-- Tarefa 97654 --
DROP INDEX I_UQ_END_CK;

/*-- SEQ 0087 --*/
-- Tarefa 97654 --
CREATE UNIQUE INDEX I_UQ_END_CK ON TT_END (FIL_CK,ECF_CK,CLI_CK,COD_CK)  ;


/*-- SEQ 0088 --*/
-- Tarefa 97682 --
SELECT DISABLETRIGGERS(LOWER('TI_PRE'));

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRE ADD COLUMN FLGEST VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0090 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRE'));

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97682 --
ALTER TABLE TI_PRE ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97682 --
ALTER TABLE TI_PRE ADD CONSTRAINT CK_IPRE_FLGEST CHECK (FLGEST IN ('T','F'));


/*-- SEQ 0093 --*/
-- Tarefa 97618 --
CREATE TABLE TD_SAT (
   CODTAB Numeric(5),
   DESSAT VARCHAR(40),
   SATATI VARCHAR(1) DEFAULT 'T',
   SAT_NUMSER Numeric(9),
   SAT_CODFIL CHAR(3),
   SAT_CODSER CHAR(2),
   SAT_CNT_RO Numeric(5) DEFAULT 0
  )  ;

/*-- SEQ 0094 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ADD CONSTRAINT PK_DSAT PRIMARY KEY (CODTAB);

/*-- SEQ 0095 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ALTER COLUMN DESSAT SET NOT NULL;

/*-- SEQ 0096 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ALTER COLUMN SATATI SET NOT NULL;

/*-- SEQ 0097 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ALTER COLUMN SAT_NUMSER SET NOT NULL;

/*-- SEQ 0098 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ALTER COLUMN SAT_CODFIL SET NOT NULL;

/*-- SEQ 0099 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ALTER COLUMN SAT_CODSER SET NOT NULL;

/*-- SEQ 0100 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ALTER COLUMN SAT_CNT_RO SET NOT NULL;

/*-- SEQ 0101 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ADD CONSTRAINT CK_DSAT_SATATI CHECK (SATATI IN ('T','F'));

/*-- SEQ 0102 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ADD CONSTRAINT FK_DSAT_DFIL FOREIGN KEY (SAT_CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0103 --*/
-- Tarefa 97618 --
CREATE INDEX I_FK_DSAT_DFIL ON TD_SAT (SAT_CODFIL)  ;

/*-- SEQ 0104 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ADD CONSTRAINT FK_DSAT_DSER FOREIGN KEY (SAT_CODSER) REFERENCES TD_SER (CODSER);

/*-- SEQ 0105 --*/
-- Tarefa 97618 --
CREATE INDEX I_FK_DSAT_DSER ON TD_SAT (SAT_CODSER)  ;

/*-- SEQ 0106 --*/
-- Tarefa 97618 --
CREATE UNIQUE INDEX I_UQ_DSAT_NUMSER_CODFIL ON TD_SAT (SAT_NUMSER, SAT_CODFIL)  ;

/*-- SEQ 0107 --*/
-- Tarefa 97618 --
CREATE UNIQUE INDEX I_UQ_DSAT_CODFIL_CODSER ON TD_SAT (SAT_CODFIL, SAT_CODSER)  ;

/*-- SEQ 0108 --*/
-- Tarefa 97618 --
ALTER TABLE TD_SAT ADD CONSTRAINT CK_DSAT_SAT_CNT_RO CHECK (SAT_CNT_RO >= 0);

/*-- SEQ 0109 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD COLUMN DESSAT VARCHAR(40) ;


/*-- SEQ 0110 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD COLUMN SATATI VARCHAR(1) ;


/*-- SEQ 0111 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD COLUMN SAT_NUMSER Numeric(9) ;


/*-- SEQ 0112 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD COLUMN SAT_CODFIL CHAR(3) ;


/*-- SEQ 0113 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD COLUMN SAT_CODSER CHAR(2) ;


/*-- SEQ 0114 --*/
-- Tarefa 97618 --
ALTER TABLE TW_TAB ADD COLUMN SAT_CNT_RO Numeric(5) ;



/*-- SEQ 0115 --*/
-- Tarefa 97620 --
ALTER TABLE TD_FIL ADD COLUMN CK4G_MODFIS_VC VARCHAR(2) ;


/*-- SEQ 0116 --*/
-- Tarefa 97620 --
ALTER TABLE TD_FIL ADD COLUMN CK4G_MODFIS_VC_CONT VARCHAR(2) ;


/*-- SEQ 0117 --*/
-- Tarefa 97620 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0118 --*/
ALTER TABLE TD_FIL ADD COLUMN CK4G_USA_CONT_OFFLINE VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0119 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0120 --*/
-- Tarefa 97620 --
ALTER TABLE TD_FIL ALTER COLUMN CK4G_USA_CONT_OFFLINE SET NOT NULL;

/*-- SEQ 0121 --*/
-- Tarefa 97620 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_USA_CONT_OFFLINE CHECK (CK4G_USA_CONT_OFFLINE IN ('T','F'));


/*-- SEQ 0122 --*/
-- Tarefa 97621 --
ALTER TABLE TD_ECF ADD COLUMN CK4G_MODFIS_VC VARCHAR(2) ;


/*-- SEQ 0123 --*/
-- Tarefa 97621 --
ALTER TABLE TD_ECF ADD COLUMN CK4G_MODFIS_VC_CONT VARCHAR(2) ;


/*-- SEQ 0124 --*/
-- Tarefa 97621 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0125 --*/
ALTER TABLE TD_ECF ADD COLUMN CK4G_USA_CONT_OFFLINE VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0126 --*/
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0127 --*/
-- Tarefa 97621 --
ALTER TABLE TD_ECF ALTER COLUMN CK4G_USA_CONT_OFFLINE SET NOT NULL;

/*-- SEQ 0128 --*/
-- Tarefa 97621 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_USA_CONT_OFFLINE CHECK (CK4G_USA_CONT_OFFLINE IN ('T','F'));

/*-- SEQ 0129 --*/
-- Tarefa 97621 --
ALTER TABLE TW_TAB ADD COLUMN CK4G_MODFIS_VC VARCHAR(2) ;


/*-- SEQ 0130 --*/
-- Tarefa 97621 --
ALTER TABLE TW_TAB ADD COLUMN CK4G_MODFIS_VC_CONT VARCHAR(2) ;


/*-- SEQ 0131 --*/
-- Tarefa 97621 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0132 --*/
ALTER TABLE TW_TAB ADD COLUMN CK4G_USA_CONT_OFFLINE VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0133 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));


/*-- SEQ 0134 --*/
-- Tarefa 97632 --
ALTER TABLE TT_VEN ADD COLUMN MODNOT VARCHAR(2) ;



/*-- SEQ 0135 --*/
-- Tarefa 97622 --
SELECT DISABLETRIGGERS(LOWER('TD_MNF'));

/*-- SEQ 0136 --*/
-- Tarefa 97622 --
INSERT INTO TD_MNF (CODMNF, DESMNF)
                   (SELECT '65', 'NFC-e'
                      FROM DUAL
                     WHERE NOT EXISTS (SELECT 1 AS OK
                                         FROM TD_MNF
                                        WHERE CODMNF = '65'));

/*-- SEQ 0137 --*/
-- Tarefa 97622 --
INSERT INTO TD_MNF (CODMNF, DESMNF)
                   (SELECT '59', 'CF-e-SAT'
                      FROM DUAL
                     WHERE NOT EXISTS (SELECT 1 AS OK
                                         FROM TD_MNF
                                        WHERE CODMNF = '59'));

/*-- SEQ 0138 --*/
-- Tarefa 97622 --
SELECT ENABLETRIGGERS(LOWER('TD_MNF'));


/*-- SEQ 0139 --*/
-- Tarefa 97330 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0140 --*/
ALTER TABLE TT_PRO ADD COLUMN CONFER VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0141 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0142 --*/
-- Tarefa 97330 --
ALTER TABLE TT_PRO ALTER COLUMN CONFER SET NOT NULL;

/*-- SEQ 0143 --*/
-- Tarefa 97330 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_CONFER CHECK (CONFER IN ('T','F'));



/*-- SEQ 0144 --*/
-- Tarefa 97673 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGECOMMERCE TEXT ;



/*-- SEQ 0145 --*/
-- Tarefa 97470 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0146 --*/
-- Tarefa 97470 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,409)||'S'||SUBSTR(PERMIS,411,9999);

/*-- SEQ 0147 --*/
-- Tarefa 97470 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97788 --
ALTER TABLE TT_END ADD COLUMN CODECO Numeric(10) ;



/*-- SEQ 0149 --*/
-- Tarefa 97648 --
ALTER TABLE TT_ERR ADD COLUMN XMLTRA TEXT ;



/*-- SEQ 0150 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD COLUMN CUSPRO Numeric(14,4) ;


/*-- SEQ 0151 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD COLUMN VLRSOC Numeric(12,2) ;


/*-- SEQ 0152 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD COLUMN VLROPE Numeric(12,2) ;


/*-- SEQ 0153 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD COLUMN VLROPEFIX Numeric(12,2) ;


/*-- SEQ 0154 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD COLUMN VLRLUC Numeric(12,2) ;


/*-- SEQ 0155 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD COLUMN PERLUC Numeric(10,4) ;


/*-- SEQ 0156 --*/
-- Tarefa 97823 --
ALTER TABLE TT_IVE ADD COLUMN CUSMAR Numeric(12,2) ;



/*-- SEQ 0157 --*/
-- Tarefa 97789 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CAR ADD COLUMN EXTDEB Numeric(10) ;


/*-- SEQ 0158 --*/
-- Tarefa 97789 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_CAR ADD COLUMN EXTCRE Numeric(10) ;



/*-- SEQ 0159 --*/
-- Tarefa 97833 --
SELECT ExecAlteraTipoColuna('TT_IVE','ISEICM','Numeric(12,2)');


/*-- SEQ 0160 --*/
-- Tarefa 97833 --
SELECT ExecAlteraTipoColuna('TT_IVE','OUTICM','Numeric(12,2)');



/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97833 --
SELECT * FROM NADA;


/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93868 --
ALTER TABLE TW_FLU ADD COLUMN FILPGT CHAR(3) ;


/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93868 --
ALTER TABLE TW_FLU ADD COLUMN CODPGT CHAR(3) ;


/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97874 --
DROP FUNCTION Fluxo (INTEGER,Numeric,INTEGER,VARCHAR,VARCHAR,Numeric) CASCADE;

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97874 --
DROP FUNCTION Fluxo () CASCADE;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97874 --
DROP FUNCTION fluxo ( int4,Numeric,int4,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97874 --
DROP FUNCTION fluxo ( int4,Numeric,int4,VARCHAR,VARCHAR,Numeric) CASCADE;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97874 --
DROP FUNCTION fluxo ( int4,Numeric,int4) CASCADE;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97874 --
DROP FUNCTION fluxo ( int4,Numeric,int4,VARCHAR) CASCADE;


/*-- SEQ 0173 --*/
-- Tarefa 97877 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_USU ADD COLUMN SUPMAX Numeric(8,4) DEFAULT 0;

/*-- SEQ 0175 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97877 --
ALTER TABLE TT_USU ALTER COLUMN SUPMAX SET NOT NULL;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97877 --
ALTER TABLE TT_USU ADD CONSTRAINT CK_USU_SUPMAX CHECK (SUPMAX >= 0);


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97879 --
ALTER TABLE TT_PRE ADD COLUMN PEROPEFIX Numeric(7,4) ;


/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97879 --
ALTER TABLE TW_PRE ADD COLUMN PEROPEFIX Numeric(7,4) ;


/*-- SEQ 0180 --*/
-- Tarefa 97879 --
SELECT DISABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0181 --*/
-- Tarefa 97879 --
UPDATE TT_PRE SET PEROPEFIX = ROUND(DESFIX / PRECOV * 100, 4) WHERE DESFIX IS NOT NULL AND PRECOV > 0;

/*-- SEQ 0182 --*/
-- Tarefa 97879 --
SELECT ENABLETRIGGERS(LOWER('TT_PRE'));


/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_IOR ADD COLUMN PEROPEFIX Numeric(7,4) ;


/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_IOR ADD COLUMN PERMCP Numeric(7,4) ;


/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_IOR ADD COLUMN VLRMCP Numeric(14,4) ;


/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_IOR ADD COLUMN PERMCO Numeric(7,4) ;


/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_IOR ADD COLUMN VLRMCO Numeric(14,4) ;


/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD COLUMN PERMCPTOT Numeric(7,4) ;


/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD COLUMN VLRMCPTOT Numeric(14,4) ;


/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD COLUMN PERMCOTOT Numeric(7,4) ;


/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD COLUMN VLRMCOTOT Numeric(14,4) ;


/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD COLUMN PERLUCTOT Numeric(7,4) ;


/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97881 --
ALTER TABLE TT_ORC ADD COLUMN VLRLUCTOT Numeric(14,4) ;



/*-- SEQ 0194 --*/
-- Tarefa 97916 --
ALTER TABLE TI_PRO ADD COLUMN VLRPIS Numeric(15,5) ;


/*-- SEQ 0195 --*/
-- Tarefa 97916 --
ALTER TABLE TI_PRO ADD COLUMN VLRCOF Numeric(15,5) ;


/*-- SEQ 0196 --*/
-- Tarefa 97916 --
CREATE TABLE TEMP_PIS_COF_PRO AS
SELECT FILMAT,CODMAT,VLRPIS,VLRCOF
  FROM TT_PRO
 WHERE VLRPIS IS NOT NULL OR VLRCOF IS NOT NULL;

/*-- SEQ 0197 --*/
-- Tarefa 97916 --
ALTER TABLE TT_PRO DROP COLUMN VLRPIS CASCADE;

/*-- SEQ 0198 --*/
-- Tarefa 97916 --
ALTER TABLE TT_PRO DROP COLUMN VLRCOF CASCADE;

/*-- SEQ 0199 --*/
-- Tarefa 97916 --
ALTER TABLE TT_PRO ADD COLUMN VLRPIS Numeric(15,5) ;


/*-- SEQ 0200 --*/
-- Tarefa 97916 --
ALTER TABLE TT_PRO ADD COLUMN VLRCOF Numeric(15,5) ;


/*-- SEQ 0201 --*/
-- Tarefa 97916 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0202 --*/
-- Tarefa 97916 --
UPDATE TT_PRO PRO SET VLRPIS = (SELECT VLRPIS
                                  FROM TEMP_PIS_COF_PRO TMP
                                 WHERE TMP.FILMAT = PRO.FILMAT
                                   AND TMP.CODMAT = PRO.CODMAT),
                      VLRCOF = (SELECT VLRCOF
                                  FROM TEMP_PIS_COF_PRO TMP
                                 WHERE TMP.FILMAT = PRO.FILMAT
                                   AND TMP.CODMAT = PRO.CODMAT)
 WHERE (PRO.FILMAT,PRO.CODMAT) IN (SELECT FILMAT,CODMAT FROM TEMP_PIS_COF_PRO);

/*-- SEQ 0203 --*/
-- Tarefa 97916 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0204 --*/
-- Tarefa 97916 --
DROP TABLE TEMP_PIS_COF_PRO CASCADE;


/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97883 --
ALTER TABLE TT_IORXDET ADD COLUMN PEROPEFIX Numeric(7,4) ;


/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97883 --
ALTER TABLE TT_IORXDET ADD COLUMN PERMCP Numeric(7,4) ;


/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97883 --
ALTER TABLE TT_IORXDET ADD COLUMN VLRMCP Numeric(14,4) ;


/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97883 --
ALTER TABLE TT_IORXDET ADD COLUMN PERMCO Numeric(7,4) ;


/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97883 --
ALTER TABLE TT_IORXDET ADD COLUMN VLRMCO Numeric(14,4) ;



/*-- SEQ 0210 --*/
-- Tarefa 97876 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD COLUMN EXPFIS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0212 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN ALTER COLUMN EXPFIS SET NOT NULL;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_EXPFIS CASCADE;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0216 --*/
-- Tarefa 97876 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN EXPFIS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0218 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE ALTER COLUMN EXPFIS SET NOT NULL;

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_EXPFIS CASCADE;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0222 --*/
-- Tarefa 97876 --
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD COLUMN EXPFIS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0224 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM ALTER COLUMN EXPFIS SET NOT NULL;

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM DROP CONSTRAINT CK_COM_EXPFIS CASCADE;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0228 --*/
-- Tarefa 97876 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICO ADD COLUMN EXPFIS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0230 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO ALTER COLUMN EXPFIS SET NOT NULL;

/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_EXPFIS CASCADE;

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0234 --*/
-- Tarefa 97876 --
SELECT DISABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_ECF ADD COLUMN EXPFIS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0236 --*/
SELECT ENABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF ALTER COLUMN EXPFIS SET NOT NULL;

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF DROP CONSTRAINT CK_RECF_EXPFIS CASCADE;

/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97876 --
ALTER TABLE TR_ECF ADD CONSTRAINT CK_RECF_EXPFIS CHECK (EXPFIS IN ('F','T'));


/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97888 --
ALTER TABLE TT_AUT ADD COLUMN TAXDES Numeric(8,4) ;



/*-- SEQ 0241 --*/
-- Tarefa 97982 --
SELECT DISABLETRIGGERS(LOWER('TT_ITI'));

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ITI ADD COLUMN FLGATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0243 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ITI'));

/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97982 --
ALTER TABLE TT_ITI ALTER COLUMN FLGATI SET NOT NULL;

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97982 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_FLGATI CHECK (FLGATI IN ('T', 'F'));

/*-- SEQ 0246 --*/
-- Tarefa 97982 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0247 --*/
-- Tarefa 97982 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ITI_FLGATI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ITI_FLGATI'));

/*-- SEQ 0248 --*/
-- Tarefa 97982 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));



/*-- SEQ 0249 --*/
-- Tarefa 97638 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));
 
/*-- SEQ 0250 --*/
-- Tarefa 97638 --
DELETE FROM TT_JOB WHERE NOMJOB = 'JOB_SETARDATAATUALIZACAO';
 
/*-- SEQ 0251 --*/
-- Tarefa 97638 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0252 --*/
-- Tarefa 98010 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0253 --*/
ALTER TABLE TT_PRO ADD COLUMN ESTCHE Numeric(1,0) DEFAULT 0;

/*-- SEQ 0254 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0255 --*/
-- Tarefa 98010 --
ALTER TABLE TT_PRO ALTER COLUMN ESTCHE SET NOT NULL;

/*-- SEQ 0256 --*/
-- Tarefa 98010 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ESTCHE CHECK (ESTCHE IN (0,1,9));


/*-- SEQ 0257 --*/
-- Tarefa 98002 --
SELECT ExecAlteraTipoColuna('TL_RCP','NUMNOT','VARCHAR(9)');



/*-- SEQ 0258 --*/
-- Tarefa 98012 --
ALTER TABLE TT_IVE ADD COLUMN FRMPRE CHAR(1) ;


/*-- SEQ 0259 --*/
-- Tarefa 98012 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_FRMPRE CHECK (FRMPRE IN ('T','C','I','D','P','K','F','S','A','N','2'));


/*-- SEQ 0260 --*/
-- Tarefa 98011 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0261 --*/
ALTER TABLE TD_FIL ADD COLUMN REPLICA_SALDO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0262 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0263 --*/
-- Tarefa 98011 --
ALTER TABLE TD_FIL ALTER COLUMN REPLICA_SALDO SET NOT NULL;

/*-- SEQ 0264 --*/
-- Tarefa 98011 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_REPLICA_SALDO CHECK (REPLICA_SALDO IN ('T','F'));


/*-- SEQ 0265 --*/
-- Tarefa 97942 --
SELECT DISABLETRIGGERS(LOWER('TT_ECF'));

/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ECF ADD COLUMN EXPFIS VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0267 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ECF'));

/*-- SEQ 0268 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF ALTER COLUMN EXPFIS SET NOT NULL;

/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_EXPFIS CASCADE;

/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_EXPFIS CHECK (EXPFIS IN ('F','T'));

/*-- SEQ 0271 --*/
-- Tarefa 97942 --
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD COLUMN EXPORT_CAN VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0273 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM ALTER COLUMN EXPORT_CAN SET NOT NULL;

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM DROP CONSTRAINT CK_COM_EXPORT_CAN CASCADE;

/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97942 --
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_EXPORT_CAN CHECK (EXPORT_CAN IN ('F','T'));


/*-- SEQ 0277 --*/
-- Tarefa 98036 --
ALTER TABLE TD_CAI ADD COLUMN CX_MAX Numeric(12,2) ;


/*-- SEQ 0278 --*/
-- Tarefa 98036 --
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CX_MAX CHECK (CX_MAX >= 0);

/*-- SEQ 0279 --*/
-- Tarefa 98036 --
ALTER TABLE TW_TAB ADD COLUMN CX_MAX Numeric(12,2) ;



/*-- SEQ 0280 --*/
-- Tarefa 98069 --
ALTER TABLE TT_PRE ADD COLUMN PERLUCPRJ Numeric(7,4) ;


/*-- SEQ 0281 --*/
-- Tarefa 98069 --
ALTER TABLE TW_PRE ADD COLUMN PERLUCPRJ Numeric(7,4) ;


/*-- SEQ 0282 --*/
-- Tarefa 98069 --
SELECT DISABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0283 --*/
-- Tarefa 98069 --
UPDATE TT_PRE SET PERLUCPRJ = ROUND(LUCPRJ / PRECOV * 100, 4) WHERE LUCPRJ IS NOT NULL AND PRECOV > 0;

/*-- SEQ 0284 --*/
-- Tarefa 98069 --
SELECT ENABLETRIGGERS(LOWER('TT_PRE'));


/*-- SEQ 0285 --*/
-- Tarefa 98082 --
ALTER TABLE TT_IOR ADD COLUMN PERENT CHAR(1) ;


/*-- SEQ 0286 --*/
-- Tarefa 98082 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_PERENT CHECK (PERENT IN ('M','T','N'));


/*-- SEQ 0287 --*/
-- Tarefa 98084 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0288 --*/
ALTER TABLE TT_CFG ADD COLUMN IMPPREVENT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0289 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0290 --*/
-- Tarefa 98084 --
ALTER TABLE TT_CFG ALTER COLUMN IMPPREVENT SET NOT NULL;

/*-- SEQ 0291 --*/
-- Tarefa 98084 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_IMPPREVENT CHECK (IMPPREVENT IN ('T','F'));

/*-- SEQ 0292 --*/
-- Tarefa 98084 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0293 --*/
ALTER TABLE TW_CFG ADD COLUMN IMPPREVENT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0294 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0295 --*/
-- Tarefa 98119 --
ALTER TABLE TT_ICO ADD COLUMN CSTXML VARCHAR(3) ;


/*-- SEQ 0296 --*/
-- Tarefa 98119 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CSTXML CHECK (CSTXML IN ('00','10','20','30','40','41','50','51','60','70','90','101','102','103','201','202','203','300','400','500','900'));


/*-- SEQ 0297 --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD COLUMN PERFCPDES Numeric(5,2) ;


/*-- SEQ 0298 --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD COLUMN VLRICMFCP Numeric(12,2) ;


/*-- SEQ 0299 --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD COLUMN VLRICMDES Numeric(12,2) ;


/*-- SEQ 0300 --*/
-- Tarefa 98251 --
ALTER TABLE TT_IVE ADD COLUMN VLRICMORI Numeric(12,2) ;



/*-- SEQ 0301 --*/
-- Tarefa 98252 --
ALTER TABLE TD_EST ADD COLUMN PERFCP Numeric(5,2) ;


/*-- SEQ 0302 --*/
-- Tarefa 98252 --
ALTER TABLE TW_TAB ADD COLUMN PERFCP Numeric(5,2) ;



/*-- SEQ 0303 --*/
-- Tarefa 98238 --
CREATE TABLE TT_CES (
  CODCES VARCHAR(7),
  DESCES VARCHAR(4000),
  CESATI VARCHAR(1),
  DATINC Timestamp
  )  ;
 
/*-- SEQ 0304 --*/ 
-- Tarefa 98238 --
ALTER TABLE TT_CES ADD CONSTRAINT PK_CES PRIMARY KEY (CODCES);

/*-- SEQ 0305 --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ALTER COLUMN DESCES SET NOT NULL;

/*-- SEQ 0306 --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ALTER COLUMN CESATI SET NOT NULL;

/*-- SEQ 0307 --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0308 --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ALTER COLUMN CESATI SET DEFAULT 'T';

/*-- SEQ 0309 --*/
-- Tarefa 98238 --
ALTER TABLE TT_CES ADD CONSTRAINT CK_CES_CESATI CHECK (CESATI IN ('T','F'));


/*-- SEQ 0310 --*/
-- Tarefa 98239 --
CREATE TABLE TT_CESXNCM (
  CODTAB Numeric(10),
  CODCES VARCHAR(7),
  CODNCM VARCHAR(8),
  DATINC Timestamp
  )  ;
 
/*-- SEQ 0311 --*/ 
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ADD CONSTRAINT PK_CXN PRIMARY KEY (CODTAB);

/*-- SEQ 0312 --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ADD CONSTRAINT FK_CXN_CES FOREIGN KEY (CODCES) REFERENCES TT_CES (CODCES);
 
/*-- SEQ 0313 --*/
-- Tarefa 98239 --
CREATE INDEX I_FK_CXN_CES ON TT_CESXNCM (CODCES)  ;

/*-- SEQ 0314 --*/
-- Tarefa 98239 --
CREATE INDEX I_LC_CXN_CODNCM ON TT_CESXNCM (CODNCM)  ;

/*-- SEQ 0315 --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ALTER COLUMN CODCES SET NOT NULL;

/*-- SEQ 0316 --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ALTER COLUMN CODNCM SET NOT NULL;

/*-- SEQ 0317 --*/
-- Tarefa 98239 --
ALTER TABLE TT_CESXNCM ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0318 --*/
-- Tarefa 98239 --
CREATE SEQUENCE SQCXN INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0319 --*/
-- Tarefa 98253 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0320 --*/
ALTER TABLE TT_CFG ADD COLUMN PERPARICM Numeric(5,2) DEFAULT 40;

/*-- SEQ 0321 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0322 --*/
-- Tarefa 98253 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0323 --*/
ALTER TABLE TW_CFG ADD COLUMN PERPARICM Numeric(5,2) DEFAULT 40;

/*-- SEQ 0324 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0325 --*/
-- Tarefa 98253 --
ALTER TABLE TT_CFG ALTER COLUMN PERPARICM SET NOT NULL;


/*-- SEQ 0326 --*/
-- Tarefa 98240 --
ALTER TABLE TT_PRO ADD COLUMN CODCES VARCHAR(7) ;


/*-- SEQ 0327 --*/
-- Tarefa 98240 --
ALTER TABLE TT_IVE ADD COLUMN CODCES VARCHAR(7) ;


/*-- SEQ 0328 --*/
-- Tarefa 98240 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_CES FOREIGN KEY (CODCES) REFERENCES TT_CES (CODCES);

/*-- SEQ 0329 --*/
-- Tarefa 98240 --
CREATE INDEX I_FK_PRO_CES ON TT_PRO (CODCES)  ;

/*-- SEQ 0330 --*/
-- Tarefa 98240 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CES FOREIGN KEY (CODCES) REFERENCES TT_CES (CODCES);

/*-- SEQ 0331 --*/
-- Tarefa 98240 --
CREATE INDEX I_FK_IVE_CES ON TT_IVE (CODCES)  ;


/*-- SEQ 0332 --*/
-- Tarefa 97883 --
SELECT ExecAlteraTipoColuna('TT_ORC','PERLUCTOT','Numeric(10,4)');



/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
SELECT * FROM NADA;

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
SELECT * FROM NADA;

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
SELECT * FROM NADA;

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98155 --
SELECT * FROM NADA;
  


/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
SELECT * FROM NADA;

/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
SELECT * FROM NADA;

/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
SELECT * FROM NADA;

/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
SELECT * FROM NADA;

/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98157 --
SELECT * FROM NADA;


/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98186 --
ALTER TABLE TT_VEN ADD COLUMN EMAILC VARCHAR(254) ;


/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98186 --
ALTER TABLE TT_ORC ADD COLUMN EMAILC  VARCHAR(254) ;



/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98182 --
SELECT * FROM NADA;


/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98125 --
ALTER TABLE TI_ICO ADD COLUMN CODORI Numeric(1) ;


/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98125 --
ALTER TABLE TI_ICO ADD COLUMN CODCST VARCHAR(3) ;



/*-- SEQ 0347 --*/
-- Tarefa 98060 --
SELECT ExecAlteraTipoColuna('TD_ECF','MAXCAI','Numeric(12,2)');


/*-- SEQ 0348 --*/
-- Tarefa 98060 --
SELECT ExecAlteraTipoColuna('TW_TAB','MAXCAI','Numeric(12,2)');



/*-- SEQ 0349 --*/
-- Tarefa 98410 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0350 --*/
-- Tarefa 98410 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DEVOL_INT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DEVOL_INT'));

/*-- SEQ 0351 --*/
-- Tarefa 98410 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0352 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98411 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_VLRIPI CASCADE;

/*-- SEQ 0353 --*/
-- Tarefa 98411 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_VLRIPI CHECK (((COALESCE(VLRIPI, 0) <> 0) AND (COALESCE(IPIITE, 0) <> 0)) OR (COALESCE(VLRIPI, 0) = 0));


/*-- SEQ 0354 --*/ 
-- Tarefa 98302 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0355 --*/
ALTER TABLE TD_ECF ADD COLUMN FLGCFE CHAR(4) DEFAULT '00.0';

/*-- SEQ 0356 --*/
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0357 --*/
-- Tarefa 98302 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0358 --*/ 
-- Tarefa 98302 --
UPDATE TD_ECF
   SET FLGCFE = '65.1'
 WHERE EXISTS (SELECT CGCFIL
                 FROM TD_FIL
                WHERE CGCFIL in ('47598420000185', '50307776000127', '75192898000146')
              );

/*-- SEQ 0359 --*/
-- Tarefa 98302 --
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0360 --*/
-- Tarefa 98302 --
ALTER TABLE TD_ECF ALTER COLUMN FLGCFE SET NOT NULL;

/*-- SEQ 0361 --*/
-- Tarefa 98302 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_FLGCFE CHECK (FLGCFE IN ('00.0', '59.0', '65.0', '65.1'));


/*-- SEQ 0362 --*/
-- Tarefa 98425 --
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0363 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC ADD COLUMN EXPORT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0364 --*/
SELECT ENABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98425 --
ALTER TABLE TT_REC ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 98425 --
ALTER TABLE TT_REC ADD CONSTRAINT CK_REC_EXPORT CHECK (EXPORT IN ('T','F'));


/*-- SEQ 0367 --*/
-- Tarefa 98467 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_EMBQTD;

/*-- SEQ 0368 --*/
-- Tarefa 98467 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_EMBQTD CHECK ((EMBQTD IS NULL AND EMBORI IS NULL) OR (EMBQTD IS NOT NULL AND EMBORI IS NOT NULL));


/*-- SEQ 0369 --*/
-- Tarefa 98654 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0370 --*/ 
-- Tarefa 98654 --
UPDATE TD_ECF
   SET FLGCFE = '65.0'
 WHERE EXISTS (SELECT CGCFIL
                 FROM TD_FIL
                WHERE CGCFIL IN ('75192898000146')
              )
   AND FLGCFE = '65.1';

/*-- SEQ 0371 --*/ 
-- Tarefa 98654 --
UPDATE TD_ECF
   SET FLGCFE = '65.1'
 WHERE EXISTS (SELECT CGCFIL
                 FROM TD_FIL
                WHERE CGCFIL IN ('60065760000109')
              )
   AND FLGCFE = '00.0';

/*-- SEQ 0372 --*/
-- Tarefa 98654 --
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));

