
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Tarefa 2020057096 --
SELECT DISABLETRIGGERS(LOWER('TW_EXTXDOC'));

/*-- SEQ 0003 --*/
-- Tarefa 2020057096 --
UPDATE TW_EXTXDOC TW SET
      PARORI = (SELECT L.PARORI 
                  FROM TW_EXTXDOC L 
                 WHERE L.ORIGEM = 'PGT' AND L.FILORI = TW.FILORI AND L.SEQORI = TW.SEQORI AND L.DESTINO='TIMU_PARTEDOCTOOPERA' AND TRUNC(L.DATINC) = TRUNC(TW.DATINC) 
                                   LIMIT 1 ),
      SUBORI = (SELECT L.SUBORI 
                  FROM TW_EXTXDOC L 
                 WHERE L.ORIGEM = 'PGT' AND L.FILORI = TW.FILORI AND L.SEQORI = TW.SEQORI AND L.DESTINO='TIMU_PARTEDOCTOOPERA' AND TRUNC(L.DATINC) = TRUNC(TW.DATINC) 
                                   LIMIT 1)
 WHERE TW.ORIGEM = 'PGT'
   AND TW.PARORI IS NULL;

/*-- SEQ 0004 --*/
-- Tarefa 2020057096 --
SELECT ENABLETRIGGERS(LOWER('TW_EXTXDOC'));


/*-- SEQ 0005 --*/
-- Ticket 2020046021 --
ALTER TABLE TT_CFG ADD COLUMN TRANSFER_SERCOL CHAR(2) ;


/*-- SEQ 0006 --*/
-- Ticket 2020046021 --
ALTER TABLE TT_CFG ADD COLUMN TRANSFER_NATCOL Numeric(5) ;


/*-- SEQ 0007 --*/
-- Ticket 2020046021 --
ALTER TABLE TW_CFG ADD COLUMN TRANSFER_SERCOL CHAR(2) ;


/*-- SEQ 0008 --*/
-- Ticket 2020046021 --
ALTER TABLE TW_CFG ADD COLUMN TRANSFER_NATCOL Numeric(5) ;



/*-- SEQ 0009 --*/
-- Ticket 2020046021 --
ALTER TABLE TT_ICO ADD COLUMN OUTDES Numeric(12,2) ;


/*-- SEQ 0010 --*/
-- Ticket 2020046021 --
/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ProcessaRateioOutDespPgt () CASCADE;

/*-- SEQ 0012 --*/
CREATE OR REPLACE FUNCTION ProcessaRateioOutDespPgt ()
RETURNS VARCHAR AS $$
DECLARE

-- Objetivo:
-- 1. Processar rateio das Outras despesas de pagamento avulso

-- Declaração de variáveis e cursores
   cCODFIL                       TT_ICO.CODFIL%TYPE;
   cSEQUEN                       TT_ICO.SEQUEN%TYPE;
   nNUMITE                       TT_ICO.NUMITE%TYPE;
   nOUTDES                       TT_ICO.OUTDES%TYPE;
   nVLRDIF                       TT_ICO.OUTDES%TYPE;
   nICO_OUTDES                   TT_COM.OUTDES%TYPE;
   nCOM_OUTDES                   TT_COM.OUTDES%TYPE;


   CR_NOTASTOTAIS CURSOR FOR
   SELECT ICO.CODFIL, ICO.SEQUEN, MIN(ICO.NUMITE) AS NUMITE, MAX(COM.OUTDES) AS COM_OUTDES, SUM(ICO.OUTDES) AS ICO_OUTDES,
          MAX(COM.OUTDES) - SUM(ICO.OUTDES) VLRDIF
     FROM TT_ICO ICO
     JOIN TT_COM COM ON COM.CODFIL = ICO.CODFIL AND COM.SEQUEN = ICO.SEQUEN
    WHERE COM.OUTDES > 0
    GROUP BY ICO.CODFIL, ICO.SEQUEN
   HAVING MAX(COM.OUTDES) <> SUM(ICO.OUTDES);

   CR_NOTAS CURSOR FOR
   SELECT ICO.CODFIL, ICO.SEQUEN, ICO.NUMITE,
          ROUND((SELECT (COALESCE(COML.OUTDES,0) * ((ICOL.VLRMOV * (1+(COALESCE(ICOL.IPIITE,0)/100))) /NVLZ(COML.VLRTOT,1) ))
                   FROM TT_ICO ICOL
                   JOIN TT_COM COML ON COML.CODFIL = ICOL.CODFIL AND COML.SEQUEN = ICOL.SEQUEN
                  WHERE ICOL.CODFIL = ICO.CODFIL
                    AND ICOL.SEQUEN = ICO.SEQUEN
                    AND ICOL.NUMITE = ICO.NUMITE), 2) AS ICO_OUTDES
     FROM TT_ICO ICO
     JOIN TT_COM COM ON COM.CODFIL = ICO.CODFIL AND COM.SEQUEN = ICO.SEQUEN
    WHERE COM.OUTDES > 0
    ORDER BY ICO.CODFIL, ICO.SEQUEN, ICO.NUMITE;

BEGIN
-- Processo
   
      -- Realiza o Rateior nos Itens da Notas
      OPEN CR_NOTAS;
         LOOP
            FETCH CR_NOTAS INTO cCODFIL, cSEQUEN, nNUMITE, nOUTDES;
            EXIT WHEN NOT FOUND;

            -- Atualiza item com o valor rateado
            UPDATE TT_ICO ICO SET OUTDES = nOUTDES
             WHERE ICO.CODFIL = cCODFIL
               AND ICO.SEQUEN = cSEQUEN
               AND ICO.NUMITE = nNUMITE;

         END LOOP;
      CLOSE CR_NOTAS;

      -- Realiza o processamento das Sobras do Rateio
      OPEN CR_NOTASTOTAIS;
         LOOP
            FETCH CR_NOTASTOTAIS INTO cCODFIL, cSEQUEN, nNUMITE, nCOM_OUTDES, nICO_OUTDES, nVLRDIF;
            EXIT WHEN NOT FOUND;

            -- Atualiza item com o valor rateado
            UPDATE TT_ICO ICO SET OUTDES = COALESCE(OUTDES, 0) + nVLRDIF
             WHERE ICO.CODFIL = cCODFIL
               AND ICO.SEQUEN = cSEQUEN
               AND ICO.NUMITE = nNUMITE;

         END LOOP;
      CLOSE CR_NOTASTOTAIS;

      
   RETURN 'OK';
END;
$$ language 'plpgsql';



/*-- SEQ 0013 --*/
-- Ticket 2020046021 --
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0014 --*/
-- Ticket 2020046021 --
select ProcessaRateioOutDespPgt() from dual;


/*-- SEQ 0015 --*/
-- Ticket 2020046021 --
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0016 --*/
-- Ticket 2020046021 --
DROP FUNCTION ProcessaRateioOutDespPgt () CASCADE;


/*-- SEQ 0017 --*/
-- Ticket 2020046021 --
ALTER TABLE TT_CCC DROP CONSTRAINT CK_CCC_TIPLAN CASCADE;

/*-- SEQ 0018 --*/
-- Ticket 2020046021 --
ALTER TABLE TT_CCC ADD CONSTRAINT CK_CCC_TIPLAN CHECK (TIPLAN IN ('A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Z', '0', '1', '2', '3'));

/*-- SEQ 0019 --*/
-- Ticket 2020046021 --
ALTER TABLE TT_PED ADD COLUMN VLRBONFUT Numeric(12,2) ;


/*-- SEQ 0020 --*/
-- Ticket 2020046021 --
ALTER TABLE TT_COM ADD COLUMN VLRBONFUT Numeric(12,2) ;



/*-- SEQ 0021 --*/
-- Tarefa 2020035500 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0022 --*/
-- Tarefa 2020035500 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VEN_DAV_SEPARADAS', 'Vender somente pr-vendas separadas no Totall POS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VEN_DAV_SEPARADAS'));

/*-- SEQ 0023 --*/
-- Tarefa 2020035500 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020035500 --
SELECT * FROM NADA;

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020035500 --
SELECT * FROM NADA;

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020035500 --
SELECT * FROM NADA;


/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
CREATE INDEX I_LC_IOR_NUMCRE ON TT_IOR (CODFIL, NUMCRE)  ;

